commit 57598faed1a739fb15e0f17968122b0bb2275c2b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 00:08:18 2015 +0200

    Remove the show timer reset settings option

    People can just configure the notifications as they wish

 src/rsibreak.notifyrc |  4 ++--
 src/rsiwidget.cpp     |  7 -------
 src/rsiwidget.h       |  1 -
 src/setupgeneral.cpp  | 27 ---------------------------
 src/setupgeneral.h    |  3 ---
 5 files changed, 2 insertions(+), 40 deletions(-)

commit 84a4ff511ab9dd7b164d539cae0c67f46f764b13
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 31 00:08:07 2015 +0200

    remove \n

 src/setupmaximized.cpp | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 5c3b15d7cbc9981f46023e79aadd0567616caa56
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 30 23:49:41 2015 +0200

    Various coding fixes

    * Remove rsibreakui.rc, was unused
    * Remove hability for user to trigger a break via dbus
    * Move checking if the patience popup is enabled to the timer and
    not the popup itself
      This makes the non popup scenario work better since patience is
      not taken into account
    * Remove the m_ignoreIdleForTinyBreaks was wrongly named, it did
    actually define if to
      take into account activity while the patience popup is enabled,
      but it only makes sense to
      so i've removed the setting altogether
    * Fixed so that if you have activity when the patience has run out
    you always get the full
      break time
    * Removed the hability of enablign resetting timers after idle,
    it only makes sense to use it
    * Exit the timer thread properly when changing from idle to no idle
    and viceversa
    * Only enable the patience popup section on the settings if using
    the activity based timer
    * Some wording improvements on the settings

 src/main.cpp                   |   1 -
 src/org.rsibreak.rsiwidget.xml |   4 -
 src/rsibreakui.rc              |   8 --
 src/rsidock.cpp                |   5 -
 src/rsidock.h                  |   7 --
 src/rsirelaxpopup.cpp          |   4 -
 src/rsirelaxpopup.h            |   1 -
 src/rsitimer.cpp               | 226
 ++++++++++++-----------------------------
 src/rsitimer.h                 |  40 ++------
 src/rsiwidget.cpp              |   2 +-
 src/rsiwidget.h                |   7 --
 src/setup.cpp                  |   3 +
 src/setupgeneral.cpp           |  59 +++--------
 src/setupgeneral.h             |   6 +-
 src/setupmaximized.cpp         |  54 ++++++----
 src/setupmaximized.h           |   3 +
 src/setuptiming.cpp            |   8 +-
 17 files changed, 135 insertions(+), 303 deletions(-)

commit f3db162f816fca416f83c8379f22035121757475
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 20 01:15:19 2015 +0200

    Fix porting bug

 src/setupmaximized.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f896f388664dfa4837391d26ad8aa26420380eba
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 20 01:10:40 2015 +0200

    Kill mainWidget we don't need it

 src/rsidock.cpp | 2 --
 1 file changed, 2 deletions(-)

commit 2d904c6451174cc011fa307654021aa6f4c4063d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Aug 20 01:08:40 2015 +0200

    Don't set the spacing, let the style be itself

 src/rsistatwidget.cpp | 1 -
 1 file changed, 1 deletion(-)

commit a6a095557cfa8f5cb7d004e0c7bd4697e796e6b4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Aug 19 01:08:55 2015 +0200

    include fixing

 src/rsiglobals.cpp | 4 ++--
 src/rsitimer.cpp   | 1 -
 2 files changed, 2 insertions(+), 3 deletions(-)

commit e0544dc6272947549a5a3d6abc4b11f72f4a08a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 17:19:00 2015 +0200

    convert the maps to vectors, save access time

 src/rsiglobals.cpp |  1 +
 src/rsiglobals.h   | 14 ++++++----
 src/rsistats.cpp   | 81
 +++++++++++++++++++++++++-----------------------------
 src/rsistats.h     |  4 +--
 src/rsitimer.cpp   |  2 +-
 src/rsitimer.h     |  3 +-
 6 files changed, 50 insertions(+), 55 deletions(-)

commit 764c39d48a5089d87c9f71d0be60e3f0144f3c1a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 16:55:56 2015 +0200

    Don't create a KFormat and QLocale every time

    Along the day it adds up

 src/rsiglobals.cpp | 3 +--
 src/rsiglobals.h   | 6 ++++--
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 1543f7a719780c182d5ae49f1293c79d3f418d20
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 16:12:32 2015 +0200

    dcop died a long time ago :D

 src/rsiglobals.h | 5 -----
 1 file changed, 5 deletions(-)

commit 9880ca1414f17887d0a62b12b16460b1da0a72ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 16:10:27 2015 +0200

    Use enums instaed of qstring for qmap key for intervals

 src/rsiglobals.cpp | 28 +++++++++++-----------
 src/rsiglobals.h   | 13 +++++++++--
 src/rsistats.cpp   |  4 ++--
 src/rsitimer.cpp   | 68
 +++++++++++++++++++++++++++---------------------------
 src/rsitimer.h     |  4 +++-
 5 files changed, 64 insertions(+), 53 deletions(-)

commit b32484298318a5800bc5b2dd7972ffb33423f975
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 14:29:07 2015 +0200

    remove old docu, add myself

 doc/index.docbook | 34 +---------------------------------
 1 file changed, 1 insertion(+), 33 deletions(-)

commit 516adec51e2aac8479d024cecdc9923667f7d403
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 14:28:06 2015 +0200

    Increase the version

 NEWS              | 3 +++
 doc/index.docbook | 4 ++--
 src/main.cpp      | 2 +-
 3 files changed, 6 insertions(+), 3 deletions(-)

commit 4f02f3819167ed08e5bdca4f0c62805c69488cec
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 14:25:57 2015 +0200

    Use the C++11 way of connecting actions instead of SLOT()

 src/rsidock.cpp         | 46
 +++++++++++++++++++++++++---------------------
 src/rsirelaxpopup.cpp   |  2 +-
 src/rsiwidget.cpp       |  2 +-
 src/slideshoweffect.cpp |  2 +-
 4 files changed, 28 insertions(+), 24 deletions(-)

commit d848c84fe7050a9f87e8213e7459ebdb11c83293
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Aug 15 13:47:25 2015 +0200

    Don't use XGetScreenSaver to check if the screensaver is inhibited

    All the modern desktops i could find, plasma, gnome, unity set this
    to 0 in their daemons startup
    since they are handling screensavers on their own
    Unfortunately rsibreak sometimes starts before the daemon sets it
    to 0, sees a change and thinks
    the screensaver is inhibited, need to find a modern way to check
    for this

 CMakeLists.txt     |  1 -
 src/CMakeLists.txt |  2 +-
 src/rsitimer.cpp   | 41 +++--------------------------------------
 src/rsitimer.h     |  1 -
 4 files changed, 4 insertions(+), 41 deletions(-)

commit 3044c718b0a2508a857eabced24302e2b14f304e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Aug 11 16:22:48 2015 +0200

    remove debug

 src/rsidock.cpp | 1 -
 1 file changed, 1 deletion(-)

commit b2304fc25090e73a0836fde0a5f54f98b5f784c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Aug 10 00:30:26 2015 +0200

    Make autostart work for non KDE based desktops too

 src/CMakeLists.txt             |  2 +-
 src/main.cpp                   | 20 +++++++++-
 src/rsibreak_autostart.desktop | 88
 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 107 insertions(+), 3 deletions(-)

commit 34cffe5f337c293ecff8329ce08f1b3338694a67
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 23:31:02 2015 +0200

    Install the notifyrc file into the proper place

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1a64c38f0f1f027c9905db7d6935b390714196c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 20:44:05 2015 +0200

    DBUS -> DCOP ^_^

 src/rsibreak.desktop | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b84fc3b7b80370c6fdf80f41f8246e019cd71732
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 20:09:16 2015 +0200

    Remove the plasmoid

    It's pretty useless since it needs the app running anyway and all it
    does is show three items that are easily accessible in the app itself

 CMakeLists.txt                        |    4 -
 plasma/CMakeLists.txt                 |   23 -
 plasma/Messages.sh                    |    2 -
 plasma/engine.cpp                     |   70 --
 plasma/engine.h                       |   46 -
 plasma/plasma-applet-rsibreak.desktop |   94 --
 plasma/plasma-engine-rsibreak.desktop |   87 --
 plasma/rsibreak.cpp                   |   73 --
 plasma/rsibreak.h                     |   45 -
 plasma/rsibreak.svg                   | 1607
 ---------------------------------
 10 files changed, 2051 deletions(-)

commit 0332b53903e3a5fd078085a4adbda2066c3847ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 19:53:57 2015 +0200

    Remove installing chapter

    It points to non existed webpage and if you have the doc, most
    probably you've installed it already

 doc/index.docbook | 26 --------------------------
 1 file changed, 26 deletions(-)

commit b635f8de2ae6b1a11f7619474afdde6235d5ba2e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 18:28:55 2015 +0200

    Fix Layout

 src/setupmaximized.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1ceaed1494a1d4f2d0afee7cf047b672b0a431fa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 17:36:08 2015 +0200

    Move to Plasma 5 dbus interface to show the dashboard

 src/plasmaeffect.cpp | 8 ++++----
 src/rsiwidget.cpp    | 1 -
 2 files changed, 4 insertions(+), 5 deletions(-)

commit 0596db3f4603d009d77a5082d2c9dfd132754efa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 17:16:27 2015 +0200

    Better X11 cmake detection/use

 CMakeLists.txt     | 1 +
 src/CMakeLists.txt | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit c175d08253ed46da5498f5a1336299385748d12c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 17:00:57 2015 +0200

    Fix code to detect if dialog is on current desktop

 src/rsidock.cpp | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 9c9253643cdcc42e22b2a88c970dffe4b9072896
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 16:56:55 2015 +0200

    Nicer sorting in the CMake file

 src/CMakeLists.txt | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit aad16cda16ac047f7dc61ec8249695b9eda90a9f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 16:51:00 2015 +0200

    reenable the dbus adaptor

 src/CMakeLists.txt | 9 ++++-----
 src/rsiwidget.cpp  | 6 ++----
 2 files changed, 6 insertions(+), 9 deletions(-)

commit 668e543fa69590332e7503b5196e07fcd957abd0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 14:03:39 2015 +0200

    TODO checked

 src/rsistats.cpp | 1 -
 1 file changed, 1 deletion(-)

commit aef2413298f12f6ebc2150c6e55770f9f0989b8a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 14:03:02 2015 +0200

    Nicer time formating this way

 src/rsistats.cpp      | 2 +-
 src/rsistatwidget.cpp | 1 -
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 6bcae63f4feecd5ebd9a5881d5f4491dfb7656ef
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:47:18 2015 +0200

    TODO has been checked

 src/setupmaximized.cpp | 1 -
 1 file changed, 1 deletion(-)

commit 4c0bb1b5255ee072ffd213e1b55d1531dd141206
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:45:18 2015 +0200

    Implement KAboutData porting TODO

 src/rsidock.cpp | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit f9c97b346eedd8cb678939f59b6663ff43c22469
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:42:26 2015 +0200

    TODO checked

 src/setuptiming.cpp | 1 -
 1 file changed, 1 deletion(-)

commit ca41b3e74d33366c9da885e4ca0ecc69085fe9b4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:41:19 2015 +0200

    make unique app

 src/main.cpp | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 9e24cdde6c9222b237e639439016013692878ffa
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:39:12 2015 +0200

    implement i18n and config migration todos

 src/main.cpp | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 1f51b1ae2ae3242c24168a9e9c1dd171c328bd78
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:29:37 2015 +0200

    Use sizeHint instead of minimumSizeHint

 src/setuptiming.cpp | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c762487262f7c69d6fa62050f2a9bf160bc9235f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:24:01 2015 +0200

    Fix broken layout

 src/setupmaximized.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit edd0e02add153a72bfc43ea4efe2fb43617485a6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:17:13 2015 +0200

    no need to adapt anything

 src/main.cpp | 1 -
 1 file changed, 1 deletion(-)

commit 71445146c40eef319753d7f21c1f790b83d647c0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:16:45 2015 +0200

    Fix auto script mistakes

 src/rsidock.cpp | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit fe8b35d55c4d4918c6f852380a5f6a798456a90c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:13:16 2015 +0200

    Add some override

 src/breakbase.h       | 8 ++++----
 src/breakcontrol.h    | 2 +-
 src/grayeffect.h      | 4 ++--
 src/passivepopup.h    | 2 +-
 src/plasmaeffect.h    | 4 ++--
 src/popupeffect.h     | 6 +++---
 src/rsistatitem.h     | 2 +-
 src/rsistatwidget.h   | 4 ++--
 src/rsitimer.h        | 2 +-
 src/slideshoweffect.h | 4 ++--
 10 files changed, 19 insertions(+), 19 deletions(-)

commit 8c2facdd5b07fcfa6000302e7961f11421c281e0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:04:13 2015 +0200

    remove unused m_parent member

 src/rsiwidget.h | 1 -
 1 file changed, 1 deletion(-)

commit 8b76abf6696023b7be904a75a29815a8d162a400
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 13:00:40 2015 +0200

    remove unused m_parent member

 src/breakbase.cpp | 1 -
 src/breakbase.h   | 1 -
 2 files changed, 2 deletions(-)

commit 8e29a60c818d29bd6c5fddb3de89cf947e911fe2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 12:55:19 2015 +0200

    Move to new connect syntax

 src/breakbase.cpp       |  6 +++---
 src/breakcontrol.cpp    |  9 ++++-----
 src/plasmaeffect.cpp    |  4 ++--
 src/rsidock.cpp         | 10 ++++-----
 src/rsirelaxpopup.cpp   |  6 +++---
 src/rsitimer.cpp        | 24 +++++++++++-----------
 src/rsitimer.h          |  2 +-
 src/rsiwidget.cpp       | 54
 +++++++++++++++++++++++--------------------------
 src/setup.cpp           |  2 +-
 src/setupgeneral.cpp    |  6 ++----
 src/setupmaximized.cpp  | 12 +++++------
 src/setuptiming.cpp     |  3 +--
 src/slideshoweffect.cpp |  8 +++-----
 13 files changed, 66 insertions(+), 80 deletions(-)

commit 4850b0ed36722d648f8d8265ca7c933a2a257ad2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 01:52:23 2015 +0200

    compile the doc

 CMakeLists.txt     | 4 +++-
 doc/CMakeLists.txt | 2 +-
 doc/index.docbook  | 2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit b1260b5dbef01ee2398139e7cad40808e75a8d72
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 01:52:03 2015 +0200

    fix icon names

 icons/128-app-rsibreak.png        | Bin 12174 -> 0 bytes
 icons/128-apps-rsibreak.png       | Bin 0 -> 12174 bytes
 icons/16-action-rsibreak0.png     | Bin 738 -> 0 bytes
 icons/16-action-rsibreak1.png     | Bin 738 -> 0 bytes
 icons/16-action-rsibreak2.png     | Bin 781 -> 0 bytes
 icons/16-action-rsibreak3.png     | Bin 777 -> 0 bytes
 icons/16-action-rsibreak4.png     | Bin 649 -> 0 bytes
 icons/16-action-rsibreakx.png     | Bin 825 -> 0 bytes
 icons/16-actions-rsibreak0.png    | Bin 0 -> 738 bytes
 icons/16-actions-rsibreak1.png    | Bin 0 -> 738 bytes
 icons/16-actions-rsibreak2.png    | Bin 0 -> 781 bytes
 icons/16-actions-rsibreak3.png    | Bin 0 -> 777 bytes
 icons/16-actions-rsibreak4.png    | Bin 0 -> 649 bytes
 icons/16-actions-rsibreakx.png    | Bin 0 -> 825 bytes
 icons/16-app-rsibreak.png         | Bin 747 -> 0 bytes
 icons/16-apps-rsibreak.png        | Bin 0 -> 747 bytes
 icons/22-action-rsibreak0.png     | Bin 1139 -> 0 bytes
 icons/22-action-rsibreak1.png     | Bin 1161 -> 0 bytes
 icons/22-action-rsibreak2.png     | Bin 1231 -> 0 bytes
 icons/22-action-rsibreak3.png     | Bin 1256 -> 0 bytes
 icons/22-action-rsibreak4.png     | Bin 1026 -> 0 bytes
 icons/22-action-rsibreakx.png     | Bin 1330 -> 0 bytes
 icons/22-actions-rsibreak0.png    | Bin 0 -> 1139 bytes
 icons/22-actions-rsibreak1.png    | Bin 0 -> 1161 bytes
 icons/22-actions-rsibreak2.png    | Bin 0 -> 1231 bytes
 icons/22-actions-rsibreak3.png    | Bin 0 -> 1256 bytes
 icons/22-actions-rsibreak4.png    | Bin 0 -> 1026 bytes
 icons/22-actions-rsibreakx.png    | Bin 0 -> 1330 bytes
 icons/22-app-rsibreak.png         | Bin 1185 -> 0 bytes
 icons/22-apps-rsibreak.png        | Bin 0 -> 1185 bytes
 icons/32-action-duringbreaks.png  | Bin 565 -> 0 bytes
 icons/32-action-rsibreak0.png     | Bin 1726 -> 0 bytes
 icons/32-action-rsibreak1.png     | Bin 1784 -> 0 bytes
 icons/32-action-rsibreak2.png     | Bin 1889 -> 0 bytes
 icons/32-action-rsibreak3.png     | Bin 1932 -> 0 bytes
 icons/32-action-rsibreak4.png     | Bin 1610 -> 0 bytes
 icons/32-action-rsibreakx.png     | Bin 2101 -> 0 bytes
 icons/32-action-timings.png       | Bin 1796 -> 0 bytes
 icons/32-actions-duringbreaks.png | Bin 0 -> 565 bytes
 icons/32-actions-rsibreak0.png    | Bin 0 -> 1726 bytes
 icons/32-actions-rsibreak1.png    | Bin 0 -> 1784 bytes
 icons/32-actions-rsibreak2.png    | Bin 0 -> 1889 bytes
 icons/32-actions-rsibreak3.png    | Bin 0 -> 1932 bytes
 icons/32-actions-rsibreak4.png    | Bin 0 -> 1610 bytes
 icons/32-actions-rsibreakx.png    | Bin 0 -> 2101 bytes
 icons/32-actions-timings.png      | Bin 0 -> 1796 bytes
 icons/32-app-rsibreak.png         | Bin 1796 -> 0 bytes
 icons/32-apps-rsibreak.png        | Bin 0 -> 1796 bytes
 icons/48-action-rsibreak0.png     | Bin 3861 -> 0 bytes
 icons/48-action-rsibreak1.png     | Bin 3933 -> 0 bytes
 icons/48-action-rsibreak2.png     | Bin 3945 -> 0 bytes
 icons/48-action-rsibreak3.png     | Bin 4003 -> 0 bytes
 icons/48-action-rsibreak4.png     | Bin 3514 -> 0 bytes
 icons/48-action-rsibreakx.png     | Bin 4813 -> 0 bytes
 icons/48-actions-rsibreak0.png    | Bin 0 -> 3861 bytes
 icons/48-actions-rsibreak1.png    | Bin 0 -> 3933 bytes
 icons/48-actions-rsibreak2.png    | Bin 0 -> 3945 bytes
 icons/48-actions-rsibreak3.png    | Bin 0 -> 4003 bytes
 icons/48-actions-rsibreak4.png    | Bin 0 -> 3514 bytes
 icons/48-actions-rsibreakx.png    | Bin 0 -> 4813 bytes
 icons/CMakeLists.txt              |   2 +-
 61 files changed, 1 insertion(+), 1 deletion(-)

commit 072bb4eab4e303347df759bdb3bd10690f1f5bb8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Aug 2 01:46:06 2015 +0200

    Initial port to KF5

    Compiles and runs

    There's lots of obvious stuff needing fixing

 CMakeLists.txt                     |  47 +++++++++++-------
 icons/128-app-rsibreak.png         | Bin 0 -> 12174 bytes
 icons/16-action-rsibreak0.png      | Bin 0 -> 738 bytes
 icons/16-action-rsibreak1.png      | Bin 0 -> 738 bytes
 icons/16-action-rsibreak2.png      | Bin 0 -> 781 bytes
 icons/16-action-rsibreak3.png      | Bin 0 -> 777 bytes
 icons/16-action-rsibreak4.png      | Bin 0 -> 649 bytes
 icons/16-action-rsibreakx.png      | Bin 0 -> 825 bytes
 icons/16-app-rsibreak.png          | Bin 0 -> 747 bytes
 icons/22-action-rsibreak0.png      | Bin 0 -> 1139 bytes
 icons/22-action-rsibreak1.png      | Bin 0 -> 1161 bytes
 icons/22-action-rsibreak2.png      | Bin 0 -> 1231 bytes
 icons/22-action-rsibreak3.png      | Bin 0 -> 1256 bytes
 icons/22-action-rsibreak4.png      | Bin 0 -> 1026 bytes
 icons/22-action-rsibreakx.png      | Bin 0 -> 1330 bytes
 icons/22-app-rsibreak.png          | Bin 0 -> 1185 bytes
 icons/32-action-duringbreaks.png   | Bin 0 -> 565 bytes
 icons/32-action-rsibreak0.png      | Bin 0 -> 1726 bytes
 icons/32-action-rsibreak1.png      | Bin 0 -> 1784 bytes
 icons/32-action-rsibreak2.png      | Bin 0 -> 1889 bytes
 icons/32-action-rsibreak3.png      | Bin 0 -> 1932 bytes
 icons/32-action-rsibreak4.png      | Bin 0 -> 1610 bytes
 icons/32-action-rsibreakx.png      | Bin 0 -> 2101 bytes
 icons/32-action-timings.png        | Bin 0 -> 1796 bytes
 icons/32-app-rsibreak.png          | Bin 0 -> 1796 bytes
 icons/48-action-rsibreak0.png      | Bin 0 -> 3861 bytes
 icons/48-action-rsibreak1.png      | Bin 0 -> 3933 bytes
 icons/48-action-rsibreak2.png      | Bin 0 -> 3945 bytes
 icons/48-action-rsibreak3.png      | Bin 0 -> 4003 bytes
 icons/48-action-rsibreak4.png      | Bin 0 -> 3514 bytes
 icons/48-action-rsibreakx.png      | Bin 0 -> 4813 bytes
 icons/CMakeLists.txt               |   4 +-
 icons/hi128-app-rsibreak.png       | Bin 12174 -> 0 bytes
 icons/hi16-action-rsibreak0.png    | Bin 738 -> 0 bytes
 icons/hi16-action-rsibreak1.png    | Bin 738 -> 0 bytes
 icons/hi16-action-rsibreak2.png    | Bin 781 -> 0 bytes
 icons/hi16-action-rsibreak3.png    | Bin 777 -> 0 bytes
 icons/hi16-action-rsibreak4.png    | Bin 649 -> 0 bytes
 icons/hi16-action-rsibreakx.png    | Bin 825 -> 0 bytes
 icons/hi16-app-rsibreak.png        | Bin 747 -> 0 bytes
 icons/hi22-action-rsibreak0.png    | Bin 1139 -> 0 bytes
 icons/hi22-action-rsibreak1.png    | Bin 1161 -> 0 bytes
 icons/hi22-action-rsibreak2.png    | Bin 1231 -> 0 bytes
 icons/hi22-action-rsibreak3.png    | Bin 1256 -> 0 bytes
 icons/hi22-action-rsibreak4.png    | Bin 1026 -> 0 bytes
 icons/hi22-action-rsibreakx.png    | Bin 1330 -> 0 bytes
 icons/hi22-app-rsibreak.png        | Bin 1185 -> 0 bytes
 icons/hi32-action-duringbreaks.png | Bin 565 -> 0 bytes
 icons/hi32-action-rsibreak0.png    | Bin 1726 -> 0 bytes
 icons/hi32-action-rsibreak1.png    | Bin 1784 -> 0 bytes
 icons/hi32-action-rsibreak2.png    | Bin 1889 -> 0 bytes
 icons/hi32-action-rsibreak3.png    | Bin 1932 -> 0 bytes
 icons/hi32-action-rsibreak4.png    | Bin 1610 -> 0 bytes
 icons/hi32-action-rsibreakx.png    | Bin 2101 -> 0 bytes
 icons/hi32-action-timings.png      | Bin 1796 -> 0 bytes
 icons/hi32-app-rsibreak.png        | Bin 1796 -> 0 bytes
 icons/hi48-action-rsibreak0.png    | Bin 3861 -> 0 bytes
 icons/hi48-action-rsibreak1.png    | Bin 3933 -> 0 bytes
 icons/hi48-action-rsibreak2.png    | Bin 3945 -> 0 bytes
 icons/hi48-action-rsibreak3.png    | Bin 4003 -> 0 bytes
 icons/hi48-action-rsibreak4.png    | Bin 3514 -> 0 bytes
 icons/hi48-action-rsibreakx.png    | Bin 4813 -> 0 bytes
 src/CMakeLists.txt                 |  14 +++---
 src/breakbase.cpp                  |  19 ++++----
 src/breakcontrol.cpp               |  17 +++----
 src/grayeffect.cpp                 |   6 ---
 src/main.cpp                       |  83 +++++++++++++-------------------
 src/passivepopup.cpp               |   3 --
 src/plasmaeffect.cpp               |   9 ++--
 src/popupeffect.cpp                |   9 ++--
 src/rsidock.cpp                    |  59 +++++++++++++++--------
 src/rsidock.h                      |   4 +-
 src/rsiglobals.cpp                 |  15 +++---
 src/rsirelaxpopup.cpp              |  30 ++++++++----
 src/rsistats.cpp                   |   9 ++--
 src/rsistatwidget.cpp              |  13 +++--
 src/rsitimer.cpp                   |  45 ++++++++----------
 src/rsitimer_dpms.cpp              |  52 --------------------
 src/rsitimer_dpms.h                |  25 ----------
 src/rsiwidget.cpp                  |  28 +++++------
 src/rsiwidget.h                    |   3 +-
 src/setup.cpp                      |  26 +++++-----
 src/setupgeneral.cpp               |  14 +++---
 src/setupmaximized.cpp             |  95
 +++++++++++++++++++++----------------
 src/setupnotifications.cpp         |   2 -
 src/setuptiming.cpp                |  80 ++++++++++++++++++-------------
 src/slideshoweffect.cpp            |  10 ++--
 87 files changed, 333 insertions(+), 388 deletions(-)

commit 5e9d393802cd963ebdfcb6ebd302132f1b507cbd
Author: Yury G. Kudryashov <urkud.urkud@gmail.com>
Date:   Sun May 5 18:47:42 2013 +0400

    Drop config-rsibreak.h

    The HAVE_LIBXSS macro defined in this file was unused since the
    previous
    commit.

 config-rsibreak.h.cmake | 6 ------
 src/CMakeLists.txt      | 3 ---
 src/rsitimer.cpp        | 2 --
 src/rsiwidget.cpp       | 2 --
 4 files changed, 13 deletions(-)

commit 095aeb1017bdddcdbcbc1a0d8223b2526fbfce2a
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Jul 24 19:22:30 2012 +0200

    SVN_SILENT made messages (.desktop file)

 src/rsibreak.notifyrc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 563bec9b537fc18d8ce5b5fdf5187c88adfbb0d4
Author: Script Kiddy <scripty@kde.org>
Date:   Fri May 4 10:25:43 2012 +0200

    SVN_SILENT made messages (.desktop file)

 plasma/plasma-applet-rsibreak.desktop |  2 ++
 plasma/plasma-engine-rsibreak.desktop |  2 ++
 src/rsibreak.desktop                  |  2 ++
 src/rsibreak.notifyrc                 | 13 +++++++++++++
 4 files changed, 19 insertions(+)

commit cdc2f04798feb040351d0d61efd134ee05e3fd82
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Mar 1 09:41:59 2012 +0100

    SVN_SILENT made messages (.desktop file)

 plasma/plasma-applet-rsibreak.desktop | 1 +
 src/rsibreak.desktop                  | 1 +
 src/rsibreak.notifyrc                 | 1 +
 3 files changed, 3 insertions(+)

commit f3955ffce7d7bda3a765fed30dd9727a2e322dcb
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Jan 4 09:27:26 2012 +0100

    SVN_SILENT made messages (.desktop file)

 plasma/plasma-applet-rsibreak.desktop | 1 +
 src/rsibreak.desktop                  | 1 +
 src/rsibreak.notifyrc                 | 1 +
 3 files changed, 3 insertions(+)

commit 005e5903a12c86f0dac0eec44f17b38732f73ab6
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Jul 26 11:07:00 2011 +0200

    SVN_SILENT made messages (.desktop file)

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit 47827bef25b4e886c4e86d324b8bddfb296ce130
Author: Script Kiddy <scripty@kde.org>
Date:   Tue May 17 10:45:31 2011 +0200

    SVN_SILENT made messages (.desktop file)

 plasma/plasma-applet-rsibreak.desktop | 2 ++
 plasma/plasma-engine-rsibreak.desktop | 1 +
 src/rsibreak.desktop                  | 1 +
 3 files changed, 4 insertions(+)

commit ca84ca67ac125448f6a09b1981319231e299ffb4
Author: Script Kiddy <scripty@kde.org>
Date:   Mon May 9 07:26:55 2011 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1230980

 src/rsibreak.notifyrc | 1 +
 1 file changed, 1 insertion(+)

commit 9e26eca1de3c3f86a4315eab6b35543394102156
Author: Aurélien Gâteau <agateau@kde.org>
Date:   Mon Apr 4 20:44:33 2011 +0000

    Add 48x48 versions of the action icons

    This fixes the blurry icon in the tooltip

    svn path=/trunk/extragear/utils/rsibreak/; revision=1227120

 icons/hi48-action-rsibreak0.png | Bin 0 -> 3861 bytes
 icons/hi48-action-rsibreak1.png | Bin 0 -> 3933 bytes
 icons/hi48-action-rsibreak2.png | Bin 0 -> 3945 bytes
 icons/hi48-action-rsibreak3.png | Bin 0 -> 4003 bytes
 icons/hi48-action-rsibreak4.png | Bin 0 -> 3514 bytes
 icons/hi48-action-rsibreakx.png | Bin 0 -> 4813 bytes
 6 files changed, 0 insertions(+), 0 deletions(-)

commit 425659ab8cadb5a823dbd2fda96c0214d2a86e6e
Author: Aurélien Gâteau <agateau@kde.org>
Date:   Sun Apr 3 22:06:07 2011 +0000

    Add myself to the authors of RSIDock class

    svn path=/trunk/extragear/utils/rsibreak/; revision=1227002

 src/rsidock.cpp | 1 +
 src/rsidock.h   | 2 ++
 2 files changed, 3 insertions(+)

commit 3f261910b3adbd06571137a772220b2a6415604b
Author: Aurélien Gâteau <agateau@kde.org>
Date:   Sun Apr 3 22:06:05 2011 +0000

    Merged RSIToolTip into RSIDock

    svn path=/trunk/extragear/utils/rsibreak/; revision=1227001

 src/CMakeLists.txt |  1 -
 src/rsidock.cpp    | 45 +++++++++++++++++++++++++++++
 src/rsidock.h      |  3 ++
 src/rsitooltip.cpp | 85
 ------------------------------------------------------
 src/rsitooltip.h   | 55 -----------------------------------
 src/rsiwidget.cpp  |  7 +----
 src/rsiwidget.h    |  2 --
 7 files changed, 49 insertions(+), 149 deletions(-)

commit 4943c6bc44ec63ad66718f8cdf34309258d473d6
Author: Aurélien Gâteau <agateau@kde.org>
Date:   Sun Apr 3 22:06:03 2011 +0000

    Hard-code position of popup to bottom-center

    svn path=/trunk/extragear/utils/rsibreak/; revision=1227000

 src/passivepopup.cpp | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 29e43d7e1444ec96db6ab144d6a2b62c6171229e
Author: Aurélien Gâteau <agateau@kde.org>
Date:   Sun Apr 3 22:06:01 2011 +0000

    Ported tooltip

    svn path=/trunk/extragear/utils/rsibreak/; revision=1226999

 src/rsidock.cpp    |  3 +-
 src/rsitooltip.cpp | 86
 ++++++++++++++++++++----------------------------------
 src/rsitooltip.h   | 29 ++++++------------
 src/rsiwidget.cpp  | 10 ++-----
 4 files changed, 45 insertions(+), 83 deletions(-)

commit d8c278c58fdcd028f452ffca6d03f883cff066a6
Author: Aurélien Gâteau <agateau@kde.org>
Date:   Sun Apr 3 22:05:57 2011 +0000

    Started porting to KStatusNotifierItem

    svn path=/trunk/extragear/utils/rsibreak/; revision=1226998

 src/passivepopup.cpp  | 10 +++-----
 src/passivepopup.h    |  2 +-
 src/popupeffect.cpp   |  7 +-----
 src/popupeffect.h     |  3 ---
 src/rsidock.cpp       | 64
 ++++++++++++++-------------------------------------
 src/rsidock.h         | 34 +++------------------------
 src/rsirelaxpopup.cpp |  7 +++---
 src/rsirelaxpopup.h   |  4 +---
 src/rsitooltip.h      |  2 +-
 src/rsiwidget.cpp     | 23 ++++++++----------
 10 files changed, 40 insertions(+), 116 deletions(-)

commit f65767b2a3cc511cbdf0cc5c7478681b82bd8d28
Author: Juan Luis Baptiste <juan.baptiste@kdemail.net>
Date:   Mon Mar 28 02:23:52 2011 +0000

    Added postpone break statistics and
    fixed skip break statistic count, it was always counting all skipped
    breaks as
    tiny breaks.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1226248

 src/rsiglobals.h      |  2 ++
 src/rsistats.cpp      | 13 +++++++++++++
 src/rsistatwidget.cpp |  6 ++++--
 src/rsitimer.cpp      | 12 +++++++++---
 4 files changed, 28 insertions(+), 5 deletions(-)

commit 6f3635324f29b23a22725b624ecff3b359bdeb0a
Author: Tom Albers <toma@kde.org>
Date:   Fri Jan 14 21:46:59 2011 +0000

    That todo is done.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1214488

 TODO | 3 ---
 1 file changed, 3 deletions(-)

commit 04eb3213dee24930262adb33c2ccfa5e5f7a98c3
Author: Tom Albers <toma@kde.org>
Date:   Fri Jan 14 21:46:07 2011 +0000

    Prepare for release.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1214487

 ChangeLog    | 108 ++++++++++++++++++++
 NEWS         |   4 +
 kidle.diff   | 327
 -----------------------------------------------------------
 src/main.cpp |   2 +-
 4 files changed, 113 insertions(+), 328 deletions(-)

commit 76d877f88925e8a0a197358146b891a696fbe3de
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Dec 4 05:21:36 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1203464

 src/rsibreak.notifyrc | 1 +
 1 file changed, 1 insertion(+)

commit 27a5b4286a498250442ecd3e4be21cfaee86fc70
Author: Tom Albers <toma@kde.org>
Date:   Thu Dec 2 23:12:03 2010 +0000

    Rewrite the ignore-idle-time-on-short-breaks-setting in a different
    way. Solves endless loop.
    BUG=253335

    svn path=/trunk/extragear/utils/rsibreak/; revision=1202979

 src/rsitimer.cpp | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit c1c1a17b8f337c8e5d4ec50ebdc43e89979dd69d
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Nov 27 11:01:10 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1201320

 plasma/plasma-engine-rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit 14eced9ae6eae377207316189f1fa7d6f9e8fccb
Author: David Faure <faure@kde.org>
Date:   Thu Oct 21 15:44:39 2010 +0000

    Make executable the Type=Application .desktop files we install,
    so that they can be used even from a KDE running in another prefix
    (http://markmail.org/message/4p3krovtnzwx35zd)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1188173

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b128331be816ca3d96723987c51c0b97a9e471d3
Author: Juan Luis Baptiste <juan.baptiste@kdemail.net>
Date:   Fri Oct 15 00:53:01 2010 +0000

    Added a configuration option to hide the postpone break button.
    GUI

    svn path=/trunk/extragear/utils/rsibreak/; revision=1186028

 src/breakbase.cpp      |  5 +++++
 src/breakbase.h        |  1 +
 src/breakcontrol.cpp   |  5 +++++
 src/breakcontrol.h     |  1 +
 src/rsirelaxpopup.cpp  |  4 ++++
 src/rsirelaxpopup.h    |  5 ++++-
 src/rsiwidget.cpp      |  3 +++
 src/setupmaximized.cpp | 11 ++++++++++-
 8 files changed, 33 insertions(+), 2 deletions(-)

commit 35c6f7e3b435192d51844773863093128c8b426c
Author: Juan Luis Baptiste <juan.baptiste@kdemail.net>
Date:   Thu Oct 14 05:12:00 2010 +0000

    Added postpone break feature.
    BU=G199793


    svn path=/trunk/extragear/utils/rsibreak/; revision=1185664

 src/breakbase.cpp     |  2 ++
 src/breakbase.h       |  2 ++
 src/breakcontrol.cpp  |  7 +++++++
 src/breakcontrol.h    |  3 +++
 src/rsiglobals.cpp    |  3 +++
 src/rsirelaxpopup.cpp |  5 +++++
 src/rsirelaxpopup.h   |  5 +++++
 src/rsitimer.cpp      | 19 +++++++++++++++++++
 src/rsitimer.h        | 10 +++++++++-
 src/rsiwidget.cpp     |  3 +++
 src/setuptiming.cpp   | 27 +++++++++++++++++++++++++++
 11 files changed, 85 insertions(+), 1 deletion(-)

commit f02fa41ef927c456c247b705effc46da375e29a2
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Oct 13 08:48:12 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1185400

 plasma/plasma-engine-rsibreak.desktop | 1 +
 src/rsibreak.notifyrc                 | 1 +
 2 files changed, 2 insertions(+)

commit 63a440c788a057c13ef539d90ddfc5e21dc5f2f9
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Oct 4 08:29:08 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1182328

 src/rsibreak.notifyrc | 1 +
 1 file changed, 1 insertion(+)

commit 451b543caaae28f3f17ca3f74638470469e54ba5
Author: Burkhard Lück <lueck@hube-lueck.de>
Date:   Sun Oct 3 16:58:28 2010 +0000

    doc update

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=1182179

 doc/dcop.png       | Bin 9225 -> 0 bytes
 doc/index.docbook  |  16 ++++++++--------
 doc/popup.png      | Bin 5287 -> 7780 bytes
 doc/statistics.png | Bin 13240 -> 45700 bytes
 doc/suspend.png    | Bin 3798 -> 7879 bytes
 5 files changed, 8 insertions(+), 8 deletions(-)

commit b0dcc7db7aa7ea70e0d5c96b06b4fd9f5e9bf9fa
Author: Frederik Schwarzer <schwarzer@kde.org>
Date:   Sun Oct 3 14:03:31 2010 +0000

    make the button text translatable

    svn path=/trunk/extragear/utils/rsibreak/; revision=1182154

 src/rsidock.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f66edf45eb4c1753e2e31125293b10925a46641
Author: Frederik Schwarzer <schwarzer@kde.org>
Date:   Sun Oct 3 12:03:03 2010 +0000

    fix string: "[...] 10 seconds seconds"

    Since the string parameter already contains the
    "seconds" suffix, it does not need to be appended here.
    However, it looks like the parameter can also be
    "suspended", which makes this awkward anyway.


    svn path=/trunk/extragear/utils/rsibreak/; revision=1182119

 src/popupeffect.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 5185fc8b9f7fb38c36a4d858db201593d4892dd0
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Oct 3 10:12:06 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1182084

 src/rsibreak.notifyrc | 1 +
 1 file changed, 1 insertion(+)

commit 1736dadfd4573bf0861bec37b4e9be2ca2f1d4d1
Author: Tom Albers <toma@kde.org>
Date:   Fri Oct 1 20:45:11 2010 +0000

    Prepare for release.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181705

 CMakeLists.txt |   2 +
 ChangeLog      | 592
 ++++++++++++++++++++++++++++++++++++++++++++-------------
 NEWS           |  20 ++
 src/main.cpp   |   2 +-
 4 files changed, 481 insertions(+), 135 deletions(-)

commit 6b5ff7b793393972f09ee17302f9f07bf91fd905
Author: Tom Albers <toma@kde.org>
Date:   Fri Oct 1 20:30:42 2010 +0000

    Reindent + update copyrights.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181699

 src/breakbase.cpp       |  6 +++---
 src/breakcontrol.cpp    | 16 ++++++++--------
 src/main.cpp            |  8 ++++----
 src/plasmaeffect.cpp    |  2 +-
 src/plasmaeffect.h      |  2 +-
 src/rsiglobals.cpp      |  4 ++--
 src/rsirelaxpopup.cpp   |  2 +-
 src/rsitimer.cpp        |  8 ++++----
 src/rsitimer.h          |  2 +-
 src/rsiwidget.cpp       |  2 +-
 src/setupmaximized.cpp  | 12 ++++++------
 src/slideshoweffect.cpp |  6 +++---
 src/slideshoweffect.h   |  2 +-
 13 files changed, 36 insertions(+), 36 deletions(-)

commit 1b5c2551c13a365898add1d48f6ccdf92b38b402
Author: Tom Albers <toma@kde.org>
Date:   Fri Oct 1 20:16:00 2010 +0000

    When there is a new screen added, the primaryScreen might
    change. Adapt all the code to cope with such a change. Untested.
    BUG=201215

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181695

 src/breakbase.cpp       |  9 ++++-----
 src/breakcontrol.cpp    |  8 +++++++-
 src/breakcontrol.h      |  1 +
 src/plasmaeffect.cpp    |  8 ++++++++
 src/plasmaeffect.h      |  3 +++
 src/slideshoweffect.cpp | 23 +++++++++++++++++++----
 src/slideshoweffect.h   |  5 ++++-
 7 files changed, 46 insertions(+), 11 deletions(-)

commit 56a7b326ffa6558b3d40bf9616eb3d1f53b9a221
Author: Tom Albers <toma@kde.org>
Date:   Fri Oct 1 18:55:39 2010 +0000

    Make the time of the popup configurable. This way you can set it
    to 999 seconds, and basically never see the effect kick in. Dotan,
    that basically allowes you the workflow you want, right?
    BUG=246777

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181680

 src/rsiglobals.cpp     |  2 +-
 src/rsitimer.cpp       |  4 +---
 src/setupmaximized.cpp | 18 +++++++++++++++++-
 3 files changed, 19 insertions(+), 5 deletions(-)

commit b0eb136d54843a1e3aa7609e8750afef453f50cc
Author: Tom Albers <toma@kde.org>
Date:   Fri Oct 1 18:22:50 2010 +0000

    Cleanup debugging setup, remove check for kde version, now we require
    at least that version.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181675

 src/mainpage.dox     |  5 +++--
 src/plasmaeffect.cpp | 26 +-------------------------
 src/rsidock.cpp      |  5 -----
 src/rsidock.h        |  1 -
 src/rsiglobals.cpp   |  2 +-
 src/rsitimer.cpp     | 14 +++++---------
 src/rsitimer.h       |  7 +------
 src/rsiwidget.cpp    |  1 -
 src/setuptiming.cpp  | 11 +++++------
 9 files changed, 16 insertions(+), 56 deletions(-)

commit f48ddca057a411fcef2e7edf4b8f78df759cf783
Author: Tom Albers <toma@kde.org>
Date:   Fri Oct 1 18:06:51 2010 +0000

    Move slide interval setting from the Timings config page to the
    effect specific settings.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181671

 src/setupmaximized.cpp | 17 ++++++++++++++++-
 src/setuptiming.cpp    | 39 +--------------------------------------
 2 files changed, 17 insertions(+), 39 deletions(-)

commit e4ce1e7dafe1ac4730ae02f45be33cf56d317fd1
Author: Andrew Coles <andrew.i.coles@googlemail.com>
Date:   Fri Oct 1 17:46:57 2010 +0000

    Minor proof-reading edit: can not -> cannot, for consistency with
    the rest of KDE.

    SVN_SILENT


    svn path=/trunk/extragear/utils/rsibreak/; revision=1181665

 src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab35456ca2b4c3ee14e7cb6246cc45fa3dc500d8
Author: Tom Albers <toma@kde.org>
Date:   Thu Sep 30 01:26:18 2010 +0000

    Restart timers when someone presses the lock button.
    BUG=225213

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181101

 src/rsitimer.cpp  |  2 +-
 src/rsiwidget.cpp | 48 +-----------------------------------------------
 src/rsiwidget.h   |  2 --
 3 files changed, 2 insertions(+), 50 deletions(-)

commit 31d482abd3efa63e895d32ae034b0486d29feac4
Author: Tom Albers <toma@kde.org>
Date:   Thu Sep 30 01:02:01 2010 +0000

    Update copyrights, and change debug output so it will be usefull if
    the bug appears again.
    BUG=245456

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181099

 src/breakcontrol.cpp       | 2 +-
 src/breakcontrol.h         | 2 +-
 src/rsirelaxpopup.cpp      | 2 +-
 src/rsirelaxpopup.h        | 1 +
 src/rsitimer.cpp           | 5 ++++-
 src/rsiwidget.cpp          | 2 +-
 src/setup.cpp              | 2 +-
 src/setupnotifications.cpp | 3 +--
 8 files changed, 11 insertions(+), 8 deletions(-)

commit 8422454fd9f26d4cdf79b0b98c162150aee22666
Author: Tom Albers <toma@kde.org>
Date:   Thu Sep 30 00:49:07 2010 +0000

    Add a hide lock button switch to the configuration.
    BUG=226891

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181096

 src/breakbase.cpp      |  5 +++++
 src/breakbase.h        |  1 +
 src/breakcontrol.cpp   | 15 ++++++++++-----
 src/breakcontrol.h     |  1 +
 src/rsirelaxpopup.cpp  |  5 +++++
 src/rsirelaxpopup.h    |  3 +++
 src/rsiwidget.cpp      |  3 +++
 src/setupmaximized.cpp | 10 ++++++++++
 8 files changed, 38 insertions(+), 5 deletions(-)

commit 2129c88a583b9aedd6d35ff24ce56dea3f7c65f1
Author: Tom Albers <toma@kde.org>
Date:   Thu Sep 30 00:23:30 2010 +0000

    Remove the screenshot, as the experts say this code path will fail
    in several circumstances.
    BUG=203654

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181092

 src/main.cpp                   |  9 +++++----
 src/org.rsibreak.rsiwidget.xml |  2 --
 src/rsiwidget.cpp              | 32 +-------------------------------
 src/rsiwidget.h                |  3 ---
 4 files changed, 6 insertions(+), 40 deletions(-)

commit 9cf56e10681204be336a90cf3c478d72e6a0de5f
Author: Tom Albers <toma@kde.org>
Date:   Wed Sep 29 23:55:24 2010 +0000

    Add notifications widget to the config. This makes it more
    discoverable for people to associate a shell script at the times of
    a break, or a sound or whatever.
    BUG=216435

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181087

 src/CMakeLists.txt         |  1 +
 src/setup.cpp              |  7 +++++++
 src/setupnotifications.cpp | 43 +++++++++++++++++++++++++++++++++++++++
 src/setupnotifications.h   | 50
 ++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 101 insertions(+)

commit 139fa7b6dfff70c850a216b61facbf281a244b57
Author: Tom Albers <toma@kde.org>
Date:   Wed Sep 29 23:20:05 2010 +0000

    Bump required KDE version so I can clean up a bit.
    Also, when timers are not changed in the config, don't restart the
    timers when closing the dialog.
    BUG=200026

    svn path=/trunk/extragear/utils/rsibreak/; revision=1181076

 CMakeLists.txt         |  10 +-
 RSIBreak.config        |   1 +
 RSIBreak.creator       |   1 +
 RSIBreak.files         |  54 +++++
 RSIBreak.includes      |   2 +
 src/CMakeLists.txt     |  30 +--
 src/main.cpp           |  16 +-
 src/rsitimer.cpp       |  59 ++---
 src/rsitimer.h         |   8 +-
 src/rsitimer_kidle.cpp | 596
 -------------------------------------------------
 src/rsitimer_kidle.h   | 273 ----------------------
 src/rsiwidget.cpp      |   8 +-
 12 files changed, 82 insertions(+), 976 deletions(-)

commit a6093650c59ca0052cfbfc20cf4947d61c7757cf
Author: Chani Armitage <chanika@gmail.com>
Date:   Mon Sep 6 19:38:25 2010 +0000

    Make the timers thread-friendly
    needed for qt>=4.4

    svn path=/trunk/extragear/utils/rsibreak/; revision=1172242

 src/rsitimer.cpp       | 11 +++++++----
 src/rsitimer.h         | 12 +++++-------
 src/rsitimer_kidle.cpp | 11 +++++++----
 src/rsitimer_kidle.h   | 12 +++++-------
 4 files changed, 24 insertions(+), 22 deletions(-)

commit 056c83a3cfdfb0ea20dca04131c8743112840aa8
Author: Juan Luis Baptiste <juan.baptiste@kdemail.net>
Date:   Wed Aug 25 05:16:56 2010 +0000

    Changed the name of the skipSmallImages parameter to showSmallImages
    as it is used in the definition of that method.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1167628

 src/slideshoweffect.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f1c6d02cc9613b6935ab38b86a2b691c19d8fd2
Author: Juan Luis Baptiste <juan.baptiste@kdemail.net>
Date:   Tue Aug 24 02:29:18 2010 +0000

    - Added a config option to the slide image effect to enable/disable
    checking for small images instead of removing them always.
    - BUG: 216446
    GUI

    svn path=/trunk/extragear/utils/rsibreak/; revision=1167219

 src/rsiwidget.cpp       | 4 +++-
 src/setupmaximized.cpp  | 8 ++++++++
 src/slideshoweffect.cpp | 7 ++++---
 src/slideshoweffect.h   | 3 ++-
 4 files changed, 17 insertions(+), 5 deletions(-)

commit 494cc0833eb5f4c52c366ff44b9c4eaeb700b2c4
Author: Juan Luis Baptiste <juan.baptiste@kdemail.net>
Date:   Wed Aug 11 15:24:54 2010 +0000

    Change dim widget and passive popup to have bigger and spaced
    buttons, with icons (for the dim screen widget) and more descriptive
    texts. CCBUG:226891 GUI

    svn path=/trunk/extragear/utils/rsibreak/; revision=1162178

 src/breakcontrol.cpp  | 16 +++++++++++++---
 src/rsirelaxpopup.cpp | 12 ++++++------
 2 files changed, 19 insertions(+), 9 deletions(-)

commit 9e5e804167b5c290c21f50dad6fa1e34d8c13754
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Jun 15 08:47:10 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1138161

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit 5daf28c91896ce905e85596d53151c18f5da976f
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Mar 17 08:52:49 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1104269

 src/rsibreak.notifyrc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit ddffd71d8771e449180ebc9275173754e215dbd1
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Feb 15 11:39:09 2010 +0000

    SVN_SILENT made messages (.desktop file, second try)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1090504

 plasma/plasma-applet-rsibreak.desktop |  2 ++
 plasma/plasma-engine-rsibreak.desktop |  2 ++
 src/rsibreak.desktop                  |  2 ++
 src/rsibreak.notifyrc                 | 13 +++++++++++++
 4 files changed, 19 insertions(+)

commit e239b660e7adc43d0fdeb34519547da8a11dad7c
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Feb 1 10:41:18 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1083491

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit 1067ef0e0936efd1957c18a07cef55a8f097518b
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Jan 31 10:59:31 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1082822

 src/rsibreak.notifyrc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ee56882fa34c9aed03bbcab294ce6e89998557ac
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Jan 25 10:42:05 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1079979

 plasma/plasma-applet-rsibreak.desktop | 1 +
 src/rsibreak.desktop                  | 1 +
 src/rsibreak.notifyrc                 | 1 +
 3 files changed, 3 insertions(+)

commit 53439618e64be775b2d34ee20e390b68ca117efc
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Jan 21 10:27:26 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1078046

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit 996b2750fabc64e2f1fd9211836f8de0c8119a9d
Author: Pino Toscano <pino@kde.org>
Date:   Tue Jan 12 13:45:01 2010 +0000

    simplify constructor calls

    svn path=/trunk/extragear/utils/rsibreak/; revision=1073594

 src/rsitimer.cpp       | 2 +-
 src/rsitimer_kidle.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b7a233c3968a02b5be06f1bb10c0b22df78986ad
Author: Pino Toscano <pino@kde.org>
Date:   Tue Jan 12 12:07:31 2010 +0000

    no need to double qualify the class name

    svn path=/trunk/extragear/utils/rsibreak/; revision=1073577

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c40d726d7829882cf2db3e1140f0aeb1f00f7972
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Jan 10 10:54:41 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1072550

 plasma/plasma-applet-rsibreak.desktop |  2 ++
 plasma/plasma-engine-rsibreak.desktop |  2 ++
 src/rsibreak.desktop                  |  2 ++
 src/rsibreak.notifyrc                 | 13 +++++++++++++
 4 files changed, 19 insertions(+)

commit e119534e1e99d7059159d2f11f094e34c12735bd
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Jan 8 10:37:08 2010 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1071586

 plasma/plasma-applet-rsibreak.desktop |  2 ++
 plasma/plasma-engine-rsibreak.desktop |  2 ++
 src/rsibreak.desktop                  |  2 ++
 src/rsibreak.notifyrc                 | 13 +++++++++++++
 4 files changed, 19 insertions(+)

commit 46a27f160b4f5818a619e312cf331cadec2b189e
Author: Luigi Toscano <luigi.toscano@tiscali.it>
Date:   Fri Jan 1 14:16:05 2010 +0000

    Remove references to DCOP, replace them with D-Bus ones.

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=1068551

 doc/index.docbook | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aa90d77370ebfd78ec8a34af62cce9dee3e11db7
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Dec 29 12:29:05 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1067364

 plasma/plasma-applet-rsibreak.desktop | 1 +
 plasma/plasma-engine-rsibreak.desktop | 2 ++
 src/rsibreak.desktop                  | 1 +
 src/rsibreak.notifyrc                 | 3 +++
 4 files changed, 7 insertions(+)

commit 2ebbcc5b9f1994098eaf590014a86a9e29257cb4
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Dec 23 11:09:12 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1065467

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit ce56dfdd52802520dedc87015a41bd7805bd323f
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Dec 17 10:23:47 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1063175

 plasma/plasma-applet-rsibreak.desktop |  1 +
 src/rsibreak.desktop                  |  1 +
 src/rsibreak.notifyrc                 | 10 ++++++++++
 3 files changed, 12 insertions(+)

commit 6a758243744aaf2232d52203a7a8c6d34700dad7
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Dec 5 10:23:15 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1058905

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit a4f3c9a0ea7615ba6173edc4a4e561ffcbbdf159
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Mon Oct 19 14:37:45 2009 +0000

    Choooe->Choose

    svn path=/trunk/extragear/utils/rsibreak/; revision=1037565

 src/setupmaximized.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c7cea23c8a08e93adf2bc26f7c3e385bae307266
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Oct 19 09:41:54 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1037472

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit 2941b3c7a87188e2998bc91ef3965f10d9142950
Author: Andrew Coles <andrew.i.coles@googlemail.com>
Date:   Sun Oct 18 21:44:00 2009 +0000

    SVN_SILENT

    Minor proof-reading: chose is the past tense of the verb 'to choose',
    i.e. be careful, it needs two leter 'o's.


    svn path=/trunk/extragear/utils/rsibreak/; revision=1037388

 src/setupmaximized.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 897f169e7d9518cef1b9974931aeaae7e457f572
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Sep 17 09:38:47 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1024806

 plasma/plasma-applet-rsibreak.desktop | 27 +++++++++++++++++++++++++++
 plasma/plasma-engine-rsibreak.desktop |  2 ++
 src/rsibreak.desktop                  | 26 ++++++++++++++++++++++++++
 src/rsibreak.notifyrc                 | 34
 ++++++++++++++++++++++++++++++++++
 4 files changed, 89 insertions(+)

commit 9e910603adf5ff33fdb89fd3b3982ac7b1caaf74
Author: Leonardo Finetti <finex@finex.org>
Date:   Sun Sep 13 13:54:28 2009 +0000

    Fix category. Thanks to Balcaen John for the patch.


    BUG: 207219


    svn path=/trunk/extragear/utils/rsibreak/; revision=1022907

 plasma/plasma-applet-rsibreak.desktop | 2 +-
 plasma/plasma-engine-rsibreak.desktop | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7f58b8b5aa42992208fc07eb116d9d9c662f40b1
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Sep 5 11:03:06 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1020158

 plasma/plasma-engine-rsibreak.desktop |  1 +
 src/rsibreak.notifyrc                 | 11 +++++++++++
 2 files changed, 12 insertions(+)

commit ec81e5821cdcf48db7a29c7c70699348ceacfe20
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Aug 31 09:20:45 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1017710

 src/rsibreak.desktop  | 1 +
 src/rsibreak.notifyrc | 3 +++
 2 files changed, 4 insertions(+)

commit 09097b104dcf173cdc55c8e6248e17d7f03bdbf6
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Aug 29 19:14:57 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1017145

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit 20d516cef13d4938748abf79a3cbaa0bba049d7f
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Aug 23 12:11:55 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1014627

 plasma/plasma-engine-rsibreak.desktop | 1 +
 src/rsibreak.notifyrc                 | 1 +
 2 files changed, 2 insertions(+)

commit 614f9d757aed438cd33d4a7e8ef2fdf611cb0a9b
Author: Laurent Montel <montel@kde.org>
Date:   Fri Aug 14 07:32:54 2009 +0000

    Fix includes

    svn path=/trunk/extragear/utils/rsibreak/; revision=1011260

 src/grayeffect.cpp    | 4 ----
 src/grayeffect.h      | 1 -
 src/plasmaeffect.cpp  | 1 -
 src/rsidock.cpp       | 2 --
 src/rsirelaxpopup.cpp | 3 +--
 src/rsirelaxpopup.h   | 1 -
 src/rsitimer_dpms.cpp | 2 --
 src/setup.cpp         | 3 ---
 src/setupgeneral.cpp  | 3 +--
 9 files changed, 2 insertions(+), 18 deletions(-)

commit 4e2103c7bd953201f5fa4f8c84e89bf2e737468b
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Aug 7 09:30:34 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1008349

 src/rsibreak.notifyrc | 1 +
 1 file changed, 1 insertion(+)

commit 95234e9d7b628f1f512cc6d0a76e367f784bf4c3
Author: Tom Albers <toma@kde.org>
Date:   Mon Aug 3 18:46:25 2009 +0000

    Revert Laurents changes to Messages.sh.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1006440

 Messages.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit dc28e6c09d4eb7a8861ed3ebb69e66feb6c21e6d
Author: Albert Astals Cid <tsdgeos@terra.es>
Date:   Sun Aug 2 15:20:57 2009 +0000

    foreach already iterates over values so calling values explicitely
    is a waste both in memory and processing time

    svn path=/trunk/extragear/utils/rsibreak/; revision=1005919

 src/breakbase.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 00eab4eb2ced07b46254fdb4f0c72987486d8c54
Author: Tom Albers <toma@kde.org>
Date:   Sun Aug 2 12:58:25 2009 +0000

    Move messages back to top level. aka, revert Laurents commit.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1005884

 Messages.sh     | 2 ++
 src/Messages.sh | 2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ef82e05aebc58e9df7c4cfc7652e811c3b62e665
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Aug 2 09:04:20 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1005807

 src/rsibreak.notifyrc | 2 ++
 1 file changed, 2 insertions(+)

commit 5d178a6f4d36e1992abe3a8051ec2cea784dc748
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Jul 29 11:40:32 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1004112

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit 7df9481071a4374cd9195f82572a1856e4a71bf8
Author: Laurent Montel <montel@kde.org>
Date:   Tue Jul 28 11:48:34 2009 +0000

    Move directly in subdirectory

    svn path=/trunk/extragear/utils/rsibreak/; revision=1003570

 Messages.sh     | 4 ----
 src/Messages.sh | 2 ++
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 1950060fc056722d8063b3734c2789b56872a9a4
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 25 10:05:03 2009 +0000

    Update CMake checks now kidle is out of review and into kdelibs.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1002183

 CMakeLists.txt     | 13 +++++--------
 src/CMakeLists.txt |  3 +--
 2 files changed, 6 insertions(+), 10 deletions(-)

commit a92c3aca800481e3b00086e2775fbe93b7b0c4b8
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 22 07:52:56 2009 +0000

    Fix for KDE 4.2.4. Don't use the KIDLE include when KIDLE is not
    found....
    Remove blitz include.

    svn path=/trunk/extragear/utils/rsibreak/; revision=1000846

 CMakeLists.txt | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 88fc5d2c85976206e8457916cf360790b2501f32
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Jul 21 15:19:57 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=1000573

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit 88b31942f601d6f8ea041b0938d145b5d5f40e44
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 21:54:19 2009 +0000

    hm revert 999478 these are already extracted

    svn path=/trunk/extragear/utils/rsibreak/; revision=999479

 Messages.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 972a8233ffaefe94027e23e5b5c1b9386115cc6d
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 21:52:31 2009 +0000

    Extract the messages in plasma/*

    svn path=/trunk/extragear/utils/rsibreak/; revision=999478

 Messages.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c360c4fd1a624d4befd3aab4528858257d1f870e
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 20:09:55 2009 +0000

    Add a workaround to find kidle until it moves out of kdereview.

    svn path=/trunk/extragear/utils/rsibreak/; revision=999448

 CMakeLists.txt     | 18 ++++++++++++------
 src/CMakeLists.txt |  5 ++---
 2 files changed, 14 insertions(+), 9 deletions(-)

commit 84247b67b72c2fa36ad77f78224495398c57f537
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 19:55:15 2009 +0000

    Fix another linker error

    svn path=/trunk/extragear/utils/rsibreak/; revision=999444

 src/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 41812904bf663b1de0bfa87e7ae46b752c86f871
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 19:51:36 2009 +0000

    We use Xlib.h and fixx11h.h even if USE_KIDLE is true

    svn path=/trunk/extragear/utils/rsibreak/; revision=999442

 src/rsitimer_kidle.cpp | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 0c3f3a3736dae4c59ef533124b780f00052f3ec0
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 19:42:39 2009 +0000

    kidle.h -> kidletime.h

    svn path=/trunk/extragear/utils/rsibreak/; revision=999438

 src/rsitimer_kidle.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a393d1beabc16a99d0b4d36725cc94eca6c5567c
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 19:23:52 2009 +0000

    Fix some linker errors if kidle isn't installed

    svn path=/trunk/extragear/utils/rsibreak/; revision=999429

 src/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b080def578cfe6915853346967a1a004334bfef2
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 18:55:45 2009 +0000

    kde-cmake policy: Use lowercase (+fix the included directories)

    svn path=/trunk/extragear/utils/rsibreak/; revision=999399

 src/CMakeLists.txt | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit bffeabd7f78905ef244d32b252bca7b62d32535e
Author: Christophe Giboudeaux <cgiboudeaux@gmx.com>
Date:   Sun Jul 19 18:53:08 2009 +0000

    Create config-rsibreak.h even if USE_KIDLE is TRUE

    svn path=/trunk/extragear/utils/rsibreak/; revision=999397

 src/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 24dd03e82083ad5ec5e9d47fa159a7151e1dd04e
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 19 18:41:25 2009 +0000

    Fix krazy issues, corrupt email address and exclude some checks.

    svn path=/trunk/extragear/utils/rsibreak/; revision=999396

 src/breakbase.cpp     | 8 +++++---
 src/breakbase.h       | 2 +-
 src/breakcontrol.h    | 2 +-
 src/grayeffect.h      | 2 +-
 src/plasmaeffect.h    | 2 +-
 src/popupeffect.h     | 2 +-
 src/rsidock.cpp       | 8 ++++++--
 src/rsidock.h         | 2 +-
 src/rsiglobals.h      | 2 +-
 src/rsistatitem.h     | 2 +-
 src/rsistats.h        | 2 +-
 src/rsistatwidget.h   | 2 +-
 src/rsitimer.h        | 2 +-
 src/rsitimer_dpms.h   | 2 +-
 src/rsitimer_kidle.h  | 2 +-
 src/rsitooltip.h      | 2 +-
 src/rsiwidget.h       | 2 +-
 src/setup.cpp         | 2 +-
 src/setup.h           | 2 +-
 src/setupgeneral.h    | 2 +-
 src/setupmaximized.h  | 2 +-
 src/setuptiming.h     | 2 +-
 src/slideshoweffect.h | 2 +-
 23 files changed, 32 insertions(+), 26 deletions(-)

commit 6e67169a2f45b83c652c6166d1fcacc6c7c5d655
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 19 18:14:26 2009 +0000

    Use kidle lib if found.

    svn path=/trunk/extragear/utils/rsibreak/; revision=999382

 src/CMakeLists.txt     |  55 +++--
 src/rsitimer_kidle.cpp | 596
 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/rsitimer_kidle.h   | 275 +++++++++++++++++++++++
 3 files changed, 903 insertions(+), 23 deletions(-)

commit 5f7e03932fb1dea4d27d0ce0716b77ad152de81e
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 19 17:26:36 2009 +0000

    Use kdelibs function here too

    svn path=/trunk/extragear/utils/rsibreak/; revision=999359

 src/main.cpp          | 4 ++--
 src/rsirelaxpopup.cpp | 7 -------
 2 files changed, 2 insertions(+), 9 deletions(-)

commit a36c06c7e5257db143b446c96228baf393bdfbee
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Jul 19 15:12:28 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=999285

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit b7628ae0f526a1a4ee292968c9aa19b0cbf11178
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 19 13:33:32 2009 +0000

    Prep for release.

    svn path=/trunk/extragear/utils/rsibreak/; revision=999230

 ChangeLog    | 14 ++++++++++++++
 NEWS         |  3 +++
 src/main.cpp |  2 +-
 3 files changed, 18 insertions(+), 1 deletion(-)

commit e14370686658ae5e6559be6718436a77cb3e55ad
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 18 00:26:50 2009 +0000

    Use kdelibs function for display duration of a time.

    svn path=/trunk/extragear/utils/rsibreak/; revision=998574

 src/rsiglobals.cpp    | 40 +---------------------------------------
 src/rsiglobals.h      |  9 +--------
 src/rsirelaxpopup.cpp |  6 ++++++
 src/rsiwidget.cpp     | 15 +--------------
 4 files changed, 9 insertions(+), 61 deletions(-)

commit c68f9dd0dc140826576ffee72d0de220694d766e
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Jul 17 14:43:20 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=998376

 plasma/plasma-engine-rsibreak.desktop | 4 ++--
 src/rsibreak.notifyrc                 | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 8a82da5613d7253e5e7eba2af2243015d9c8ac62
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Jul 16 16:02:01 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=997910

 src/rsibreak.notifyrc | 3 +++
 1 file changed, 3 insertions(+)

commit bed04449dfb9225de9ffb9cfe1e776a34f5980a9
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 15 22:45:47 2009 +0000

    Prep for release

    svn path=/trunk/extragear/utils/rsibreak/; revision=997530

 ChangeLog    | 125
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS         |  10 +++++
 src/main.cpp |   4 +-
 3 files changed, 137 insertions(+), 2 deletions(-)

commit e2350c9c081afb8bd8e59035af9b61a7457bdbe9
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 15 09:44:24 2009 +0000

    Adding \n to the KMessageBox makes it magically work again on KDE
    4.2.4, trunk was ok already. Seemed to somehow remove part of the
    message in 4.2.4, so the image would not show up.

    svn path=/trunk/extragear/utils/rsibreak/; revision=997056

 src/rsiwidget.cpp | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 442f6acbad7c6b78d740ec734245953997526b75
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 15 08:19:09 2009 +0000

    Fix slideshow to be xinerama aware. Yay for a good base class...

    svn path=/trunk/extragear/utils/rsibreak/; revision=996933

 src/slideshoweffect.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 051c48a5b431c754d2f75bb8a124ebf814979dbc
Author: Tom Albers <toma@kde.org>
Date:   Tue Jul 14 17:57:43 2009 +0000

    move the gray effect to the base class, this way all effects that only
    operate on one screen can call setGrayEffectOnAllScreens( true )
    to gray
    out all the other screens. Port the gray effect and the plasma
    effect to
    this system.

    svn path=/trunk/extragear/utils/rsibreak/; revision=996693

 src/breakbase.cpp    | 126
 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/breakbase.h      |  39 ++++++++++++++++
 src/grayeffect.cpp   |  55 +---------------------
 src/grayeffect.h     |  17 -------
 src/plasmaeffect.cpp |  20 ++++----
 5 files changed, 177 insertions(+), 80 deletions(-)

commit 7cfb0a09134fb051363657fed57cc1850e4f74b3
Author: Tom Albers <toma@kde.org>
Date:   Tue Jul 14 15:45:48 2009 +0000

    Fix the plasma effect, the dbus interface is renamed for KDE >=
    4.3.0. So make this effect also work for KDE versions below that....
    CCMAIL: rediscover@ya.ru

    svn path=/trunk/extragear/utils/rsibreak/; revision=996644

 src/plasmaeffect.cpp | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

commit 0c9aac0ec9448162d374109639b7b7769a96100e
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Jul 14 14:43:04 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=996589

 src/rsibreak.notifyrc | 6 ++++++
 1 file changed, 6 insertions(+)

commit d0d4306cb569c8c0e70d47d1afb6ece192c4cd71
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 13 20:59:37 2009 +0000

    Lets see if we can debug why this is not working on every computer..

    svn path=/trunk/extragear/utils/rsibreak/; revision=996112

 src/plasmaeffect.cpp | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit 4a33de6e007310fbf999c5fbd58a3ec228d8f8c9
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 13 20:44:09 2009 +0000

    Make the slideshow work again, error in the logic. Thanks to Artem for
    testing.
    CCMAIL: rediscover@ya.ru

    svn path=/trunk/extragear/utils/rsibreak/; revision=996105

 src/rsiwidget.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c861384ff58072a55a467b8776f9363562467626
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 13 20:37:54 2009 +0000

    Fix bug which resulted in multiple popups telling me the timers have
    been reset...

    svn path=/trunk/extragear/utils/rsibreak/; revision=996099

 src/rsitimer.cpp | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 2e0176c645572c2bccc407f96fa91c0ed34650d1
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 13 19:33:50 2009 +0000

    Make the gray effect be aware of multiple screens.

    svn path=/trunk/extragear/utils/rsibreak/; revision=996069

 src/grayeffect.cpp | 37 ++++++++++++++++++++++++-------------
 src/grayeffect.h   |  2 +-
 2 files changed, 25 insertions(+), 14 deletions(-)

commit 724631546d7f90c44f7d036bed263e5916696a41
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 13 17:46:12 2009 +0000

    Rename 'No effect' to 'Show popup effect' and rename the simple gray
    effect to 'Complete black' effect if there is no compositing
    available.
    CCMAIL: rediscover@ya.ru

    svn path=/trunk/extragear/utils/rsibreak/; revision=996014

 src/setupmaximized.cpp | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 606eb02fd0b6c8d58166cdbd1c7d30bae8fbb1cb
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Jul 13 14:33:07 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=995946

 plasma/plasma-applet-rsibreak.desktop | 3 +--
 plasma/plasma-engine-rsibreak.desktop | 4 ++--
 src/rsibreak.desktop                  | 1 -
 src/rsibreak.notifyrc                 | 7 ++++++-
 4 files changed, 9 insertions(+), 6 deletions(-)

commit a32c7469a023577239658b31b1f47af09ca8c6b4
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 12 15:43:34 2009 +0000

    Restore DBus interface.

    svn path=/trunk/extragear/utils/rsibreak/; revision=995388

 TODO              | 20 ++++++++++++++++++++
 src/rsiwidget.cpp |  5 +++++
 2 files changed, 25 insertions(+)

commit 3ccde5438eed34b3b895e249c454a63b1b15944f
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 12 15:22:35 2009 +0000

    Fix 2 guards, add missing i18n, fix two typo's

    svn path=/trunk/extragear/utils/rsibreak/; revision=995382

 src/grayeffect.h       |  4 ++--
 src/rsiwidget.h        |  4 ++--
 src/setupmaximized.cpp | 12 ++++++------
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 6d3985f883f258d1608707d5bb18f1b2b27c3572
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 12 14:59:20 2009 +0000

    Prep for release.

    svn path=/trunk/extragear/utils/rsibreak/; revision=995368

 AUTHORS                 |   4 +-
 ChangeLog               | 935
 ++++++++++++++++++++++++++++++++++++------------
 HACKING                 |  14 -
 NEWS                    |   6 +
 TODO                    |  25 --
 kidle.diff              |   4 +-
 src/breakbase.cpp       |   2 +-
 src/breakbase.h         |   2 +-
 src/breakcontrol.cpp    |   2 +-
 src/breakcontrol.h      |   2 +-
 src/grayeffect.cpp      |   2 +-
 src/grayeffect.h        |   2 +-
 src/main.cpp            |  14 +-
 src/passivepopup.cpp    |   4 +-
 src/passivepopup.h      |   2 +-
 src/plasmaeffect.cpp    |   2 +-
 src/plasmaeffect.h      |   2 +-
 src/popupeffect.cpp     |   2 +-
 src/popupeffect.h       |   2 +-
 src/rsidock.cpp         |   4 +-
 src/rsidock.h           |   6 +-
 src/rsiglobals.cpp      |   4 +-
 src/rsiglobals.h        |   6 +-
 src/rsirelaxpopup.cpp   |   4 +-
 src/rsirelaxpopup.h     |   2 +-
 src/rsistatitem.cpp     |   4 +-
 src/rsistatitem.h       |   4 +-
 src/rsistats.cpp        |   2 +-
 src/rsistats.h          |   4 +-
 src/rsistatwidget.cpp   |   2 +-
 src/rsistatwidget.h     |   2 +-
 src/rsitimer.cpp        |   4 +-
 src/rsitimer.h          |   6 +-
 src/rsitimer_dpms.cpp   |   4 +-
 src/rsitimer_dpms.h     |   4 +-
 src/rsitooltip.cpp      |   4 +-
 src/rsitooltip.h        |   4 +-
 src/rsiwidget.cpp       |   4 +-
 src/rsiwidget.h         |   6 +-
 src/setup.cpp           |   2 +-
 src/setup.h             |   4 +-
 src/setupgeneral.cpp    |   2 +-
 src/setupgeneral.h      |   4 +-
 src/setupmaximized.cpp  |   2 +-
 src/setupmaximized.h    |   4 +-
 src/setuptiming.cpp     |   2 +-
 src/setuptiming.h       |   4 +-
 src/slideshoweffect.cpp |   4 +-
 src/slideshoweffect.h   |   4 +-
 49 files changed, 790 insertions(+), 350 deletions(-)

commit 96b35eaec92acd29d07cae8baad37aaf913522e7
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 12 14:17:18 2009 +0000

    We used to show a notification that the times were reset until the
    user produced activity again. We now use a KNotification with an
    auto timeout after a few seconds. Remove the old style path which
    simplifies the code and fixes the bug I was trying to fix at the
    same time.
    BUG: 181002

    svn path=/trunk/extragear/utils/rsibreak/; revision=995363

 src/rsitimer.cpp  |  8 --------
 src/rsitimer.h    |  6 ------
 src/rsiwidget.cpp | 24 ------------------------
 src/rsiwidget.h   |  2 --
 4 files changed, 40 deletions(-)

commit d66f1fe6b9df7d29f6cb11bac87f4f7ea200d556
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 12 00:07:08 2009 +0000

    d->debug is only initialised after reading the config. So only set
    the suffix after that. Found by valgrind!

    svn path=/trunk/extragear/utils/rsibreak/; revision=995101

 src/setuptiming.cpp | 52
 +++++++++++++++++++++-------------------------------
 1 file changed, 21 insertions(+), 31 deletions(-)

commit 26929305aa7ecfab40cd8bc6b613482839e06740
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 11 16:03:16 2009 +0000

    Move away from creating a widget first to have a proper parent
    elsewhere. We can do without it.
    Also use KNotification for the messages about the timer being reset.

    svn path=/trunk/extragear/utils/rsibreak/; revision=994900

 src/CMakeLists.txt      |  2 +-
 src/breakbase.cpp       | 10 +++++++---
 src/breakbase.h         |  5 +++--
 src/grayeffect.cpp      |  7 ++++++-
 src/grayeffect.h        |  4 +++-
 src/main.cpp            |  2 +-
 src/plasmaeffect.cpp    |  2 +-
 src/plasmaeffect.h      |  2 +-
 src/popupeffect.cpp     |  9 +++++++--
 src/popupeffect.h       |  3 ++-
 src/rsibreak.notifyrc   | 14 ++++++++++++++
 src/rsiwidget.cpp       | 38 ++++++++++++++++----------------------
 src/rsiwidget.h         | 38 +++++++++++---------------------------
 src/slideshoweffect.cpp |  9 +++++++--
 src/slideshoweffect.h   |  3 ++-
 15 files changed, 82 insertions(+), 66 deletions(-)

commit 35994d65495c119c0b20e9ddecd154ddce13bb46
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 11 14:16:25 2009 +0000

    Revert change by fabo and ifdef depending on kde version as
    suggested by
    pino.

    svn path=/trunk/extragear/utils/rsibreak/; revision=994828

 src/rsitimer.cpp    |  2 +-
 src/setuptiming.cpp | 40 ++++++++++++++++++++++++++++++++--------
 2 files changed, 33 insertions(+), 9 deletions(-)

commit 8cc765c2b992325d55f6e89ee4fea59cfe4689ef
Author: Fathi Boudra <fabo@kde.org>
Date:   Sat Jul 11 12:54:32 2009 +0000

    fix build
    CCMAIL: toma@kde.org

    svn path=/trunk/extragear/utils/rsibreak/; revision=994804

 src/setuptiming.cpp | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit dab4375e18e134515bc3a462b317f20434d0b16c
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 11 01:35:04 2009 +0000

    Spot inactivity for more than 10 minutes and don't do any breaks
    in that case. This is for the timer which normally ignores all user
    activity/inactivity and breaks at fixed time intervals.
    BUG:188285

    svn path=/trunk/extragear/utils/rsibreak/; revision=994668

 src/rsitimer.cpp | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit c9ce309fe3a3d025beb388148e26d88be4914cae
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 11 01:19:26 2009 +0000

    Add an option for the user to determine the transparancy level,
    from fully transparant to solid black.
    BUG: 187390

    svn path=/trunk/extragear/utils/rsibreak/; revision=994662

 src/grayeffect.cpp     | 19 +++++++++++++++++--
 src/grayeffect.h       |  2 ++
 src/rsiwidget.cpp      |  4 +++-
 src/setupmaximized.cpp | 35 ++++++++++++++++++++++++++++++++---
 4 files changed, 54 insertions(+), 6 deletions(-)

commit 9e949ebed569c8b3fa7a7511a24c1767deba6878
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 11 00:14:06 2009 +0000

    Add a new effect: popup. After you ignore the intrusive popup for
    20s it will turn to a simple non-intrusive popup for as long as you
    don't take a break for that period of time.
    BUG: 175290

    svn path=/trunk/extragear/utils/rsibreak/; revision=994649

 src/CMakeLists.txt     |  1 +
 src/popupeffect.cpp    | 60
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/popupeffect.h      | 49 +++++++++++++++++++++++++++++++++++++++++
 src/rsiwidget.cpp      |  8 ++++++-
 src/rsiwidget.h        |  2 +-
 src/setupmaximized.cpp |  4 +++-
 6 files changed, 121 insertions(+), 3 deletions(-)

commit 9ad4571534b3f37700311000921ca5f1c7471d03
Author: Tom Albers <toma@kde.org>
Date:   Fri Jul 10 21:51:35 2009 +0000

    Make the plasma effect working for 4.3.x serie too. As it is a toggle
    it is much more vulnerable for errors, i tried to catch them all,
    but there might be corner cases around...

    svn path=/trunk/extragear/utils/rsibreak/; revision=994621

 src/breakbase.cpp    |  8 +++-----
 src/plasmaeffect.cpp | 17 +++++++++++++++--
 src/rsitimer.cpp     |  4 +---
 3 files changed, 19 insertions(+), 10 deletions(-)

commit f6106868ca133b378e94963594765cf8d0937899
Author: Tom Albers <toma@kde.org>
Date:   Fri Jul 10 21:06:29 2009 +0000

    Move the effects into an enum. Use a KCombobox for selecting an
    effect in the settings.

    svn path=/trunk/extragear/utils/rsibreak/; revision=994614

 src/breakbase.cpp       | 25 ++++++++++------
 src/rsirelaxpopup.cpp   |  1 -
 src/rsiwidget.cpp       | 30 +++++++++----------
 src/rsiwidget.h         |  3 ++
 src/setupmaximized.cpp  | 76
 +++++++++++++++++++++++++++----------------------
 src/setupmaximized.h    |  3 +-
 src/slideshoweffect.cpp | 22 +++++++-------
 src/slideshoweffect.h   | 10 +++----
 8 files changed, 94 insertions(+), 76 deletions(-)

commit 1318b172e759bf8e4d0033e9386ce9ba333f75d6
Author: Tom Albers <toma@kde.org>
Date:   Fri Jul 10 18:59:00 2009 +0000

    Restore functionality to disable the skip button and disable the
    shortcut.
    Use a EffectBase pointer in the rsiwidget class, which simplifies
    code.
    Remove a path where the timer decide to load a new image or not,
    it is not of his business.

    svn path=/trunk/extragear/utils/rsibreak/; revision=994577

 src/breakbase.cpp       | 14 ++++++--
 src/breakbase.h         |  3 ++
 src/breakcontrol.cpp    | 42 +++++++++++++---------
 src/breakcontrol.h      |  6 +++-
 src/grayeffect.cpp      | 14 ++++----
 src/grayeffect.h        |  4 +--
 src/rsitimer.cpp        | 25 ++++---------
 src/rsitimer.h          | 22 +++---------
 src/rsiwidget.cpp       | 95
 ++++++++++++++++++-------------------------------
 src/rsiwidget.h         | 11 +++---
 src/slideshoweffect.cpp |  1 -
 src/slideshoweffect.h   | 32 ++++++++---------
 12 files changed, 120 insertions(+), 149 deletions(-)

commit aa5237d81641e46424e4e16d81c65f1ce2527658
Author: Tom Albers <toma@kde.org>
Date:   Fri Jul 10 17:51:49 2009 +0000

    Add a break control class which draws the counter and the two buttons
    for locking and skipping.

    svn path=/trunk/extragear/utils/rsibreak/; revision=994540

 src/CMakeLists.txt   |  2 +-
 src/boxdialog.cpp    | 95
 ----------------------------------------------------
 src/boxdialog.h      | 73 ----------------------------------------
 src/breakbase.cpp    | 31 +++++++++++------
 src/breakbase.h      |  4 +--
 src/breakcontrol.cpp | 89
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/breakcontrol.h   | 50 +++++++++++++++++++++++++++
 src/rsiwidget.cpp    |  3 ++
 8 files changed, 165 insertions(+), 182 deletions(-)

commit fafec5fa6684124185dc564d4a4d418e480fe76f
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 8 21:47:13 2009 +0000

    Move for consistent naming.

    svn path=/trunk/extragear/utils/rsibreak/; revision=993567

 src/CMakeLists.txt |  2 +-
 src/grayeffect.cpp | 75
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/grayeffect.h   | 57 +++++++++++++++++++++++++++++++++++++++++
 src/graywidget.cpp | 75
 ------------------------------------------------------
 src/graywidget.h   | 57 -----------------------------------------
 src/rsiwidget.cpp  |  2 +-
 6 files changed, 134 insertions(+), 134 deletions(-)

commit a2dfb7311b96fdfe7fff1a5636198cc1d7ad20e8
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 8 21:43:15 2009 +0000

    Remove the old gray effect with fake transparancy, use the real
    stuff now.
    Port it to the breakbase system and massive cleanup in that class.
    BUG:187921

    svn path=/trunk/extragear/utils/rsibreak/; revision=993564

 src/CMakeLists.txt      |   1 -
 src/breakbase.cpp       |   2 -
 src/grayouteffect.cpp   | 415
 ------------------------------------------------
 src/grayouteffect.h     | 102 ------------
 src/graywidget.cpp      |  85 +++++-----
 src/graywidget.h        |  61 +++----
 src/rsiwidget.cpp       |  28 ++--
 src/rsiwidget.h         |   4 +-
 src/slideshoweffect.cpp |   1 -
 src/slideshoweffect.h   |  32 ++--
 10 files changed, 88 insertions(+), 643 deletions(-)

commit ec0dccd6aa6d743e8016009abb22042531390b51
Author: Tom Albers <toma@kde.org>
Date:   Tue Jul 7 19:55:57 2009 +0000

    Rename file to reflect that it is an effect.

    svn path=/trunk/extragear/utils/rsibreak/; revision=992846

 src/CMakeLists.txt      |   2 +-
 src/rsiwidget.cpp       |   2 +-
 src/slideshow.cpp       | 199
 ------------------------------------------------
 src/slideshow.h         |  78 -------------------
 src/slideshoweffect.cpp | 199
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/slideshoweffect.h   |  78 +++++++++++++++++++
 6 files changed, 279 insertions(+), 279 deletions(-)

commit 7d10846ccd30fdf4dd9a6c749f25bc75213290c6
Author: Tom Albers <toma@kde.org>
Date:   Tue Jul 7 19:51:10 2009 +0000

    Make a base class for the breaks, which deals with counters,
    grabs the keyboard, etc, for all effects. Ported plasmaeffect and
    slideshow to it, which makes the code much much much more readable
    and understandable.

    svn path=/trunk/extragear/utils/rsibreak/; revision=992845

 src/CMakeLists.txt   |  1 +
 src/breakbase.cpp    | 82
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/breakbase.h      | 51 ++++++++++++++++++++++++++++++++
 src/plasmaeffect.cpp | 48 +++++-------------------------
 src/plasmaeffect.h   | 22 +++++---------
 src/rsiwidget.cpp    | 46 +++++++++++++----------------
 src/rsiwidget.h      |  4 +--
 src/slideshow.cpp    | 73 +++++++++++++++++++++++++++++-----------------
 src/slideshow.h      | 53 +++++++++++++++++----------------
 9 files changed, 245 insertions(+), 135 deletions(-)

commit 9f625922f0bf44d28dbb47bb147ba988eb88becc
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 6 21:57:39 2009 +0000

    Add the possibility to show the plasma dashboard during breaks. The
    readonly mode does not work, as I don't get how grabKeyboard()
    and the eventfilter work (at least not the way I use it right now).

    svn path=/trunk/extragear/utils/rsibreak/; revision=992451

 src/CMakeLists.txt     |  1 +
 src/plasmaeffect.cpp   | 78
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/plasmaeffect.h     | 44 ++++++++++++++++++++++++++++
 src/rsiwidget.cpp      | 19 ++++++++++--
 src/rsiwidget.h        |  5 ++++
 src/setupmaximized.cpp | 33 +++++++++++++++++++++
 src/setupmaximized.h   |  1 +
 src/setuptiming.cpp    |  2 +-
 8 files changed, 180 insertions(+), 3 deletions(-)

commit 59adb919b0f37cd28fa8f67bfe90f93c2c0c8c4c
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 5 21:27:45 2009 +0000

    Move to another implementation of the screen shot of the trayicon
    stuff after getting black squares again. Guess Qt fixed taking
    screenies.

    svn path=/trunk/extragear/utils/rsibreak/; revision=991883

 src/graywidget.cpp    |  5 +--
 src/rsitimer_dpms.cpp | 21 ------------
 src/rsitimer_dpms.h   |  2 --
 src/rsiwidget.cpp     | 94
 +++++++++++++++++++++++++++------------------------
 src/rsiwidget.h       |  2 ++
 5 files changed, 54 insertions(+), 70 deletions(-)

commit 1d408552ce9ad0b050708327b7cea80e06b99ecf
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 5 20:48:42 2009 +0000

    Don't use slots to adjust the suffix plural, this is in kdelibs now...

    svn path=/trunk/extragear/utils/rsibreak/; revision=991874

 src/rsitimer.cpp    | 24 ++++++++++++------------
 src/setuptiming.cpp | 49
 ++++++++-----------------------------------------
 src/setuptiming.h   |  4 ----
 3 files changed, 20 insertions(+), 57 deletions(-)

commit 1bc53ef54b8743012b21dafcc33cc8e81129cfdb
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 5 18:41:22 2009 +0000

    port to use kidle, whenever it reaches kdelibs.

    svn path=/trunk/extragear/utils/rsibreak/; revision=991837

 kidle.diff | 327
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 327 insertions(+)

commit 84f01f43289d163f298a0f1c070f177e48141d7b
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Jun 13 15:28:34 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=981529

 src/rsibreak.desktop  | 1 +
 src/rsibreak.notifyrc | 1 +
 2 files changed, 2 insertions(+)

commit b88ad4949c741396d8bf21a2ccf703ff7de5451d
Author: Pino Toscano <pino@kde.org>
Date:   Sat Jun 13 12:16:49 2009 +0000

    change the close button of the stats dialog to be Close instead of Ok
    approved by Tom

    svn path=/trunk/extragear/utils/rsibreak/; revision=981364

 src/rsidock.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a64b9ff77e504f7244d6621185f7de271854f7c7
Author: Nicolas Lécureuil <neoclust.kde@free.fr>
Date:   Thu Jun 11 23:31:12 2009 +0000

    Use Qt4 headers

    svn path=/trunk/extragear/utils/rsibreak/; revision=980539

 src/rsiglobals.h | 6 +++---
 src/setup.cpp    | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 14740d9a00fdbba9fee287290b7dd116f9e80107
Author: Tom Albers <toma@kde.org>
Date:   Sat May 16 21:19:50 2009 +0000

    debug output--;
    BUG: 191804

    svn path=/trunk/extragear/utils/rsibreak/; revision=968897

 src/rsitimer.cpp | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit f6d0c877298540557e702b9fa282f64f9ae0a553
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Apr 5 13:48:25 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=949574

 plasma/plasma-applet-rsibreak.desktop |  2 ++
 plasma/plasma-engine-rsibreak.desktop |  1 +
 src/rsibreak.desktop                  |  2 ++
 src/rsibreak.notifyrc                 | 10 ++++++++++
 4 files changed, 15 insertions(+)

commit e35f4241175fdde09b832a5fea5c354422d38099
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Mar 30 14:04:36 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=946911

 plasma/plasma-engine-rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit f46b9cad5d7940644ec4ea26a1dbba6d2bccedb5
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Mar 25 15:38:20 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=944489

 plasma/plasma-engine-rsibreak.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit b74e4b77b77d144c68687dc7a88a1b5f5b78d71f
Author: Andrew Coles <andrew.i.coles@googlemail.com>
Date:   Mon Mar 9 22:21:00 2009 +0000

    Proof-reading and plural-usage correction.  Note that i18np call is
    still necessary even
    if we know n != 1, as languages other than English have multiple
    plural forms.


    svn path=/trunk/extragear/utils/rsibreak/; revision=937553

 src/rsistats.cpp | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 1888b9ce6dd99fc584e337d05c74add48f4ae789
Author: David Faure <faure@kde.org>
Date:   Thu Feb 26 13:52:12 2009 +0000

    Fix memory leak found by ultrav1olet on irc (which he investigated
    using valgrind massif).

    svn path=/trunk/extragear/utils/rsibreak/; revision=932376

 src/graywidget.cpp | 1 +
 1 file changed, 1 insertion(+)

commit bb000241882fc5d76fed430b53b5a5c4a68bcda7
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Feb 11 14:08:59 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=924742

 plasma/plasma-applet-rsibreak.desktop | 1 +
 plasma/plasma-engine-rsibreak.desktop | 2 ++
 src/rsibreak.desktop                  | 1 +
 src/rsibreak.notifyrc                 | 9 +++++++++
 4 files changed, 13 insertions(+)

commit b771a24e3ac47c54b11bf164919eed8b9ea90ae1
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Feb 10 14:37:49 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=924339

 src/rsibreak.desktop | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c0efd367a925b09096d4475ff723d6c654f5dd0
Author: Albert Astals Cid <tsdgeos@terra.es>
Date:   Sat Jan 31 14:55:26 2009 +0000

    Some a rather big memory leak
    BUG: 181637

    svn path=/trunk/extragear/utils/rsibreak/; revision=919136

 src/grayouteffect.cpp | 1 +
 src/graywidget.cpp    | 2 ++
 2 files changed, 3 insertions(+)

commit 3e38141db9c130f4b01e07bdf34f08e36860b740
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Jan 23 13:17:18 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=915649

 plasma/plasma-applet-rsibreak.desktop |  2 ++
 plasma/plasma-engine-rsibreak.desktop |  2 ++
 src/rsibreak.desktop                  |  2 ++
 src/rsibreak.notifyrc                 | 10 ++++++++++
 4 files changed, 16 insertions(+)

commit 4f0a105768c50ccb2b341789703fcd9543337894
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Jan 22 13:54:16 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=915140

 plasma/plasma-applet-rsibreak.desktop | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09e73334cf2e643e50c9aa3c70fed54f6d163d4b
Author: Laurent Montel <montel@kde.org>
Date:   Sun Jan 18 10:25:13 2009 +0000

    Fix compile

    svn path=/trunk/extragear/utils/rsibreak/; revision=912769

 plasma/CMakeLists.txt | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 45ef08951253ad897df3cbea66184b25cd729df0
Author: Laurent Montel <montel@kde.org>
Date:   Sat Jan 17 16:22:41 2009 +0000

    fix plasma search

    svn path=/trunk/extragear/utils/rsibreak/; revision=912517

 CMakeLists.txt | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 5aa556e6b5f915506cbbaf1c26d9310952fe44d4
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Jan 13 12:38:34 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=910475

 plasma/plasma-engine-rsibreak.desktop | 1 +
 src/rsibreak.notifyrc                 | 8 ++++++++
 2 files changed, 9 insertions(+)

commit b2795659a3cdc2a8fdc54d12e9375db08a0933a4
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Jan 9 16:28:39 2009 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=908370

 plasma/plasma-engine-rsibreak.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit 4f42012d2fc279f9cfcb28e6fc1904f6fa297027
Author: Burkhard Lück <lueck@hube-lueck.de>
Date:   Thu Jan 8 09:52:46 2009 +0000

    fix wrong order of translators credit, found by the spanish team

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=907507

 doc/index.docbook | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1942aaa9c55a4ab5ad5f6cbf04c63a2081627d2
Author: Nicolas Lécureuil <neoclust.kde@free.fr>
Date:   Sun Dec 28 22:51:46 2008 +0000

    Fix DocPath DesktopEntry

    svn path=/trunk/extragear/utils/rsibreak/; revision=902678

 src/rsibreak.desktop | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1edbc4a516808294ab7882ba1f425482fd348f5e
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Dec 28 13:30:53 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=902481

 plasma/plasma-applet-rsibreak.desktop |  2 +-
 plasma/plasma-engine-rsibreak.desktop |  2 ++
 src/rsibreak.desktop                  |  2 +-
 src/rsibreak.notifyrc                 | 12 ++++++------
 4 files changed, 10 insertions(+), 8 deletions(-)

commit 24d137b816e895453b95dfa7daf826374b358c11
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Dec 24 13:36:23 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=901136

 plasma/plasma-applet-rsibreak.desktop | 1 +
 plasma/plasma-engine-rsibreak.desktop | 2 ++
 src/rsibreak.notifyrc                 | 9 +++++++++
 3 files changed, 12 insertions(+)

commit 9955c84e8b7c12c670d9d2914c3b558e7f480d69
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Dec 23 13:01:24 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=900713

 plasma/plasma-engine-rsibreak.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit 7982a8c02438c17feb7d1a8c7b94917dc980244f
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Dec 18 12:53:08 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=898595

 plasma/plasma-engine-rsibreak.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit 5654e1ba4eebbd5ed230782dc89898ab025fe30f
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Dec 13 15:37:04 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=896476

 plasma/plasma-applet-rsibreak.desktop | 1 +
 plasma/plasma-engine-rsibreak.desktop | 1 +
 src/rsibreak.desktop                  | 1 +
 src/rsibreak.notifyrc                 | 1 +
 4 files changed, 4 insertions(+)

commit 70243b606a5720a8e9df5d28431efcec68a8f306
Author: Tom Albers <toma@kde.org>
Date:   Wed Dec 10 21:49:01 2008 +0000

    Call adjustSize() before positioning the box in the middle, else
    the values are wrong.

    svn path=/trunk/extragear/utils/rsibreak/; revision=895516

 src/boxdialog.cpp | 1 +
 src/slideshow.cpp | 3 +--
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 92f82dd92c017fc6a4f6ffadfabee38464d76573
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Nov 29 14:26:57 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=890568

 plasma/plasma-engine-rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit 485b4cfe585c30f3afba1176abd9ca07db63b8a5
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Nov 28 13:33:26 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=890161

 plasma/plasma-applet-rsibreak.desktop | 2 +-
 plasma/plasma-engine-rsibreak.desktop | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit de174e1cd027a46c7d2554638daecba0f48b862c
Author: Laurent Montel <montel@kde.org>
Date:   Fri Nov 28 08:38:04 2008 +0000

    Fix iterator

    svn path=/trunk/extragear/utils/rsibreak/; revision=889989

 src/rsistats.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f757d3673883ea86a44a4fc384c68a830e87f69
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Nov 26 14:05:58 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=889328

 src/rsibreak.notifyrc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit b8a7103145866af58a03e76f9f55bc962c5b5783
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Nov 23 12:21:54 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=888005

 plasma/plasma-engine-rsibreak.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit b38d721f2be7c1fc57475370effe42eb1cd2ae1d
Author: Tom Albers <toma@kde.org>
Date:   Wed Nov 19 19:54:10 2008 +0000

    Prep for release.

    svn path=/trunk/extragear/utils/rsibreak/; revision=886659

 ChangeLog    | 24 ++++++++++++++++++++++++
 NEWS         | 10 ++--------
 src/main.cpp |  2 +-
 3 files changed, 27 insertions(+), 9 deletions(-)

commit 924ed594d65119533eb786049dcaca6b4500a6da
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Nov 6 12:25:25 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=880765

 plasma/plasma-applet-rsibreak.desktop | 1 +
 plasma/plasma-engine-rsibreak.desktop | 2 ++
 src/rsibreak.desktop                  | 1 +
 src/rsibreak.notifyrc                 | 9 +++++++++
 4 files changed, 13 insertions(+)

commit 4128efdbabdb160c23cb158512914d36dd518e81
Author: Laurent Montel <montel@kde.org>
Date:   Wed Oct 29 21:01:20 2008 +0000

    cmakelint

    svn path=/trunk/extragear/utils/rsibreak/; revision=877573

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 992d82b4c584b094cb061f2c4beb49048c22d2fd
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Oct 29 13:06:23 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=877414

 plasma/plasma-engine-rsibreak.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit 375beb5a99dc01cc94cf537ed7b3407a53cf878f
Author: Tom Albers <toma@kde.org>
Date:   Tue Oct 28 21:13:14 2008 +0000

    - reindent
    - bump version
    - update changelog
    - update todo
    - update news
    - delete rsibreak.devel

    svn path=/trunk/extragear/utils/rsibreak/; revision=877183

 ChangeLog              | 3095
 ++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS                   |    9 +
 TODO                   |    9 -
 rsibreak.kdevelop      |  214 ----
 src/grayouteffect.cpp  |  282 +++--
 src/grayouteffect.h    |    4 +-
 src/graywidget.cpp     |    6 +-
 src/main.cpp           |    4 +-
 src/rsitimer.cpp       |   12 +-
 src/rsiwidget.cpp      |    4 +-
 src/rsiwidget.h        |    2 +-
 src/setupgeneral.cpp   |    6 +-
 src/setupmaximized.cpp |    8 +-
 src/setuptiming.cpp    |    8 +-
 14 files changed, 3265 insertions(+), 398 deletions(-)

commit 2c68de32e65f0825f053249cb038245d277d89e1
Author: Tom Albers <toma@kde.org>
Date:   Tue Oct 28 21:00:39 2008 +0000

    Fix Autostart. The desktop file was not properly installed.
    BUG: 173739

    svn path=/trunk/extragear/utils/rsibreak/; revision=877181

 src/CMakeLists.txt | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 7761b7723126f96b58c292abaa2555f204b04d4d
Author: Urs Wolfer <uwolfer@kde.org>
Date:   Sun Oct 26 18:47:21 2008 +0000

    optimizegraphics: Losslessly optimized PNG and SVGZ files with
    "optipng -o5" and "advdef -z -4".
    Reduced disk space: 2468KB (2MB)

    svn path=/trunk/extragear/utils/rsibreak/; revision=876201

 doc/dcop.png                       | Bin 10104 -> 9225 bytes
 doc/logo.png                       | Bin 5593 -> 5495 bytes
 doc/popup.png                      | Bin 5542 -> 5287 bytes
 doc/statistics.png                 | Bin 13568 -> 13240 bytes
 doc/suspend.png                    | Bin 3954 -> 3798 bytes
 icons/hi128-app-rsibreak.png       | Bin 15138 -> 12174 bytes
 icons/hi16-action-rsibreak0.png    | Bin 847 -> 738 bytes
 icons/hi16-action-rsibreak1.png    | Bin 844 -> 738 bytes
 icons/hi16-action-rsibreak2.png    | Bin 833 -> 781 bytes
 icons/hi16-action-rsibreak3.png    | Bin 861 -> 777 bytes
 icons/hi16-action-rsibreak4.png    | Bin 793 -> 649 bytes
 icons/hi16-action-rsibreakx.png    | Bin 901 -> 825 bytes
 icons/hi16-app-rsibreak.png        | Bin 847 -> 747 bytes
 icons/hi22-action-rsibreak0.png    | Bin 1242 -> 1139 bytes
 icons/hi22-action-rsibreak1.png    | Bin 1268 -> 1161 bytes
 icons/hi22-action-rsibreak2.png    | Bin 1276 -> 1231 bytes
 icons/hi22-action-rsibreak3.png    | Bin 1290 -> 1256 bytes
 icons/hi22-action-rsibreak4.png    | Bin 1161 -> 1026 bytes
 icons/hi22-action-rsibreakx.png    | Bin 1423 -> 1330 bytes
 icons/hi22-app-rsibreak.png        | Bin 1265 -> 1185 bytes
 icons/hi32-action-duringbreaks.png | Bin 666 -> 565 bytes
 icons/hi32-action-rsibreak0.png    | Bin 2066 -> 1726 bytes
 icons/hi32-action-rsibreak1.png    | Bin 2084 -> 1784 bytes
 icons/hi32-action-rsibreak2.png    | Bin 2134 -> 1889 bytes
 icons/hi32-action-rsibreak3.png    | Bin 2191 -> 1932 bytes
 icons/hi32-action-rsibreak4.png    | Bin 1914 -> 1610 bytes
 icons/hi32-action-rsibreakx.png    | Bin 2526 -> 2101 bytes
 icons/hi32-action-timings.png      | Bin 2138 -> 1796 bytes
 icons/hi32-app-rsibreak.png        | Bin 2138 -> 1796 bytes
 29 files changed, 0 insertions(+), 0 deletions(-)

commit 6c2528e5821b5f0cee1bdfa874c4bbab26d48315
Author: Tom Albers <toma@kde.org>
Date:   Sun Oct 26 18:44:16 2008 +0000

    Give proper warning when RSIBreak is not running.

    svn path=/trunk/extragear/utils/rsibreak/; revision=876200

 plasma/engine.cpp | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit d3fd668f5ddeba361bf7b138c06eb66dc8a89bc6
Author: Tom Albers <toma@kde.org>
Date:   Sun Oct 26 18:25:11 2008 +0000

    Make the plasma applet work again.

    svn path=/trunk/extragear/utils/rsibreak/; revision=876191

 plasma/engine.cpp   | 47 ++++++++++++++++++++---------------
 plasma/engine.h     | 23 +++++++++---------
 plasma/rsibreak.cpp | 70
 +++++++++++++++++++++++++++++------------------------
 plasma/rsibreak.h   | 13 +++++++---
 4 files changed, 87 insertions(+), 66 deletions(-)

commit 5041439ec23afd2418dad8ad9bf9fe0ec02a9105
Author: Tom Albers <toma@kde.org>
Date:   Sun Oct 26 01:09:27 2008 +0000

    Hook into the freedesktops way of a presentation mode, an application
    should call
    qdbus org.freedesktop.ScreenSaver "/ScreenSaver" "Inhibit"
    to disable the screensaver. If that happens we now put rsibreak
    in suspend mode, untill the app indicates the presentation is
    over. Applications can use  KNotificationRestrictions for this,
    after pino adjusts the code for it.

    BUG: 143346

    svn path=/trunk/extragear/utils/rsibreak/; revision=875937

 src/rsitimer.cpp | 37 +++++++++++++++++++++++++++++++++++++
 src/rsitimer.h   |  1 +
 2 files changed, 38 insertions(+)

commit 7493d51535ff7656514e856b6214495a0173f2ae
Author: Tom Albers <toma@kde.org>
Date:   Sat Oct 25 00:00:38 2008 +0000

    Add detection of sudden jumps in time and reset the timers in that
    case. Can be replaced if HAL decides to emit a signal..
    I would appreciate feedback if this actually works for you.
    BUG: 136625

    svn path=/trunk/extragear/utils/rsibreak/; revision=875635

 src/rsitimer.cpp | 16 ++++++++++++++++
 src/rsitimer.h   |  1 +
 2 files changed, 17 insertions(+)

commit 96b58b368d5abc3ecba1b54e41e2edd3a6295fa2
Author: Tom Albers <toma@kde.org>
Date:   Fri Oct 24 23:09:19 2008 +0000

    Delay the welcome screen for a second. This makes it work for me. We
    need to change it back as soon as there is a fast implementation of
    the systray where icons appear instantly.
    BUG: 172159

    svn path=/trunk/extragear/utils/rsibreak/; revision=875627

 src/rsiwidget.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6057da3e2adfda1fdabc5d79f5c79c60ae384947
Author: Tom Albers <toma@kde.org>
Date:   Fri Oct 24 22:57:15 2008 +0000

    Let the timer run in a seperate QThread. All the connects to this
    timer are now queued connections, so they keep running in the main
    thread (if i understand the documentation properly). This makes sure
    the timerEvent keeps getting called each second. This is needed for
    the counters to actually count down. If not the users break will
    never end.
    BUG: 173459

    svn path=/trunk/extragear/utils/rsibreak/; revision=875624

 src/rsitimer.cpp  | 23 +++++++++++++----------
 src/rsitimer.h    | 12 +++++++-----
 src/rsiwidget.cpp | 24 ++++++++++++------------
 3 files changed, 32 insertions(+), 27 deletions(-)

commit 6b997374c951a892ceb3e95c2d9d04f4fc07153b
Author: Dirk Mueller <mueller@kde.org>
Date:   Wed Oct 22 09:45:15 2008 +0000

    fix build for non-x86 platforms

    svn path=/trunk/extragear/utils/rsibreak/; revision=874683

 CMakeLists.txt        | 1 -
 src/grayouteffect.cpp | 2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 3881b1cd67832111757ffab72632bab1639bc8e3
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Oct 16 11:15:25 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=872110

 plasma/plasma-applet-rsibreak.desktop |  3 ++-
 plasma/plasma-engine-rsibreak.desktop |  2 ++
 src/rsibreak.desktop                  |  1 +
 src/rsibreak.notifyrc                 | 10 ++++++++++
 4 files changed, 15 insertions(+), 1 deletion(-)

commit fd7279e63241dc8ebebe5a7305fabe59d33c51f4
Author: Tom Albers <toma@kde.org>
Date:   Thu Oct 9 17:27:44 2008 +0000

    Update changelog

    svn path=/trunk/extragear/utils/rsibreak/; revision=869667

 ChangeLog | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 968839a780ec53716f7a7237aed2d6f67e4a8b1a
Author: Will Stephenson <wstephenson@kde.org>
Date:   Thu Oct 9 17:21:31 2008 +0000

    Fix layouts in config

    svn path=/trunk/extragear/utils/rsibreak/; revision=869665

 src/setupgeneral.cpp   | 13 +++++++++----
 src/setupmaximized.cpp | 14 ++++++++------
 src/setuptiming.cpp    | 12 ++++++++----
 3 files changed, 25 insertions(+), 14 deletions(-)

commit 0d047f7916a4f39d91a0df0afafb05b81c6e88c8
Author: Tom Albers <toma@kde.org>
Date:   Thu Oct 9 17:11:26 2008 +0000

    Delete this, createtarballs is way better.

    svn path=/trunk/extragear/utils/rsibreak/; revision=869663

 release_rsibreak.rb | 152
 ----------------------------------------------------
 1 file changed, 152 deletions(-)

commit be1306a19b764d19cd25786c45fc0d6e12d40730
Author: Tom Albers <toma@kde.org>
Date:   Thu Oct 9 17:06:20 2008 +0000

    Prep beta 4

    svn path=/trunk/extragear/utils/rsibreak/; revision=869661

 ChangeLog           | 411
 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 makechangelog       |   6 +-
 release_rsibreak.rb |   2 +-
 src/main.cpp        |   2 +-
 4 files changed, 411 insertions(+), 10 deletions(-)

commit 440b2e7ad4fd3778250cb8827753fc5c81e2dcaf
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Sep 23 11:28:32 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=863874

 plasma/plasma-engine-rsibreak.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit e2bccb8047d455926fbac3489fb38863147b14b2
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Sep 20 12:09:48 2008 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=862936

 plasma/plasma-applet-rsibreak.desktop |  29 +++-
 plasma/plasma-engine-rsibreak.desktop |  24 +++-
 src/rsibreak.desktop                  |  29 ++--
 src/rsibreak.notifyrc                 | 250
 +++++++++++++++++++++-------------
 4 files changed, 226 insertions(+), 106 deletions(-)

commit 29aa66e0a17f244a277556c9b1dcfe141bbe7d2d
Author: Burkhard Lück <lueck@hube-lueck.de>
Date:   Tue Sep 9 19:50:45 2008 +0000

    typo fix reported by Yuri Chornoivan

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=859222

 doc/index.docbook | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 453e29b33130e660b6b3a8f7dc5b9ec110ac9034
Author: Laurent Montel <montel@kde.org>
Date:   Mon Sep 1 11:37:06 2008 +0000

    Add macro_log_feature

    svn path=/trunk/extragear/utils/rsibreak/; revision=855753

 CMakeLists.txt | 3 +++
 1 file changed, 3 insertions(+)

commit 4477997af9b160a8a30e29399866ac027584e311
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Tue Aug 12 04:38:05 2008 +0000

    Oopps... we don't need that, really.

    svn path=/trunk/extragear/utils/rsibreak/; revision=845586

 plasma/rsibreak.h | 4 ----
 1 file changed, 4 deletions(-)

commit af3bec793ad5fd742d8da6c6836058cc44a470d6
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Tue Aug 12 04:21:02 2008 +0000

    Crude interface fully functional.

    svn path=/trunk/extragear/utils/rsibreak/; revision=845582

 plasma/rsibreak.cpp | 40 +++++++++++++++++++++++++++++++++++-----
 plasma/rsibreak.h   |  9 ++++++++-
 2 files changed, 43 insertions(+), 6 deletions(-)

commit 9d569c3b8c38e2acd19632fd3a6517258005008f
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Tue Aug 12 04:20:58 2008 +0000

    Created layout for the plasmoid, added a test label.

    svn path=/trunk/extragear/utils/rsibreak/; revision=845581

 plasma/rsibreak.cpp | 7 +++++++
 1 file changed, 7 insertions(+)

commit 65e612b21a47032c280b70a110fcb5b6c099ae8a
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Tue Aug 12 04:20:55 2008 +0000

    All right, the times exposed by the engine.

    svn path=/trunk/extragear/utils/rsibreak/; revision=845580

 plasma/engine.cpp | 19 +++++++++++++++++--
 plasma/engine.h   |  3 +++
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 0b4e6edd8bcef9b99d46bdf1c095aaaaee4a4512
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Tue Aug 12 04:20:52 2008 +0000

    Initialize the DBus interface.
    Properly export the plugin.

    svn path=/trunk/extragear/utils/rsibreak/; revision=845579

 plasma/CMakeLists.txt | 22 +++++++++++++---------
 plasma/engine.cpp     | 17 ++++++++++++++++-
 plasma/engine.h       |  6 ++++++
 3 files changed, 35 insertions(+), 10 deletions(-)

commit e11169bf1e3099ee990c6d09193dccb3868a0cbf
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Tue Aug 12 04:20:47 2008 +0000

    SVN_SILENT whitespace

    svn path=/trunk/extragear/utils/rsibreak/; revision=845578

 plasma/engine.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 7ae3b87641df891a2e30c8825e476ff44a7f0f84
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Tue Aug 12 04:20:44 2008 +0000

    Skeleton for what will become the rsibreak engine.

    svn path=/trunk/extragear/utils/rsibreak/; revision=845577

 plasma/CMakeLists.txt                 | 13 +++++++++++--
 plasma/engine.cpp                     | 25 ++++++++++++++++++++++++
 plasma/engine.h                       | 36
 +++++++++++++++++++++++++++++++++++
 plasma/plasma-applet-rsibreak.desktop |  2 +-
 plasma/plasma-engine-rsibreak.desktop | 17 +++++++++++++++++
 plasma/rsibreak.h                     |  3 +--
 6 files changed, 91 insertions(+), 5 deletions(-)

commit be208d0edc299e80376f5ee0140f6b12834f2964
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Tue Aug 12 04:20:38 2008 +0000

    Wipe all code for the applet rewrite.

    svn path=/trunk/extragear/utils/rsibreak/; revision=845576

 plasma/plasma-applet-rsibreak.desktop |   6 +-
 plasma/rsibreak.cpp                   | 135
 +---------------------------------
 plasma/rsibreak.h                     |  24 +-----
 3 files changed, 6 insertions(+), 159 deletions(-)

commit a3c25b3cad380572ece7b525b0574f30d2222bb2
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Mon Aug 11 23:56:53 2008 +0000

    Added info about the git repository.

    svn path=/trunk/extragear/utils/rsibreak/; revision=845546

 HACKING | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit c65e5c96c4a9c211e79ec15c5a9c3fccaddcd592
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Sat Aug 9 01:18:35 2008 +0000

    Adapt the plasma applet to the new API.

    svn path=/trunk/extragear/utils/rsibreak/; revision=844166

 CMakeLists.txt      |  3 +--
 plasma/rsibreak.cpp | 13 +++----------
 2 files changed, 4 insertions(+), 12 deletions(-)

commit 28a56f028e32b661a49c44b28665a5092bcaa899
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Fri Aug 8 04:41:01 2008 +0000

    Fix configuration dialog.

    svn path=/trunk/extragear/utils/rsibreak/; revision=843836

 src/setupgeneral.cpp   | 4 +---
 src/setupmaximized.cpp | 3 ---
 src/setuptiming.cpp    | 2 --
 3 files changed, 1 insertion(+), 8 deletions(-)

commit cfaa8b2e702f8b5efb2cbc24dbe05416258d9e8a
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Fri Aug 8 04:18:46 2008 +0000

    Don't show the dummy widget (what is it even for?!).

    svn path=/trunk/extragear/utils/rsibreak/; revision=843832

 src/rsiwidget.cpp | 1 -
 1 file changed, 1 deletion(-)

commit 19013b9356ce78108d1ff48b271e1b542a2788e4
Author: Laurent Montel <montel@kde.org>
Date:   Tue Jul 1 06:45:51 2008 +0000

    Remove temporary file

    svn path=/trunk/extragear/utils/rsibreak/; revision=826702

 Messages.sh | 1 +
 1 file changed, 1 insertion(+)

commit e788e9c0817b7cca80e93ba1ea3dde85a67365a6
Author: Jakob Petsovits <jpetso@gmx.at>
Date:   Sun May 25 14:54:53 2008 +0000

    Icon fixes.

    svn path=/trunk/extragear/utils/rsibreak/; revision=812477

 src/rsidock.cpp | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 2bc0ead097ee02f2221d74f033d6adae594377b1
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Apr 26 23:35:21 2008 +0000

    Krazy fixes, fix icons.

    Signed-off-because-somehow-people-want-to-show-off-they're-using-l33t-Git:
    Bram Schoenmakers <bramschoenmakers@kde.nl>

    svn path=/trunk/extragear/utils/rsibreak/; revision=801597

 src/grayouteffect.cpp | 3 ++-
 src/rsibreak.desktop  | 1 -
 src/rsidock.cpp       | 4 ++--
 src/rsiwidget.cpp     | 4 ++--
 src/rsiwidget.h       | 2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)

commit 13aa08728491ec97af3f68cf686f5a78cbf4db6f
Author: Laurent Montel <montel@kde.org>
Date:   Mon Apr 14 07:23:37 2008 +0000

    Comment for the moment plasma applet

    svn path=/trunk/extragear/utils/rsibreak/; revision=796717

 CMakeLists.txt | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9c69fa1a64cfac26457deb05dbd5c333a537ff0c
Author: Albert Astals Cid <tsdgeos@terra.es>
Date:   Mon Mar 31 21:59:50 2008 +0000

    more whitespace

    svn path=/trunk/extragear/utils/rsibreak/; revision=792368

 src/rsistats.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0cc13938958d8f82ee9dd74dce65248a3c49cae9
Author: Albert Astals Cid <tsdgeos@terra.es>
Date:   Mon Mar 31 21:58:56 2008 +0000

    add whitespace after the "."

    svn path=/trunk/extragear/utils/rsibreak/; revision=792367

 src/rsistats.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec26491329a817ab54ce06c0a0b99ef7b8f2079c
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Mar 24 09:25:38 2008 +0000

    Fix trivial Krazy issues.


    svn path=/trunk/extragear/utils/rsibreak/; revision=789425

 src/rsistats.cpp     | 8 ++++----
 src/rsitimer.cpp     | 4 ++--
 src/setupgeneral.cpp | 4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 66e5838241bf545f5c0864aed47e25a81aa1f8a6
Author: Laurent Montel <montel@kde.org>
Date:   Sat Feb 16 20:39:53 2008 +0000

    config.h.cmake->   config-rsibreak.h.cmake

    svn path=/trunk/extragear/utils/rsibreak/; revision=775865

 config-rsibreak.h.cmake | 6 ++++++
 config.h.cmake          | 6 ------
 src/CMakeLists.txt      | 6 +++---
 src/rsitimer.cpp        | 2 +-
 src/rsiwidget.cpp       | 2 +-
 5 files changed, 11 insertions(+), 11 deletions(-)

commit 2027bddac2fb649f52ed198726d2fb6e0882f4ef
Author: Rafał Rzepecki <divided.mind@gmail.com>
Date:   Wed Feb 13 06:27:35 2008 +0000

    Fixed some compiler warnings.

    svn path=/trunk/extragear/utils/rsibreak/; revision=774375

 src/grayouteffect.cpp | 13 ++++++++-----
 src/setuptiming.cpp   | 15 ++++++++++-----
 2 files changed, 18 insertions(+), 10 deletions(-)

commit a116477341a530878108846bbc1e0068c063d0ae
Author: Tom Albers <toma@kde.org>
Date:   Sat Jan 26 18:28:16 2008 +0000

    SVN_SILENT: version+1

    svn path=/trunk/extragear/utils/rsibreak/; revision=766825

 src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ca3a767fee4d21e9b895c64a0f0f5b0708044255
Author: Jonathan Riddell <jr@jriddell.org>
Date:   Sat Jan 12 16:57:25 2008 +0000

    update for new licence policy

    svn path=/trunk/extragear/utils/rsibreak/; revision=760433

 COPYING-DOCS | 397
 -----------------------------------------------------------
 COPYING.DOC  | 397
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 397 insertions(+), 397 deletions(-)

commit 037e7364fc7dbaed68c66f5d42499932d854cd23
Author: Tom Albers <toma@kde.org>
Date:   Sat Dec 15 20:11:15 2007 +0000

    In a tarball the docs are not located in a rsibreak folder, and
    therefore breaking the installation path (the macro depends on the
    folder name). So override this with the SUBDIR extention.

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=748875

 doc/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27b8ba1c4ee9df2bba2568385fe685979ad09f02
Author: Tom Albers <toma@kde.org>
Date:   Mon Oct 15 17:19:06 2007 +0000

    remove include, make bot happy maybe

    svn path=/trunk/extragear/utils/rsibreak/; revision=725556

 src/grayouteffect.cpp | 1 -
 1 file changed, 1 deletion(-)

commit 8264653cc3374d60d6866f76beb42f4a17d6914b
Author: Frederik Schwarzer <schwarzer@kde.org>
Date:   Sun Oct 14 14:45:59 2007 +0000

    display "one" as "1"

    svn path=/trunk/extragear/utils/rsibreak/; revision=725097

 src/rsiglobals.cpp | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit d9d220bfdb1e3ef7abe86046878ed3b3a151dabe
Author: Frederik Schwarzer <schwarzer@kde.org>
Date:   Sun Oct 14 12:24:34 2007 +0000

    some markup, typos and oopsies

    svn path=/trunk/extragear/utils/rsibreak/; revision=725059

 src/main.cpp         | 2 +-
 src/rsistats.cpp     | 6 +++---
 src/rsiwidget.cpp    | 4 ++--
 src/setupgeneral.cpp | 2 +-
 4 files changed, 7 insertions(+), 7 deletions(-)

commit 744da5b877f9861df2801dcea16fb11bb21c97b3
Author: Dirk Mueller <mueller@kde.org>
Date:   Thu Oct 11 10:09:57 2007 +0000

    the usual "daily unbreak compilation"

    svn path=/trunk/extragear/utils/rsibreak/; revision=724086

 src/grayouteffect.cpp | 1 +
 src/graywidget.h      | 6 +++++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 81608e8133627dacbc83267544c1b02f4fdc6be0
Author: Dirk Mueller <mueller@kde.org>
Date:   Thu Oct 11 10:09:41 2007 +0000

    you don't really want to compare points to string literals

    svn path=/trunk/extragear/utils/rsibreak/; revision=724085

 src/rsiwidget.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d27f5d5327480b105a7aec7f016fd87d9ffbd9d8
Author: Tom Albers <toma@kde.org>
Date:   Tue Oct 9 21:23:23 2007 +0000

    Remove imagebliz dependency. Yay.

    svn path=/trunk/extragear/utils/rsibreak/; revision=723522

 CMakeLists.txt     | 1 -
 src/CMakeLists.txt | 3 +--
 src/graywidget.cpp | 2 --
 3 files changed, 1 insertion(+), 5 deletions(-)

commit 265a365850aeb37d0a7282756eabbfefe7f445d4
Author: Tom Albers <toma@kde.org>
Date:   Tue Oct 9 21:13:59 2007 +0000

    Use the grayouteffect as developed by fredrikh. Still todo:
    - first frame is a black frame
    - remove imagebliz as that's not needed anymore
    - move XImage to d-pointer, so the xlib include is not needed in the
    header (waiting for a final version of grayouteffect from fredrikh).

    svn path=/trunk/extragear/utils/rsibreak/; revision=723520

 CMakeLists.txt        |   1 +
 src/CMakeLists.txt    |   1 +
 src/grayouteffect.cpp | 424
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/grayouteffect.h   | 102 ++++++++++++
 src/graywidget.cpp    |  58 +++----
 5 files changed, 548 insertions(+), 38 deletions(-)

commit 08211488d7d154a7ae71c4a5431bdec2375a8026
Author: Pino Toscano <pino@kde.org>
Date:   Sat Oct 6 22:58:19 2007 +0000

    needed includes

    svn path=/trunk/extragear/utils/rsibreak/; revision=722219

 src/rsiglobals.cpp    | 1 +
 src/rsirelaxpopup.cpp | 2 ++
 src/rsistats.cpp      | 3 +++
 src/rsistatwidget.cpp | 2 ++
 src/rsitimer.cpp      | 1 +
 src/rsiwidget.cpp     | 2 ++
 src/setupgeneral.cpp  | 1 +
 src/setuptiming.cpp   | 2 ++
 8 files changed, 14 insertions(+)

commit f980d2aeb607c577ae88d5f4ae34e7d7134e8b6d
Author: Rafael Fernández López <ereslibre@kde.org>
Date:   Mon Oct 1 15:08:50 2007 +0000

    Code adaptation because of changes on libraries related to revision
    719630

    svn path=/trunk/extragear/utils/rsibreak/; revision=719640

 plasma/rsibreak.cpp | 2 +-
 src/rsiwidget.cpp   | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit dc4e82eb53ab17d2557b9951017d769628a77e48
Author: Arto Hytönen <amthpublic@gmail.com>
Date:   Thu Sep 6 22:50:20 2007 +0000

    fix for old KColorScheme ctor, to enable it's remove from kdelibs

    svn path=/trunk/extragear/utils/rsibreak/; revision=709238

 src/rsirelaxpopup.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 32e00bc69726c5433b75ea12738f76128d41c8e2
Author: Laurent Montel <montel@kde.org>
Date:   Thu Aug 30 17:08:35 2007 +0000

    Typo

    svn path=/trunk/extragear/utils/rsibreak/; revision=706532

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit daaf541f0c2d150f2e8f33ae72c7587f6e2f2d0c
Author: Laurent Montel <montel@kde.org>
Date:   Thu Aug 30 16:46:38 2007 +0000

    Make happy dashboard

    svn path=/trunk/extragear/utils/rsibreak/; revision=706523

 CMakeLists.txt     | 5 +++--
 src/CMakeLists.txt | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 477eeda7e5d87869ba74acb7f18e83534cfac5c7
Author: Aaron J. Seigo <aseigo@kde.org>
Date:   Thu Aug 30 04:45:23 2007 +0000

    build

    svn path=/trunk/extragear/utils/rsibreak/; revision=706361

 plasma/rsibreak.cpp | 2 +-
 plasma/rsibreak.h   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b01b7ec22bd7ee3dbe1057c82d53046159117b4f
Author: Dirk Mueller <mueller@kde.org>
Date:   Wed Aug 29 23:56:50 2007 +0000

    its qimageblitz.h now

    svn path=/trunk/extragear/utils/rsibreak/; revision=706335

 src/graywidget.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44c9fadef5977b93e781c9f3ccec936e9f4e0202
Author: Thiago Macieira <thiago@kde.org>
Date:   Mon Aug 20 21:44:36 2007 +0000

    Remove use of k_funcinfo

    svn path=/trunk/extragear/utils/rsibreak/; revision=702604

 src/graywidget.cpp    | 2 +-
 src/passivepopup.cpp  | 2 +-
 src/rsirelaxpopup.cpp | 2 +-
 src/rsiwidget.cpp     | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit ac9cbd89f0670325ea3be139c67cb9bdcb717113
Author: Thiago Macieira <thiago@kde.org>
Date:   Mon Aug 20 21:44:32 2007 +0000

    Find blitz properly

    svn path=/trunk/extragear/utils/rsibreak/; revision=702603

 src/CMakeLists.txt | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a5231c254c942119fc2c8f83f262b7e8cd8142ad
Author: Laurent Montel <montel@kde.org>
Date:   Mon Aug 20 06:23:31 2007 +0000

    Use an uniq macro to create/install doc

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=702112

 doc/CMakeLists.txt | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit e6721310ea6d501d3d743f5311090b23b86d2e2e
Author: Tom Albers <toma@kde.org>
Date:   Thu Aug 16 19:21:00 2007 +0000

    Flush work in progress. Is not yet what i want it to be. To be
    continued...

    svn path=/trunk/extragear/utils/rsibreak/; revision=700914

 plasma/CMakeLists.txt |    1 +
 plasma/rsibreak.cpp   |  106 +++-
 plasma/rsibreak.h     |   10 +
 plasma/rsibreak.svg   | 1607
 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 1703 insertions(+), 21 deletions(-)

commit 36ecc2c5e98cce04d2237e076b30c763338c1525
Author: Laurent Montel <montel@kde.org>
Date:   Mon Aug 13 06:27:56 2007 +0000

    Adapt to new cmake macro

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=699464

 doc/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83b6ff576e098e9da8634fd3b5ea5293919f4ccb
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 11 17:11:48 2007 +0000

    Resize the applet according to the size of the text we want to display
    Show the rsibreak logo on the top left, which is the same as in the
    tray: showing the time left to the break.

    svn path=/trunk/extragear/utils/rsibreak/; revision=698975

 plasma/rsibreak.cpp            | 59
 +++++++++++++++++++++++++++---------------
 plasma/rsibreak.h              |  3 +++
 src/org.rsibreak.rsiwidget.xml |  3 +++
 src/rsiwidget.cpp              |  5 ++--
 src/rsiwidget.h                |  7 +++++
 5 files changed, 53 insertions(+), 24 deletions(-)

commit eb832f46d050e2e34bb7f60627f872eec4623221
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 11 14:12:25 2007 +0000

    SVN_SILENT: Document coding style and add a kdevelop file.

    svn path=/trunk/extragear/utils/rsibreak/; revision=698936

 HACKING             |  12 +++
 release_rsibreak.rb |   2 +-
 rsibreak.kdevelop   | 214
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 227 insertions(+), 1 deletion(-)

commit 7a73e9cafaf28fe0c65c3ddd023402de0e72ed08
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 11 14:06:10 2007 +0000

    adjust coding style to kdelibs policy (almost).

    svn path=/trunk/extragear/utils/rsibreak/; revision=698933

 plasma/rsibreak.cpp    |  84 ++++-----
 plasma/rsibreak.h      |  20 +--
 src/boxdialog.cpp      |  68 ++++---
 src/boxdialog.h        |  66 +++----
 src/graywidget.cpp     |  46 +++--
 src/graywidget.h       |  70 ++++----
 src/main.cpp           |  72 ++++----
 src/passivepopup.cpp   |  15 +-
 src/passivepopup.h     |   6 +-
 src/rsidock.cpp        | 164 ++++++++---------
 src/rsidock.h          | 154 ++++++++--------
 src/rsiglobals.cpp     | 102 +++++------
 src/rsiglobals.h       |  68 +++----
 src/rsirelaxpopup.cpp  |  74 ++++----
 src/rsirelaxpopup.h    |  18 +-
 src/rsistatitem.cpp    |  58 +++---
 src/rsistatitem.h      |  30 ++--
 src/rsistats.cpp       | 331 +++++++++++++++++-----------------
 src/rsistats.h         |   4 +-
 src/rsistatwidget.cpp  |  55 +++---
 src/rsistatwidget.h    |  14 +-
 src/rsitimer.cpp       | 315 +++++++++++++--------------------
 src/rsitimer.h         | 472
 +++++++++++++++++++++++++------------------------
 src/rsitimer_dpms.cpp  |  61 ++++---
 src/rsitimer_dpms.h    |   4 +-
 src/rsitooltip.cpp     |  65 +++----
 src/rsitooltip.h       |  20 ++-
 src/rsiwidget.cpp      | 346 +++++++++++++++++-------------------
 src/rsiwidget.h        | 162 +++++++++--------
 src/setup.cpp          |  18 +-
 src/setup.h            |   2 +-
 src/setupgeneral.cpp   | 162 ++++++++---------
 src/setupgeneral.h     |   2 +-
 src/setupmaximized.cpp | 270 ++++++++++++++--------------
 src/setupmaximized.h   |   4 +-
 src/setuptiming.cpp    | 192 ++++++++++----------
 src/setuptiming.h      |   4 +-
 src/slideshow.cpp      | 117 ++++++------
 src/slideshow.h        |  76 ++++----
 39 files changed, 1861 insertions(+), 1950 deletions(-)

commit a6c0d4fb469076b2d3c69ae8aeae662178cd3993
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 11 09:00:47 2007 +0000

    Someone asks to port to Blitz. I do that.
    Compile++ on the localizedstring for the gutsy compiler.

    svn path=/trunk/extragear/utils/rsibreak/; revision=698839

 src/CMakeLists.txt |  2 +-
 src/graywidget.cpp | 19 ++++++++++---------
 src/graywidget.h   |  2 +-
 src/rsiwidget.cpp  |  4 ++--
 4 files changed, 14 insertions(+), 13 deletions(-)

commit cd43ea43a38b4c190395655cd21792becfd300b2
Author: Tom Albers <toma@kde.org>
Date:   Tue Aug 7 19:19:58 2007 +0000

    i18n fixes

    svn path=/trunk/extragear/utils/rsibreak/; revision=697432

 plasma/rsibreak.cpp |  2 +-
 src/rsiwidget.cpp   | 17 ++++++++---------
 2 files changed, 9 insertions(+), 10 deletions(-)

commit 5a07c402c41ebe60e2f1d97f902dc296ff068f42
Author: Tom Albers <toma@kde.org>
Date:   Sun Aug 5 17:23:15 2007 +0000

    SVN_SILENT: administrative

    svn path=/trunk/extragear/utils/rsibreak/; revision=696704

 ChangeLog           | 1246
 +++++++++++++++++++++++++++++++++++++--------------
 makechangelog       |    2 +-
 release_rsibreak.rb |    2 +-
 src/main.cpp        |    4 +-
 4 files changed, 923 insertions(+), 331 deletions(-)

commit a6fe11b03c3c0bd24a2ad9936c535a9b24e7ddc5
Author: Tom Albers <toma@kde.org>
Date:   Sun Aug 5 11:39:56 2007 +0000

    SVN_SILENT: adjust release script to CMAKE.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696601

 release_rsibreak.rb | 116
 +++++++++++++++-------------------------------------
 1 file changed, 32 insertions(+), 84 deletions(-)

commit 9142c24a0b453c0e21ecc2fd9e88dd64f0dad770
Author: Laurent Montel <montel@kde.org>
Date:   Sun Aug 5 08:18:15 2007 +0000

    Extract message

    svn path=/trunk/extragear/utils/rsibreak/; revision=696547

 plasma/Messages.sh | 2 ++
 1 file changed, 2 insertions(+)

commit 1ff0a9c627d6ac727a4b1c30b412ff71b7ccd3f3
Author: Laurent Montel <montel@kde.org>
Date:   Sun Aug 5 07:30:40 2007 +0000

    Remove not necessary forward declaration

    svn path=/trunk/extragear/utils/rsibreak/; revision=696534

 src/graywidget.h   | 1 -
 src/passivepopup.h | 1 -
 src/rsidock.h      | 2 --
 3 files changed, 4 deletions(-)

commit 65f6ef026014ce0b200e435563d00033e088e513
Author: Laurent Montel <montel@kde.org>
Date:   Sun Aug 5 07:23:24 2007 +0000

    not necessary with new build system

    svn path=/trunk/extragear/utils/rsibreak/; revision=696531

 icons/Makefile.am | 3 ---
 1 file changed, 3 deletions(-)

commit 26c18226c3da493cdf912363047456188c9d0756
Author: Laurent Montel <montel@kde.org>
Date:   Sun Aug 5 07:20:40 2007 +0000

    Adapt to new build system

    svn path=/trunk/extragear/utils/rsibreak/; revision=696529

 INSTALL | 168
 +---------------------------------------------------------------
 1 file changed, 2 insertions(+), 166 deletions(-)

commit ca5c1a7876a17d312226fc1a12d4f6db2fd43f65
Author: Laurent Montel <montel@kde.org>
Date:   Sun Aug 5 07:19:06 2007 +0000

    Search plasma module
    Don't add so name to plasma plugins

    svn path=/trunk/extragear/utils/rsibreak/; revision=696528

 CMakeLists.txt        | 7 +++++--
 plasma/CMakeLists.txt | 3 +--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit c734b862ec52e87e82ba8b72a7bf1e92ee2073d5
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 4 17:09:29 2007 +0000

    RSIBreak meets Plasma. Basic Plasmoid showing the current idleTime,
    and when the next breaks are due.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696400

 CMakeLists.txt                        |  3 +-
 TODO                                  | 25 +++++-----
 plasma/CMakeLists.txt                 | 11 +++++
 plasma/plasma-applet-rsibreak.desktop | 17 +++++++
 plasma/rsibreak.cpp                   | 93
 +++++++++++++++++++++++++++++++++++
 plasma/rsibreak.h                     | 45 +++++++++++++++++
 src/org.rsibreak.rsiwidget.xml        |  6 +++
 src/rsitimer.h                        |  3 ++
 src/rsiwidget.h                       |  2 +
 9 files changed, 192 insertions(+), 13 deletions(-)

commit 233247f0ec84d14c270a76cd3facf2acc1e9b937
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 4 11:19:21 2007 +0000

    Remove last q3 call.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696262

 src/rsistatitem.h |  9 ++++-----
 src/rsistats.cpp  | 26 +++++++++++++-------------
 2 files changed, 17 insertions(+), 18 deletions(-)

commit 0e0c6aee785a2c3cfe0b5c560c753dcbb5e11a69
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 4 11:07:20 2007 +0000

    Add dbus interface for idleTime() and fix bug where idleTime()
    was reporting false info when rsibreak was suspended. Should be
    backported.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696259

 src/org.rsibreak.rsiwidget.xml | 3 +++
 src/rsitimer.cpp               | 7 +++++--
 src/rsiwidget.h                | 1 +
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 56d0d8f5c37cbe081040f5dbaa0e67b9abdbab44
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 4 10:45:55 2007 +0000

    - remove the settings for the font color, size and the possibility
    to show/hide the counter.
    - add all dcop methods we had in the 3 series as dbus methods.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696254

 src/main.cpp                   |  5 +---
 src/org.rsibreak.rsiwidget.xml | 10 ++++++-
 src/rsiwidget.cpp              |  7 +----
 src/rsiwidget.h                | 20 +++++++++----
 src/setupmaximized.cpp         | 65
 ------------------------------------------
 src/setupmaximized.h           |  2 --
 6 files changed, 25 insertions(+), 84 deletions(-)

commit 686a595eaa090180571c32e9f667170f7edb9e24
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 4 01:39:09 2007 +0000

    rename RSIWidget to RSIObject, create a RSIWidget based on a QLabel
    to serve as parent for all other classes. This way we dont get an
    empty window on start. To prevent the maximise/minimise behaviour
    which we get when using a KSystemTrayIcon with a valid parent,
    use a QSystemTrayIcon instead. The K version does not add anything
    usefull for us.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696167

 src/boxdialog.cpp     |  2 --
 src/graywidget.cpp    |  1 +
 src/main.cpp          |  2 +-
 src/passivepopup.cpp  |  2 +-
 src/passivepopup.h    |  2 +-
 src/rsidock.cpp       |  5 +--
 src/rsidock.h         |  4 +--
 src/rsirelaxpopup.cpp |  4 +--
 src/rsirelaxpopup.h   |  6 ++--
 src/rsitooltip.cpp    |  2 +-
 src/rsitooltip.h      |  4 +--
 src/rsiwidget.cpp     | 94
 ++++++++++++++++++++++++++++++---------------------
 src/rsiwidget.h       | 32 ++++++++++++------
 src/slideshow.cpp     | 11 +++---
 14 files changed, 99 insertions(+), 72 deletions(-)

commit 632b270e6db43a4a2e715885a894941d98806831
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 4 00:24:37 2007 +0000

    Hide the dialog properly after a break or when user aborts the break.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696155

 src/boxdialog.cpp      | 2 +-
 src/boxdialog.h        | 7 +++++--
 src/graywidget.cpp     | 2 +-
 src/setupmaximized.cpp | 2 +-
 src/slideshow.cpp      | 2 +-
 5 files changed, 9 insertions(+), 6 deletions(-)

commit b7a1fc995a1054c166a9a4329bb6087eacf62b18
Author: Tom Albers <toma@kde.org>
Date:   Fri Aug 3 22:12:26 2007 +0000

    Headers--

    svn path=/trunk/extragear/utils/rsibreak/; revision=696133

 src/CMakeLists.txt |  2 +-
 src/boxdialog.cpp  |  6 ------
 src/boxdialog.h    |  2 --
 src/graywidget.cpp |  9 +++------
 src/graywidget.h   |  2 --
 src/rsiwidget.cpp  | 55
 +++++++++++++++---------------------------------------
 src/rsiwidget.h    | 13 +------------
 src/slideshow.cpp  | 51
 ++++++--------------------------------------------
 src/slideshow.h    | 17 +----------------
 9 files changed, 27 insertions(+), 130 deletions(-)

commit 668e75ddeba7e6a78264e5597a6e93d133ad245e
Author: Tom Albers <toma@kde.org>
Date:   Fri Aug 3 21:53:07 2007 +0000

    Move the kdialog box out of the graywidget into its own class and
    use that class also in the slideshow class.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696119

 src/CMakeLists.txt |   1 +
 src/boxdialog.cpp  | 106
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/boxdialog.h    |  70 +++++++++++++++++++++++++++++++++++
 src/graywidget.cpp |  68 ++--------------------------------
 src/graywidget.h   |  18 +++------
 src/rsiwidget.cpp  |  25 +++++++++----
 src/slideshow.cpp  |   5 +++
 src/slideshow.h    |   4 ++
 8 files changed, 213 insertions(+), 84 deletions(-)

commit 5efd9a4e1310fc98b860c09cf19e03edad8db34d
Author: Tom Albers <toma@kde.org>
Date:   Fri Aug 3 21:11:16 2007 +0000

    Fix ebn issues.

    svn path=/trunk/extragear/utils/rsibreak/; revision=696109

 src/rsiglobals.cpp     |  4 ++--
 src/rsiwidget.cpp      | 12 +++++-------
 src/setupmaximized.cpp | 15 +++++++++------
 src/slideshow.cpp      |  1 -
 4 files changed, 16 insertions(+), 16 deletions(-)

commit feea73ceb7bc91f3a993204918956a1fb0da4b7a
Author: Laurent Montel <montel@kde.org>
Date:   Fri Aug 3 20:50:14 2007 +0000

    Fix compile

    svn path=/trunk/extragear/utils/rsibreak/; revision=696104

 src/CMakeLists.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4997c8755999ee8cad9d9228bbdbc87227ddd929
Author: Laurent Montel <montel@kde.org>
Date:   Fri Aug 3 20:32:51 2007 +0000

    adapt to kdebug api

    svn path=/trunk/extragear/utils/rsibreak/; revision=696100

 src/graywidget.cpp    | 6 +++---
 src/passivepopup.cpp  | 2 +-
 src/rsidock.cpp       | 2 +-
 src/rsiglobals.cpp    | 4 ++--
 src/rsirelaxpopup.cpp | 2 +-
 src/rsitimer.cpp      | 6 +++---
 src/rsiwidget.cpp     | 2 +-
 src/slideshow.cpp     | 8 ++++----
 8 files changed, 16 insertions(+), 16 deletions(-)

commit 44e2f1c27d8fdc41dd5b36fc9622415e36739308
Author: Laurent Montel <montel@kde.org>
Date:   Fri Aug 3 20:31:43 2007 +0000

    Fix typo

    svn path=/trunk/extragear/utils/rsibreak/; revision=696099

 src/CMakeLists.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c6437f9757502671deee9733b013e393e720f623
Author: Laurent Montel <montel@kde.org>
Date:   Fri Aug 3 20:22:51 2007 +0000

    Not necessary

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=696097

 doc/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit 489c44760ce983eced92ccf4e664e369d2e61696
Author: Laurent Montel <montel@kde.org>
Date:   Fri Aug 3 20:22:24 2007 +0000

    Add CMakeLists

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=696096

 doc/CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit f84b4572d3f21f3808901db2d8a2f0b79d273353
Author: Tom Albers <toma@kde.org>
Date:   Wed Aug 1 21:04:00 2007 +0000

    remove, nobody uses that. ;-)

    svn path=/trunk/extragear/utils/rsibreak/; revision=695333

 src/rsidock.cpp | 16 +---------------
 src/rsidock.h   |  1 -
 src/rsiwidget.h |  2 ++
 3 files changed, 3 insertions(+), 16 deletions(-)

commit ecf466ef1354dfd3b225f7a738edf25733ef83b6
Author: Tom Albers <toma@kde.org>
Date:   Wed Aug 1 20:31:23 2007 +0000

    On left click open the stats dialog.

    svn path=/trunk/extragear/utils/rsibreak/; revision=695317

 src/rsidock.cpp | 39 +++++++++++++++++----------------------
 src/rsidock.h   |  1 +
 2 files changed, 18 insertions(+), 22 deletions(-)

commit 62bced7ec6d39b0e21419bc77e347fafc8f14d36
Author: Tom Albers <toma@kde.org>
Date:   Tue Jul 31 21:14:25 2007 +0000

    disadvantage of fast laptop is that it takes the screenshot after
    the widget is shown, resulting in a black screenie in this case. Fix
    that and use the new screenshot routine, so it actually works on
    this laptop.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694832

 src/graywidget.cpp | 35 ++++++++++++++++++++++-------------
 src/graywidget.h   |  2 ++
 src/rsiwidget.cpp  |  5 -----
 3 files changed, 24 insertions(+), 18 deletions(-)

commit 1adb13686c069d74db41f69f126e135b470ad7b7
Author: Frode M. Døving <frode@lnix.net>
Date:   Tue Jul 31 19:43:14 2007 +0000

    D-Bus call to lock the screen.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694804

 src/rsiwidget.cpp | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit cd7c4396a83c363323208a9c03bf7173120e1132
Author: Tom Albers <toma@kde.org>
Date:   Tue Jul 31 19:19:53 2007 +0000

    Make a screenshot that works. Thanks to the code from fredrikh! Solves
    the distortions.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694797

 src/rsitimer_dpms.cpp | 31 +++++++++++++++++++++++++++++++
 src/rsitimer_dpms.h   |  2 ++
 src/rsiwidget.cpp     |  8 ++++++--
 3 files changed, 39 insertions(+), 2 deletions(-)

commit d5739d030a98be9cae0a5d2fc191ea6871bae9b6
Author: Frode M. Døving <frode@lnix.net>
Date:   Tue Jul 31 18:20:11 2007 +0000

    D-Bus call on second instance.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694787

 src/main.cpp | 3 +++
 1 file changed, 3 insertions(+)

commit 10e35e1310017c337a15c3f2ee6bc17b90cd76a1
Author: Frode M. Døving <frode@lnix.net>
Date:   Tue Jul 31 17:10:34 2007 +0000

    D-Bus things.


    svn path=/trunk/extragear/utils/rsibreak/; revision=694777

 TODO                           | 18 ++++++++++++++++++
 src/CMakeLists.txt             |  6 ++++++
 src/main.cpp                   |  1 +
 src/org.rsibreak.rsiwidget.xml |  7 +++++++
 src/rsiwidget.cpp              |  6 ++++++
 src/rsiwidget.h                |  6 +++++-
 6 files changed, 43 insertions(+), 1 deletion(-)

commit 114c953e73ebab896cbbcc5dfb7e10f0b129a601
Author: Tom Albers <toma@kde.org>
Date:   Tue Jul 31 10:56:20 2007 +0000

    Re-enable RSIBreak in toplevel folder, so we get some EBN checks
    and so on. Does not compile correctly, as it can't find the
    config.h.cmake. Need to check why.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694680

 Messages.sh | 3 +++
 1 file changed, 3 insertions(+)

commit f750fefa4ee8b47dd5a394a0e260511abd4b2150
Author: Tom Albers <toma@kde.org>
Date:   Tue Jul 31 10:38:48 2007 +0000

    Port that file.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694673

 icons/CMakeLists.txt | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 8d6d33a320999294257ca6a0b6dd783612e95f39
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 30 22:18:35 2007 +0000

    Make rsiwidget a object. ;-) Now we see an empty widget at the
    start. Need to remove that soon.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694511

 src/rsiwidget.cpp | 25 +++++++++----------------
 src/rsiwidget.h   |  6 ++----
 2 files changed, 11 insertions(+), 20 deletions(-)

commit 1d52f0f9ef2ffe82bede3f08289c659644acd24f
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 30 22:09:54 2007 +0000

    Moved the slideshow out of the rsiwidget as well. Now we have a good
    split in functionality. RSIBreak is getting into shape...

    svn path=/trunk/extragear/utils/rsibreak/; revision=694508

 src/CMakeLists.txt |   1 +
 src/rsiwidget.cpp  | 376
 +++++------------------------------------------------
 src/rsiwidget.h    |  51 +-------
 src/slideshow.cpp  | 226 ++++++++++++++++++++++++++++++++
 src/slideshow.h    |  88 +++++++++++++
 5 files changed, 350 insertions(+), 392 deletions(-)

commit f6edee20f55fa7a32f5af41eac9cc19932b0e041
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 30 21:09:24 2007 +0000

    - Move the gray out sequence out of the mainwidget and into its
    own grayWidget. Next step is to move the slideshow to it's own
    widget. Maybe I can make mainwidget a QObject after that.
    - Remove the q3support, RSIBreak now compiles without warnings and
    does not need it anymore
    - Remove the configurable shortcut. Escape it is.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694486

 CMakeLists.txt         |   1 -
 src/CMakeLists.txt     |   3 +-
 src/graywidget.cpp     | 160
 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/graywidget.h       |  81 +++++++++++++++++++++++++
 src/rsiwidget.cpp      |  75 +++++++----------------
 src/rsiwidget.h        |   4 +-
 src/setupmaximized.cpp |  35 +----------
 src/setupmaximized.h   |   2 -
 8 files changed, 270 insertions(+), 91 deletions(-)

commit a50e123348cd6c4f1045b77dcc866dfb70046e16
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 30 16:47:55 2007 +0000

    The gray down effect is back and up to speed now. Commit before I
    start moving it to it's own file.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694417

 src/rsiwidget.cpp | 39 +++++++++++++++++----------------------
 1 file changed, 17 insertions(+), 22 deletions(-)

commit 2aaefa76fa2995161e2fbaf01142a5d694d3230b
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 29 23:27:34 2007 +0000

    More porting work. Some code for graying out as we did in the 3
    series. It seems the kde logout screen does not use it any more,
    so we have to come up with something else. The implementation in
    this commit is pretty slow, so we need something cooler.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694068

 src/rsiwidget.cpp | 138
 +++++++++++++++++++++++++++++-------------------------
 src/rsiwidget.h   |   1 +
 2 files changed, 74 insertions(+), 65 deletions(-)

commit 4b6a2e62b22ee8bec3ee924fd74d3d741e6416f9
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 29 20:28:35 2007 +0000

    Random port bits.

    svn path=/trunk/extragear/utils/rsibreak/; revision=694025

 src/main.cpp        |  3 +-
 src/rsistatitem.cpp |  2 +-
 src/rsistatitem.h   |  2 +-
 src/rsistats.cpp    | 83
 +++++++++++++++++++++++++++++------------------------
 src/rsistats.h      |  5 ----
 src/rsitimer.cpp    |  8 +++---
 src/rsitimer.h      |  4 +--
 src/rsitooltip.cpp  | 25 +++++++---------
 src/rsiwidget.cpp   | 15 ++++------
 9 files changed, 71 insertions(+), 76 deletions(-)

commit 852f0a2d500b79376d818fff4db3bbc21904db0a
Author: Laurent Montel <montel@kde.org>
Date:   Sun Jul 29 09:20:24 2007 +0000

    fix link

    svn path=/trunk/extragear/utils/rsibreak/; revision=693851

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2288682750a1a214d1df35fde073254281a59f06
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 28 22:32:43 2007 +0000

    Remove the q3mimesourcefactory, instead store the screenie in a file
    and point to that from the messageboxes.

    svn path=/trunk/extragear/utils/rsibreak/; revision=693753

 src/rsiwidget.cpp | 74
 +++++++++++++++++++++++++------------------------------
 src/rsiwidget.h   |  3 ++-
 2 files changed, 36 insertions(+), 41 deletions(-)

commit ce20eb0fe160694d1e3af93b82a274633a04c8ae
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 28 17:56:35 2007 +0000

    You see, blogging helps solving mysteries. Add a
    setQuitOnLastWindowClosed to prevent exit(0) when closing the
    configuration or any about window.

    svn path=/trunk/extragear/utils/rsibreak/; revision=693694

 src/main.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit 51a71353b39fd9312fb6ba04441011aaf6be6313
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 28 15:38:24 2007 +0000

    Port to the kde4 event system

    svn path=/trunk/extragear/utils/rsibreak/; revision=693646

 src/CMakeLists.txt    |   2 +
 src/eventsrc          | 172
 --------------------------------------------------
 src/rsibreak.notifyrc | 170
 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/rsiglobals.cpp    |  16 ++---
 src/rsiglobals.h      |   2 +-
 5 files changed, 180 insertions(+), 182 deletions(-)

commit b33d97a27c0c8e947e7075121647d14112f81902
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 28 14:41:32 2007 +0000

    Port rsistatwidget, too bad qgrid is gone, makes the ported code a
    bit ugly.

    svn path=/trunk/extragear/utils/rsibreak/; revision=693616

 src/rsistatwidget.cpp | 95
 +++++++++++++++++++++++----------------------------
 src/rsistatwidget.h   | 19 ++++-------
 2 files changed, 49 insertions(+), 65 deletions(-)

commit ce71b96c227afbe8d32afd98b7e3007b68869d6a
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 28 13:30:36 2007 +0000

    The stats are back.

    svn path=/trunk/extragear/utils/rsibreak/; revision=693597

 src/rsidock.cpp | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit f84adcf8d415db9ba6f9ca228dc804c1d6c900c9
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 28 10:40:44 2007 +0000

    Port setuptiming. And fix setup to save dialog sizes. This part is
    finished now.

    svn path=/trunk/extragear/utils/rsibreak/; revision=693553

 src/setup.cpp          |  18 ++++++---
 src/setup.h            |  15 +++-----
 src/setupmaximized.cpp |   6 ++-
 src/setupmaximized.h   |   1 -
 src/setuptiming.cpp    | 101
 ++++++++++++++++++++++++-------------------------
 src/setuptiming.h      |   7 +---
 6 files changed, 73 insertions(+), 75 deletions(-)

commit 95b554e3f40b0ed5544b9494d627ee60d2857520
Author: Tom Albers <toma@kde.org>
Date:   Fri Jul 27 20:33:08 2007 +0000

    Port setupmaximized.

    svn path=/trunk/extragear/utils/rsibreak/; revision=693379

 src/setupgeneral.h     |   4 +-
 src/setupmaximized.cpp | 221
 +++++++++++++++++++++++--------------------------
 src/setupmaximized.h   |   9 +-
 3 files changed, 108 insertions(+), 126 deletions(-)

commit b09e8348c590de052bda33282c3342c9fe15ead7
Author: Tom Albers <toma@kde.org>
Date:   Fri Jul 27 17:48:57 2007 +0000

    Port setupgeneral

    svn path=/trunk/extragear/utils/rsibreak/; revision=693319

 src/setupgeneral.cpp | 146
 ++++++++++++++++++++++-----------------------------
 src/setupgeneral.h   |   3 --
 2 files changed, 64 insertions(+), 85 deletions(-)

commit c41b47f0f5c6f481716dee8c8407060f86d2fef8
Author: Tom Albers <toma@kde.org>
Date:   Thu Jul 26 21:56:39 2007 +0000

    Start working on the widget, remove bitblt as qt now does
    double buffering. Now set the loaded images as background of the
    widget. Ported the QDir calls and ported the screenshot routine so
    we can show where rsibreak sits in the tray.

    svn path=/trunk/extragear/utils/rsibreak/; revision=693043

 src/rsiwidget.cpp | 89
 +++++++++++++++++++++++++++++++------------------------
 src/rsiwidget.h   |  4 +--
 2 files changed, 53 insertions(+), 40 deletions(-)

commit 3f18ef4e4b6d55f199b3dfcfb041f392bcd37233
Author: Tom Albers <toma@kde.org>
Date:   Thu Jul 26 19:39:15 2007 +0000

    Port the dock. I'm still clueless how to intercept left clicks on
    the icon. It should not raise the parent but a stats dialog. Also
    when ever a action is used from the KHelpMenu: after the dialog
    close RSIBreak exits with 0 errorcode. No clue why.

    svn path=/trunk/extragear/utils/rsibreak/; revision=693002

 src/rsidock.cpp   | 94
 ++++++++++++++++++++++++++++---------------------------
 src/rsidock.h     | 15 ++-------
 src/rsiwidget.cpp |  2 +-
 3 files changed, 52 insertions(+), 59 deletions(-)

commit 4a49e96663d4587333b102500f6ad1a8df5feba2
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 25 22:09:00 2007 +0000

    double s. yes, i know about history.

    svn path=/trunk/extragear/utils/rsibreak/; revision=692574

 src/pasivepopup.cpp  | 172
 ---------------------------------------------------
 src/pasivepopup.h    | 102 ------------------------------
 src/passivepopup.cpp |  45 ++++++++++++++
 src/passivepopup.h   |  36 +++++++++++
 4 files changed, 81 insertions(+), 274 deletions(-)

commit b151d9da459ce9320baff1555f4831d397ce3e32
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 25 22:04:21 2007 +0000

    Port the rsitooltip. Adjust the rsidock to emit a signal on hover. A
    bit hackish, but hey, i did not make ksystemtrayicon a !widget

    svn path=/trunk/extragear/utils/rsibreak/; revision=692572

 src/CMakeLists.txt    |   1 +
 src/pasivepopup.cpp   | 172
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/pasivepopup.h     | 102 ++++++++++++++++++++++++++++++
 src/rsidock.cpp       |  37 +++--------
 src/rsidock.h         |  26 ++------
 src/rsirelaxpopup.cpp |  20 ------
 src/rsirelaxpopup.h   |  11 +---
 src/rsitooltip.cpp    |  27 ++++----
 src/rsitooltip.h      |  13 ++--
 src/rsiwidget.cpp     |   6 +-
 10 files changed, 314 insertions(+), 101 deletions(-)

commit 88d79842fc804e5d860c2301e4c365fc144b30c6
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 25 19:52:14 2007 +0000

    More work on the popup.

    svn path=/trunk/extragear/utils/rsibreak/; revision=692536

 src/rsiglobals.cpp    | 10 +++----
 src/rsirelaxpopup.cpp | 73
 +++++++++++++++++++++++++++------------------------
 src/rsirelaxpopup.h   | 22 ++++++++++------
 src/rsitimer.cpp      |  4 +--
 src/rsiwidget.cpp     |  3 ++-
 5 files changed, 61 insertions(+), 51 deletions(-)

commit 63adf12c9d77b6bfa01404523b095e0e0702b375
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 25 17:00:34 2007 +0000

    Port relaxpopup.

    svn path=/trunk/extragear/utils/rsibreak/; revision=692469

 src/rsirelaxpopup.cpp | 66
 +++++++++++++++++++++++++++------------------------
 src/rsirelaxpopup.h   |  3 +--
 2 files changed, 36 insertions(+), 33 deletions(-)

commit 6995e19dd6ad57a2f0b3560e2d7eca4ce26d9632
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 25 14:34:50 2007 +0000

    It links. ship it.

    svn path=/trunk/extragear/utils/rsibreak/; revision=692426

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aec35bace866f3300fcadbc84a6cb775c2e7b43a
Author: Tom Albers <toma@kde.org>
Date:   Wed Jul 25 13:48:59 2007 +0000

    RSIBreak now compiles, just don't ship it untill it links as well.

    svn path=/trunk/extragear/utils/rsibreak/; revision=692412

 src/rsiglobals.cpp     | 52 +++++++++--------------------
 src/rsiglobals.h       |  7 +---
 src/rsirelaxpopup.cpp  |  4 +--
 src/rsistats.cpp       |  9 ++++--
 src/rsistatwidget.cpp  |  4 +--
 src/rsitimer.cpp       |  8 ++---
 src/rsitooltip.cpp     |  2 +-
 src/rsiwidget.cpp      | 88
 ++++++++++++++++++++++++++------------------------
 src/rsiwidget.h        |  3 +-
 src/setupmaximized.cpp | 15 +++------
 10 files changed, 83 insertions(+), 109 deletions(-)

commit 32fa52fcdaf39344a371c09d004dcf5b2e701de9
Author: Tom Albers <toma@kde.org>
Date:   Fri Jul 20 20:33:01 2007 +0000

    SVN_SILENT: add section, cia bot test.

    svn path=/trunk/extragear/utils/rsibreak/; revision=690367

 TODO | 3 +++
 1 file changed, 3 insertions(+)

commit 5537ef806855a2ee7e9b256b84db3ea0864446ed
Author: Tom Albers <toma@kde.org>
Date:   Fri Jul 20 18:58:40 2007 +0000

    Start porting RSIBreak.

    svn path=/trunk/extragear/utils/rsibreak/; revision=690343

 CMakeLists.txt         |  21 ++++-----
 Makefile.am            |   2 -
 configure.in.bot       |  11 -----
 configure.in.in        |  21 ---------
 src/CMakeLists.txt     |  21 ++-------
 src/Makefile.am        |  44 ------------------
 src/dcopiface.cpp      |  66 --------------------------
 src/dcopiface.h        | 109 -------------------------------------------
 src/main.cpp           |  30 ++++++------
 src/rsibreak.lsm       |  12 -----
 src/rsidock.cpp        |  94 ++++++++++++++++++++-----------------
 src/rsidock.h          |  18 ++++----
 src/rsiglobals.cpp     |   9 ++--
 src/rsirelaxpopup.cpp  |  36 ++++++++-------
 src/rsirelaxpopup.h    |   7 ++-
 src/rsistatitem.h      |   8 ++--
 src/rsistats.cpp       |  12 +++--
 src/rsistats.h         |   2 +
 src/rsistatwidget.cpp  |  28 ++++++-----
 src/rsistatwidget.h    |  12 +++--
 src/rsitimer.cpp       |  45 +++++++++---------
 src/rsitimer.h         |   3 ++
 src/rsitooltip.cpp     |   6 +--
 src/rsitooltip.h       |   3 ++
 src/rsiwidget.cpp      | 123
 ++++++++++++++++++++++++-------------------------
 src/rsiwidget.h        |   8 ++--
 src/setup.cpp          |  47 ++++++++-----------
 src/setup.h            |   5 +-
 src/setupgeneral.cpp   |  79 +++++++++++++++----------------
 src/setupmaximized.cpp | 116
 +++++++++++++++++++++++-----------------------
 src/setuptiming.cpp    |  97 +++++++++++++++++++-------------------
 31 files changed, 422 insertions(+), 673 deletions(-)

commit d96b92af6fbb03e8a2ce12f4b1deac49d7635a10
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Wed Jul 18 20:53:11 2007 +0000

    New DCOP call: request the amount of seconds since the last activity
    with your mouse/keyboard.

    dcop rsibreak actions idleTime


    svn path=/branches/extragear/kde3/utils/rsibreak/; revision=689666

 src/dcopiface.cpp |  7 +++++++
 src/dcopiface.h   |  6 ++++++
 src/rsitimer.h    | 14 +++++++-------
 src/rsiwidget.cpp |  5 +++++
 src/rsiwidget.h   |  2 ++
 5 files changed, 27 insertions(+), 7 deletions(-)

commit 4c89e352dea2c657e4458cd77184830f510edc82
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Jun 14 19:31:08 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/branches/extragear/kde3/utils/rsibreak/; revision=675712

 src/eventsrc         | 8 ++++++++
 src/rsibreak.desktop | 1 +
 2 files changed, 9 insertions(+)

commit 13f492d55630142957cc842456988bb265894200
Author: Tom Albers <toma@kde.org>
Date:   Sat Jun 2 22:28:45 2007 +0000

    Fix this.

    svn path=/branches/extragear/kde3/utils/rsibreak/; revision=670903

 src/rsiwidget.cpp | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit eeb222028416aa3b625cd1edc70df952c5e79317
Author: Tom Albers <toma@kde.org>
Date:   Fri Jun 1 22:05:48 2007 +0000

    Fix ""disable shortcut" setting does not work"
    launchpad bug 118315

    svn path=/trunk/extragear/utils/rsibreak/; revision=670532

 src/rsiwidget.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09ea14219a56f1f8b695f73ccd1ac27578bbf2a7
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Jun 1 06:46:05 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=670357

 src/eventsrc | 1 +
 1 file changed, 1 insertion(+)

commit a65fcc3107b356c65b991182c4cde889ae363b84
Author: Tom Albers <toma@kde.org>
Date:   Sun May 27 10:51:32 2007 +0000

    Keep memory footprint low when idle. Patch by Richard Larkang. Thanks
    a lot! Feel free to optimise more if you can.
    BUG: 143784

    svn path=/trunk/extragear/utils/rsibreak/; revision=668714

 src/rsiwidget.cpp | 12 ++++++++++--
 src/rsiwidget.h   |  1 +
 2 files changed, 11 insertions(+), 2 deletions(-)

commit f3bdea4e7140e55ee402949d99d10c0f19ca6cb0
Author: Tom Albers <toma@kde.org>
Date:   Sun May 27 10:38:03 2007 +0000

    Fix compilation and add a Global sections to the eventsrc which is
    used in the 'configure notification' via the systemsettings.
    BUG:146005

    svn path=/trunk/extragear/utils/rsibreak/; revision=668708

 src/eventsrc    | 4 ++++
 src/rsiwidget.h | 6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit e9437385055ff3736e03bd8bf516ab5bb3183f41
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon May 14 17:30:19 2007 +0000

    one more little krazy fix. now only i18n() issues which are for kde4
    i suppose, i don't understand them.


    svn path=/trunk/extragear/utils/rsibreak/; revision=664701

 src/rsiwidget.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 39093f54844f5d5f09bb2d4c65305bf5ce0d9fca
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat May 12 16:10:23 2007 +0000

    pass-by-ref (krazy)


    svn path=/trunk/extragear/utils/rsibreak/; revision=663903

 src/rsistatitem.cpp | 4 ++--
 src/rsistatitem.h   | 4 ++--
 src/rsistats.cpp    | 4 ++--
 src/rsistats.h      | 4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

commit 1bbc55d3df2d50b5cbb8f63a060fed0c28c528de
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat May 12 16:03:30 2007 +0000

    krazy: header fixes and cleanups


    svn path=/trunk/extragear/utils/rsibreak/; revision=663898

 src/rsidock.cpp        |  2 ++
 src/rsidock.h          |  5 ++---
 src/rsiglobals.cpp     |  3 ++-
 src/rsiglobals.h       |  4 ++--
 src/rsirelaxpopup.cpp  |  4 ++--
 src/rsistatitem.cpp    |  4 ++--
 src/rsistatitem.h      |  3 ++-
 src/rsistats.cpp       |  6 ++++--
 src/rsistats.h         |  3 ++-
 src/rsistatwidget.cpp  |  8 ++++++--
 src/rsistatwidget.h    |  7 ++++---
 src/rsitimer.cpp       |  5 +++--
 src/rsitimer.h         |  4 +++-
 src/rsitooltip.cpp     |  3 ++-
 src/rsitooltip.h       |  3 ---
 src/rsiwidget.cpp      |  2 +-
 src/setup.cpp          |  7 +++----
 src/setupgeneral.cpp   |  8 ++++----
 src/setupgeneral.h     |  2 ++
 src/setupmaximized.cpp | 12 ++++--------
 src/setupmaximized.h   |  2 ++
 src/setuptiming.cpp    | 11 ++++-------
 src/setuptiming.h      |  2 ++
 23 files changed, 60 insertions(+), 50 deletions(-)

commit 7ce52a9085450e7333b586528a748db7b2eedd4c
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Mar 9 10:47:31 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=640878

 src/eventsrc         | 123
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/rsibreak.desktop |  16 +++++++
 2 files changed, 139 insertions(+)

commit 77b36adbc35b6739b00368af8d07adaa6c0ac010
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Mar 9 08:15:36 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=640817

 src/eventsrc         | 8 ++++++++
 src/rsibreak.desktop | 1 +
 2 files changed, 9 insertions(+)

commit 7c91685583425c279f7458759f23c3f5d4715df8
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Mar 8 12:13:28 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=640567

 src/eventsrc         | 131
 ---------------------------------------------------
 src/rsibreak.desktop |  17 -------
 2 files changed, 148 deletions(-)

commit 64b91fc2c97a92eac32642d79762587121ba9518
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Mar 8 10:11:00 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=640518

 src/eventsrc         | 131
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/rsibreak.desktop |  17 +++++++
 2 files changed, 148 insertions(+)

commit 4557be46c62ff451797868686e712f8cf07dd0a4
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Mar 7 13:41:54 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=640259

 src/eventsrc         | 131
 ---------------------------------------------------
 src/rsibreak.desktop |  17 -------
 2 files changed, 148 deletions(-)

commit 6f29da94c09b8bd602d35166279f037aeb842de3
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Tue Feb 20 13:03:39 2007 +0000

    ebn fixes


    svn path=/trunk/extragear/utils/rsibreak/; revision=635624

 src/dcopiface.h       | 2 +-
 src/rsiglobals.cpp    | 2 +-
 src/rsiglobals.h      | 2 +-
 src/rsirelaxpopup.cpp | 4 ++--
 src/rsirelaxpopup.h   | 2 +-
 src/rsistatitem.h     | 4 ++--
 src/rsistats.cpp      | 2 +-
 src/rsistatwidget.h   | 2 +-
 src/rsitimer.h        | 4 ++--
 src/rsitooltip.cpp    | 8 ++++----
 src/rsitooltip.h      | 4 ++--
 src/rsiwidget.cpp     | 6 +++---
 src/rsiwidget.h       | 4 ++--
 src/setup.h           | 2 +-
 14 files changed, 24 insertions(+), 24 deletions(-)

commit bd406c4a48a0b8a70f4ab0a033dfe61ca82e7304
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Jan 20 10:43:51 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=625545

 src/eventsrc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 8d4613010a241cfda7b509d632baecabe32a7914
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Jan 10 14:02:36 2007 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=622040

 src/eventsrc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 11d9c3700081cdb2bdf4dec93ffd5a5b9b7351f4
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Dec 18 17:46:18 2006 +0000

    Update license.


    svn path=/trunk/extragear/utils/rsibreak/; revision=614700

 COPYING | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit 608bbc74e00b93eef0f8d31d146dd7937a197e4b
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Dec 9 18:40:19 2006 +0000

    Remove setuppopup.cpp target


    svn path=/trunk/extragear/utils/rsibreak/; revision=611852

 src/CMakeLists.txt | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 98c2ecf9bfffe596799208ee854dab702d0357d2
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Nov 2 13:21:06 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=601190

 src/eventsrc         | 8 ++++++++
 src/rsibreak.desktop | 1 +
 2 files changed, 9 insertions(+)

commit ffb55b9a564efeba61bf0ef504bb61b5ef8e415f
Author: Tom Albers <toma@kde.org>
Date:   Mon Oct 30 19:07:53 2006 +0000

    SVN_SILENT: CIA test commit

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=600491

 doc/index.docbook | 1 -
 1 file changed, 1 deletion(-)

commit b9eaf61fbc5558be3d5610038688fab1e8067ede
Author: Nick Shaforostoff <shafff@ukr.net>
Date:   Wed Oct 25 18:44:51 2006 +0000

    optimize images

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=599102

 doc/dcop.png       | Bin 19226 -> 10104 bytes
 doc/logo.png       | Bin 15138 -> 5593 bytes
 doc/popup.png      | Bin 5665 -> 5542 bytes
 doc/statistics.png | Bin 42986 -> 13568 bytes
 doc/suspend.png    | Bin 4045 -> 3954 bytes
 5 files changed, 0 insertions(+), 0 deletions(-)

commit cc3d01352f50cfbebd6202fccbe1ad054662173f
Author: Frank Osterfeld <frank.osterfeld@kdemail.net>
Date:   Sat Oct 14 11:51:28 2006 +0000

    eh, wrong "Idle settings"

    svn path=/trunk/extragear/utils/rsibreak/; revision=595466

 src/setupgeneral.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9fd6915185416ee2d4eb5133107c516065f11ca7
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Oct 14 11:00:47 2006 +0000

    SVN_SILENT: krazy update. but it seems the doc needs some more work


    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=595394

 doc/index.docbook | 62
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 31 insertions(+), 31 deletions(-)

commit c7dc677f36874cc72fa7b64f013682de98a7a8de
Author: Frank Osterfeld <frank.osterfeld@kdemail.net>
Date:   Fri Oct 13 22:28:55 2006 +0000

    being anal about capitalization (hoping not breaking a string freeze
    or such)
    CCMAIL: tomalbers@kde.nl

    svn path=/trunk/extragear/utils/rsibreak/; revision=595306

 src/rsistatwidget.cpp  | 4 ++--
 src/setupgeneral.cpp   | 4 ++--
 src/setupmaximized.cpp | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit caf7de3dbbe9a8f6d4759827ed46ca3062adaabe
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Oct 13 12:56:42 2006 +0000

    Is it October already?!

    svn path=/trunk/extragear/utils/rsibreak/; revision=595164

 src/rsibreak.lsm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2b5e10a335be2d6897f7306299d9054fb70967a
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Oct 13 12:10:07 2006 +0000

    Update for 0.8.0

    svn path=/trunk/extragear/utils/rsibreak/; revision=595154

 NEWS             | 2 +-
 src/main.cpp     | 2 +-
 src/rsibreak.lsm | 6 +++---
 3 files changed, 5 insertions(+), 5 deletions(-)

commit b9d55df595dacea34e4a00561d3da2a15f3ca049
Author: Tom Albers <toma@kde.org>
Date:   Thu Oct 12 21:47:13 2006 +0000

    SVN_SILENT: Adjust release script

    svn path=/trunk/extragear/utils/rsibreak/; revision=594954

 release_rsibreak.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d977f41e809fc50e6a9bd91cd9f9cf0f62578c61
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Oct 9 21:22:51 2006 +0000

    Crap...

    svn path=/trunk/extragear/utils/rsibreak/; revision=594029

 ChangeLog | 2613
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 2601 insertions(+), 12 deletions(-)

commit 886d4909dae96dab1176768ff62423f22ad2c3e3
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Oct 9 21:05:29 2006 +0000

    Changelog update.

    However, the Python script svn2log.py does not work on my accounts
    file, resulting in the SVN nicks in the Changelog instead of full
    names + email.


    svn path=/trunk/extragear/utils/rsibreak/; revision=594024

 ChangeLog | 2435
 ++-----------------------------------------------------------
 1 file changed, 64 insertions(+), 2371 deletions(-)

commit 32a35f3d20d2492c8d43d99474256edebc77daf2
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Oct 9 20:05:24 2006 +0000

    Hmm, that must be one of the reasons why the script didn't work
    for me.

    svn path=/trunk/extragear/utils/rsibreak/; revision=594005

 makechangelog | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1d8c33808ab53114a649dd9ac13ae6436654808a
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Oct 6 15:34:49 2006 +0000

    News flash


    svn path=/trunk/extragear/utils/rsibreak/; revision=593031

 NEWS | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 05f6259d5467a9205d45dbda1936f9cfb6c9e986
Author: Tom Albers <toma@kde.org>
Date:   Thu Oct 5 10:30:10 2006 +0000

    New icon in config, to get the sizes consistent in the
    configuration. Thanks Lee for fixing and Diego for reporting!
    CCMAIL: elcuco@kde.org, clearbeast@gmail.com

    svn path=/trunk/extragear/utils/rsibreak/; revision=592672

 TODO                               |   1 -
 icons/hi32-action-duringbreaks.png | Bin 512 -> 666 bytes
 2 files changed, 1 deletion(-)

commit 39abfc1577ad7a885e4ec17efd6e60bc49baacfc
Author: Tom Albers <toma@kde.org>
Date:   Thu Oct 5 10:24:52 2006 +0000

    Small patch from Aurélien Gâteau, will test it on my xinerama
    setup to look for regressions. Thanks for now!
    CCMAIL: aurelien.gateau@free.fr

    svn path=/trunk/extragear/utils/rsibreak/; revision=592671

 src/rsiwidget.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 40dc40ed00ca514b14141c80485607e7f25bdd1e
Author: Tom Albers <toma@kde.org>
Date:   Thu Oct 5 10:19:49 2006 +0000

    Add hi22 icons, thanks to Lee Olson.
    CCMAIL: clearbeast@gmail.com
    BUG: 135111

    svn path=/trunk/extragear/utils/rsibreak/; revision=592669

 icons/artwork-v4.tar.gz         | Bin 0 -> 447825 bytes
 icons/hi22-action-rsibreak0.png | Bin 0 -> 1242 bytes
 icons/hi22-action-rsibreak1.png | Bin 0 -> 1268 bytes
 icons/hi22-action-rsibreak2.png | Bin 0 -> 1276 bytes
 icons/hi22-action-rsibreak3.png | Bin 0 -> 1290 bytes
 icons/hi22-action-rsibreak4.png | Bin 0 -> 1161 bytes
 icons/hi22-action-rsibreakx.png | Bin 0 -> 1423 bytes
 icons/hi22-app-rsibreak.png     | Bin 0 -> 1265 bytes
 icons/rsibreak-svg-all.svgz     | Bin 352611 -> 0 bytes
 release_rsibreak.rb             |   2 +-
 10 files changed, 1 insertion(+), 1 deletion(-)

commit ddcb45e3f8a6fcf6a2598c023a9ad11dd61828c5
Author: Tom Albers <toma@kde.org>
Date:   Thu Oct 5 10:12:05 2006 +0000

    - Allright, after two days I've finally tracked down this bug. The
    loadconfig did not get the correct value for the slider interval. By
    re-setting the config group it magically works again. If any guru
    can tell me why this is needed, you get a beer.
    - Change default slider interval from 2 sec to 10 sec. Draining your
    system resources by default is not very friendly...


    svn path=/trunk/extragear/utils/rsibreak/; revision=592668

 src/rsiwidget.cpp   | 6 +++++-
 src/setuptiming.cpp | 2 +-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 3d1fafe7946697fcb5888ca9dea4b5fd2fd80229
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Oct 5 06:10:38 2006 +0000

    Do not use hardcoded colors for the relax popup, use the KDE wide
    color scheme instead.


    svn path=/trunk/extragear/utils/rsibreak/; revision=592606

 src/rsirelaxpopup.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 72f4b08d2e45c6917d8a9e25331c5171dae04979
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sun Sep 24 11:54:04 2006 +0000

    Do not use images smaller than 1/3 of the screen. Patch by Aurelien
    Gateau.

    CCMAIL:aurelien.gateau@free.fr


    svn path=/trunk/extragear/utils/rsibreak/; revision=587890

 src/rsiwidget.cpp | 64
 +++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 46 insertions(+), 18 deletions(-)

commit c775db94c99e4a4d093987b74f5598e9e6cd30ab
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Sep 23 23:01:54 2006 +0000

    Original icons in SVG

    svn path=/trunk/extragear/utils/rsibreak/; revision=587763

 icons/rsibreak-svg-all.svgz | Bin 0 -> 352611 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit a978b70256d6a82b87c486906fd12b53cf253400
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Sep 23 21:50:43 2006 +0000

    Do not update the stat labels and it's colors when the statistics
    widget is hidden.

    svn path=/trunk/extragear/utils/rsibreak/; revision=587742

 src/rsistats.cpp      | 18 +++++++++++++++---
 src/rsistats.h        | 10 ++++++++++
 src/rsistatwidget.cpp | 10 ++++++++++
 src/rsistatwidget.h   |  2 ++
 4 files changed, 37 insertions(+), 3 deletions(-)

commit e59a11733cd69944db43b774863803da5762c99f
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Sep 23 15:58:07 2006 +0000

    Valgrinded RSIBreak:
    o One memory leak
    o Several uninitialized variables fixed

    svn path=/trunk/extragear/utils/rsibreak/; revision=587668

 src/rsiwidget.cpp      | 12 +++++++-----
 src/setupmaximized.cpp |  5 +++--
 src/setuptiming.cpp    |  4 ++--
 3 files changed, 12 insertions(+), 9 deletions(-)

commit ffc7126308ea9d2d6d42e790267afcc571b22b86
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Sep 16 10:43:39 2006 +0000

    I find 15 seconds too short to finish the stuff I'm doing before
    going into a break.
    Yes, quite an egoistic commit.


    svn path=/trunk/extragear/utils/rsibreak/; revision=585104

 src/rsitimer.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce7e437298c8b77df2b4286186a7d24fdfdd2389
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Sep 7 11:49:58 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=581739

 src/eventsrc         | 8 ++++++++
 src/rsibreak.desktop | 1 +
 2 files changed, 9 insertions(+)

commit 2efee677c5bd2e140c9f2c6af9684e235a8b7f20
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Sep 4 11:39:34 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=580743

 src/eventsrc         | 8 ++++++++
 src/rsibreak.desktop | 1 +
 2 files changed, 9 insertions(+)

commit dba060a2f8f4bfa1593814340b71565ed6e38302
Author: Jörn Ahrens <joern.ahrens@kdemail.net>
Date:   Tue Aug 29 21:05:13 2006 +0000

    use KGlobal::iconLoader()

    svn path=/trunk/extragear/utils/rsibreak/; revision=578659

 src/rsiwidget.cpp | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 384c51a919be8bfafcf52f389bc0338e53714e01
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Aug 28 19:10:32 2006 +0000

    Make sure mr. Cid (and many many others) have to translate one
    string less.

    svn path=/trunk/extragear/utils/rsibreak/; revision=578244

 src/rsidock.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60dc0d21c70084d5ea26b427d63385f74f09c703
Author: Albert Astals Cid <tsdgeos@terra.es>
Date:   Mon Aug 28 18:22:55 2006 +0000

    some less strings to translate :-)

    svn path=/trunk/extragear/utils/rsibreak/; revision=578232

 src/rsidock.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 42058f976e12fae48aa30f2723c460fee31f9247
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Aug 28 17:40:12 2006 +0000

    QString()

    svn path=/trunk/extragear/utils/rsibreak/; revision=578219

 src/rsistats.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 248b746ff08c685823fda3b1d9b879562da54527
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Aug 28 11:27:59 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=578071

 src/eventsrc         | 8 ++++++++
 src/rsibreak.desktop | 1 +
 2 files changed, 9 insertions(+)

commit 57a97f2b1a2b4e3a94ca8be95228df081aa7bbb1
Author: Tom Albers <toma@kde.org>
Date:   Sat Aug 26 13:23:29 2006 +0000

    Hmm.. fix accelarator clash ;-)

    svn path=/trunk/extragear/utils/rsibreak/; revision=577371

 src/rsidock.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b48992a19d398db987cac5d3e250b23bb887473
Author: Philip Rodrigues <phil@kde.org>
Date:   Mon Aug 21 20:50:05 2006 +0000

    Reviewing by Robert Moore and me.


    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=575675

 doc/index.docbook | 147
 +++++++++++++++++++++---------------------------------
 1 file changed, 56 insertions(+), 91 deletions(-)

commit 3d1494b76e17f704817751336564bbb4018490e6
Author: Tom Albers <toma@kde.org>
Date:   Mon Aug 21 16:04:43 2006 +0000

    SVN_SILENT: update release script for COPYING-DOCS

    svn path=/trunk/extragear/utils/rsibreak/; revision=575512

 release_rsibreak.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b546c0e4c6f0d317fbe21b9a713553cb63c53af4
Author: Jonathan Riddell <jr@jriddell.org>
Date:   Mon Aug 21 15:53:52 2006 +0000

    Add FDL licence for documentation

    svn path=/trunk/extragear/utils/rsibreak/; revision=575477

 COPYING-DOCS | 397
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 397 insertions(+)

commit 7cef009853296a6904ba7f2f3ef9b872e2bf282c
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Aug 20 16:09:40 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=575009

 src/eventsrc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 42df8192c5c0176d218484a766f134c53a61ff5e
Author: Tom Albers <toma@kde.org>
Date:   Sun Aug 20 09:59:38 2006 +0000

    SVN_SILENT: Typo spotted by Philip Rodrigues

    svn path=/trunk/extragear/utils/rsibreak/; revision=574805

 src/rsiwidget.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0afdcb83a2ea4a227d1c400929b740f4112101b7
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Aug 19 15:57:10 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=574632

 src/eventsrc         | 8 ++++++++
 src/rsibreak.desktop | 1 +
 2 files changed, 9 insertions(+)

commit 715047dc8d2dadfa5b49ce59b4ef32b9aeb88a5a
Author: Tom Albers <toma@kde.org>
Date:   Mon Aug 14 13:59:26 2006 +0000

    When using gray effect, use all the geometry that is available. Else
    use only the geometry of the active screen.
    BUG: 131094

    svn path=/trunk/extragear/utils/rsibreak/; revision=572990

 src/rsiwidget.cpp | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit ce69243ca5befb4bdc58db9ca138cca825dd35af
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Aug 10 23:04:06 2006 +0000

    freakin' krazy stuff


    svn path=/trunk/extragear/utils/rsibreak/; revision=571868

 src/setupmaximized.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a6b4eadbefbc5f3c044e62183337bef4d8addd0
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Aug 10 15:42:30 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=571750

 src/eventsrc | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 9331dae66c54bd4e0f1abd6b6247c1370e5e987d
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Aug 8 15:28:34 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=571117

 src/rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit 63b25a7fb2b4487b83ed0ce048e296e005923e50
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Aug 3 15:31:35 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=569337

 src/eventsrc         | 8 ++++++++
 src/rsibreak.desktop | 1 +
 2 files changed, 9 insertions(+)

commit 204967de5d32f6b689266c5e55c3bdaeb3267c7d
Author: Tom Albers <toma@kde.org>
Date:   Sun Jul 30 23:23:03 2006 +0000

    Add a skip button to the tooltip, patch from Stanislav Nikolov.
    CCMAIL: valsinats@gmail.com

    svn path=/trunk/extragear/utils/rsibreak/; revision=568053

 src/rsirelaxpopup.cpp | 10 ++++++++++
 src/rsirelaxpopup.h   |  7 +++++++
 src/rsiwidget.cpp     |  4 ++++
 3 files changed, 21 insertions(+)

commit b986d02127ea30f70ca4e4afdde3f31927609aa6
Author: Danny Allen <dannya@kde.org>
Date:   Sat Jul 29 12:15:37 2006 +0000

    remove unused icon

    svn path=/trunk/extragear/utils/rsibreak/; revision=567567

 icons/hi32-action-dcop.png | Bin 2073 -> 0 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 445fa6e27c1af30b60ffe8752acbcaa831db67d0
Author: Danny Allen <dannya@kde.org>
Date:   Sat Jul 29 11:54:05 2006 +0000

    use correct dcop icon (instead of 0 byte PNG file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=567560

 icons/hi32-action-dcop.png | Bin 0 -> 2073 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 755810346acf5e4728e911fce09fe922162b7d94
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Jul 26 15:09:32 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=566627

 src/eventsrc | 3 +++
 1 file changed, 3 insertions(+)

commit 012d9156ab897ec4c778e47693b020d3d3437ab4
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Jul 25 16:12:26 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=566248

 src/eventsrc         | 24 ++++++++++++++++++++++++
 src/rsibreak.desktop |  2 ++
 2 files changed, 26 insertions(+)

commit e8df91a301ccb0fbf35ae5af8a7968ae21fc1c2b
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Jul 24 20:35:45 2006 +0000

    More complication, but this is even more consistent.


    svn path=/trunk/extragear/utils/rsibreak/; revision=565931

 src/rsidock.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8a2eeef2a50a628b9952eb80d9cfedabf7fba059
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Jul 24 20:15:47 2006 +0000

    Be consistent: hide dialog on system tray click when dialog is
    already opened


    svn path=/trunk/extragear/utils/rsibreak/; revision=565928

 src/rsidock.cpp | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit e6bbc5d0fb540be018069588f6edd9dbb9588a4d
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 17 20:11:41 2006 +0000

    It happens regularry, I see something weird happening and I want
    to see a dump of all timing variables continiously. So now there
    is a shortcut to activate it, just hit Win+shift+F12 to start the
    kdDebug() call...........

    Moving the guard from rsitimer to rsiglobal,

    svn path=/trunk/extragear/utils/rsibreak/; revision=563542

 src/rsidock.cpp    | 10 ++++++++++
 src/rsidock.h      |  9 ++++++++-
 src/rsiglobals.cpp |  9 +++++++++
 src/rsitimer.cpp   | 29 ++++++++++++-----------------
 src/rsitimer.h     |  6 ++++++
 src/rsiwidget.cpp  |  1 +
 6 files changed, 46 insertions(+), 18 deletions(-)

commit c5328b39df9a860099d93f06d57eafc8a03227e0
Author: Tom Albers <toma@kde.org>
Date:   Mon Jul 17 19:33:47 2006 +0000

    Do not enter the loop of the ending of a small break when we are
    having a big break. 1% of bugs take 99% of your time, right?

    svn path=/trunk/extragear/utils/rsibreak/; revision=563526

 icons/hi32-action-dcop.png | Bin 2073 -> 0 bytes
 src/rsitimer.cpp           |   4 ++--
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2c6505c969a8c105160eb2158be9b318c7ffffdb
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Jul 17 14:49:29 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=563418

 src/eventsrc | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit f19f5a6dbe1526fb56e923c9d561e28408a6094c
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 15 15:37:01 2006 +0000

    Replace the DCOP system as introduces in the last version. Replace it
    with the KNotify system, which is used everywhere in KDE. Static DCOP
    calls are too limited (brings kopete online when you where offline
    for example) and the user is far better of with KNotify as there
    are more options (beep when break is oer for example) and there is
    the option to launch a script. In that script you can execute DCOP
    commands anyhow. I will make a new release soon, to prevent to much
    angry users who have to convert.
    BUG: 130023, 130759

    svn path=/trunk/extragear/utils/rsibreak/; revision=562729

 src/Makefile.am    |   7 +-
 src/eventsrc       |  28 ++++
 src/rsidock.cpp    |  10 ++
 src/rsidock.h      |   1 +
 src/rsiglobals.cpp |  71 ++--------
 src/rsiglobals.h   |  13 +-
 src/rsitimer.cpp   |  20 +--
 src/setup.cpp      |   8 --
 src/setup.h        |   4 -
 src/setupdcop.cpp  | 393
 -----------------------------------------------------
 src/setupdcop.h    |  95 -------------
 11 files changed, 68 insertions(+), 582 deletions(-)

commit e2f341a12fde588cab426638ba32b56fb8052a4b
Author: Tom Albers <toma@kde.org>
Date:   Sat Jul 15 13:53:45 2006 +0000

    Typo's & co.

    svn path=/trunk/extragear/utils/rsibreak/; revision=562632

 doc/index.docbook | 2 +-
 src/rsidock.h     | 4 ++--
 src/rsistatitem.h | 2 +-
 src/rsistats.cpp  | 2 +-
 src/rsiwidget.cpp | 6 +++---
 src/rsiwidget.h   | 4 ++--
 src/setup.h       | 2 +-
 7 files changed, 11 insertions(+), 11 deletions(-)

commit a6eea1b06c40fd2e3da306628d2bd727d5f4e5a2
Author: Script Kiddy <scripty@kde.org>
Date:   Sun Jul 9 15:17:19 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=560220

 src/rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit f0afa26576fcbda450474d82f48f22e8c1735332
Author: Script Kiddy <scripty@kde.org>
Date:   Fri Jul 7 15:17:48 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=559533

 src/rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit 94cbd0a7ce6a1872441a53e6abae84bebaa53f2b
Author: Script Kiddy <scripty@kde.org>
Date:   Thu Jul 6 15:23:49 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=559100

 src/rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit cadff50f4c6dd32970b943987bf1b07d0a6a5119
Author: Script Kiddy <scripty@kde.org>
Date:   Sat Jul 1 15:27:33 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=556832

 src/rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit b56d2e0c9eb607bf9b1e4fbb423389f15950ec8f
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Jun 28 15:27:38 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=555855

 src/rsibreak.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit 9e20e45eac7868918a63ef949516fe41082c5830
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Jun 26 15:16:05 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/extragear/utils/rsibreak/; revision=555170

 src/rsibreak.desktop | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 968f19f790384d9f2482662fdee2de6461a0b291
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 25 14:50:21 2006 +0000

    Confused by all the tools we have, you simply forget the spellchecker
    SVN_SILENT

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=554847

 doc/index.docbook | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 0c00aa5b0da000a78b4ec7b1424085858535f6e1
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 25 14:02:44 2006 +0000

    EBN sanitizer

    svn path=/trunk/extragear/utils/doc/rsibreak/; revision=554836

 doc/index.docbook | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit 8268f36ab3961639e2d160cae0aed8bb56f60e39
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 25 13:17:16 2006 +0000

    bye bye review, hi extragear

    svn path=/trunk/kdereview/doc/rsibreak/; revision=554826

 NEWS                 |   2 +
 TODO                 |   1 -
 src/rsiglobals.cpp   |  18 ++++++++
 src/rsiglobals.h     |   6 +++
 src/rsitimer.cpp     |   5 ++-
 src/rsitimer.h       |   1 +
 src/rsiwidget.cpp    |   3 ++
 src/setupgeneral.cpp | 113
 ++++++++++++++++++++++++++++++++++++---------------
 8 files changed, 113 insertions(+), 36 deletions(-)

commit 23906a01b4572c80b9d3e5591244748fed50211b
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sun Jun 25 11:13:55 2006 +0000

    SVN_SILENT: Bug report from StAnLeY^


    svn path=/trunk/kdereview/rsibreak/; revision=554788

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit e21a382ca1b149963ba93731a438bdb56127eb57
Author: Tom Albers <toma@kde.org>
Date:   Sat Jun 24 22:20:30 2006 +0000

    - Reworked the items in the menu, changed the order and added a
    docbook entry.
    - Now based on khelpmenu, hence a couple of slots were obsolete.
    - Manual added


    svn path=/trunk/kdereview/rsibreak/; revision=554711

 NEWS                |   4 +
 doc/Makefile.am     |   2 +
 doc/dcop.png        | Bin 0 -> 19226 bytes
 doc/index.docbook   | 288
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 doc/logo.png        | Bin 0 -> 15138 bytes
 doc/popup.png       | Bin 0 -> 5665 bytes
 doc/statistics.png  | Bin 0 -> 42986 bytes
 doc/suspend.png     | Bin 0 -> 4045 bytes
 release_rsibreak.rb |   4 +-
 src/rsidock.cpp     |  61 ++++-------
 src/rsidock.h       |   5 +-
 11 files changed, 319 insertions(+), 45 deletions(-)

commit 80df7c902c9781d7f5eb6a9739789f889a31decb
Author: Tom Albers <toma@kde.org>
Date:   Fri Jun 23 22:07:46 2006 +0000

    When RSIBreak is started a second time, execute a DCOP command which
    shows where RSIBreak sits in the tray. Request by Achim Bohnet.

    svn path=/trunk/kdereview/rsibreak/; revision=554382

 TODO              |   1 -
 src/dcopiface.cpp |   5 +++
 src/dcopiface.h   |   9 +++++
 src/main.cpp      |  27 ++++++++------
 src/rsiwidget.cpp | 107
 +++++++++++++++++++++++++++++++-----------------------
 src/rsiwidget.h   |   2 +
 6 files changed, 92 insertions(+), 59 deletions(-)

commit 5236e72ad66d95464ee5fed6309c4c16b848e72a
Author: Tom Albers <toma@kde.org>
Date:   Thu Jun 22 21:53:38 2006 +0000

    Tried to fix the minimum size of the config screen, which does not
    seem to work. Fix two other issues though: disable session management
    since we use the autostart construction and fix the bouncing when
    started for the second time. Request by Allee!

    svn path=/trunk/kdereview/rsibreak/; revision=554019

 TODO         | 5 +++--
 src/main.cpp | 6 +++++-
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 3b4af6f88a1e1e48853f32d340c47b56a86bdc95
Author: Script Kiddy <scripty@kde.org>
Date:   Wed Jun 21 15:21:47 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/kdereview/rsibreak/; revision=553636

 src/rsibreak.desktop | 5 +++++
 1 file changed, 5 insertions(+)

commit 4ac8ee61ef7defc59a73b553384ca553fabda053
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 20 17:27:42 2006 +0000

    SVN_SILENT: releasing activates people to report things.

    svn path=/trunk/kdereview/rsibreak/; revision=553311

 TODO | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit a72608c7e3b3ccbe82ae8cd5e5b90aeec1b02634
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Jun 20 15:07:18 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/kdereview/rsibreak/; revision=553261

 src/rsibreak.desktop | 21 ---------------------
 1 file changed, 21 deletions(-)

commit 01fdb438e3f073df464af4987cc9aeed54e7d40c
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 19 20:33:03 2006 +0000

    SVN_SILENT: Fix messages again now 0.7.1 is released.

    svn path=/trunk/kdereview/rsibreak/; revision=553050

 src/rsistats.cpp  | 8 ++++----
 src/setupdcop.cpp | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit f90bc2f45a896a6ff06d1e4e8fa0899f336757c8
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 19 20:16:54 2006 +0000

    Ok, prep  new  release:
    - bump version
    - fix scripts to kdereview
    - revert brams post release fix



    svn path=/trunk/kdereview/rsibreak/; revision=553046

 ChangeLog           | 23 +++++++++++++++++++++++
 NEWS                |  4 ++++
 makechangelog       |  2 +-
 release_rsibreak.rb | 13 ++++++++-----
 src/main.cpp        |  2 +-
 src/rsibreak.lsm    |  2 +-
 src/rsistats.cpp    |  8 ++++----
 src/setupdcop.cpp   |  2 +-
 8 files changed, 43 insertions(+), 13 deletions(-)

commit 37dc3ed56c674be77fe4dda57924468350b28d00
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 19 20:07:28 2006 +0000

    Fix crash on startup and fix one of the icons.


    svn path=/trunk/kdereview/rsibreak/; revision=553043

 icons/hi32-app-rsibreak.png | Bin 1954 -> 2138 bytes
 src/rsiwidget.cpp           |   3 ++-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit b9c3e05ca8268aa3a11c78cae20dfaca0fb8c4c1
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Jun 19 19:26:47 2006 +0000

    SVN_SILENT: add this header as well


    svn path=/trunk/kdereview/rsibreak/; revision=553036

 src/main.cpp | 1 +
 1 file changed, 1 insertion(+)

commit 8f35e6dc72851ae81b172db802d4d3f70b350d8c
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 19 19:06:59 2006 +0000

    Fix compilation in kdereview.

    svn path=/trunk/kdereview/rsibreak/; revision=553034

 src/main.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0980134df1db307f04a5920447400c2fca00cfc4
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Jun 19 18:41:47 2006 +0000

    SVN_SILENT: post release fixes


    svn path=/trunk/playground/utils/rsibreak/; revision=553030

 src/rsistats.cpp  | 8 ++++----
 src/setupdcop.cpp | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit e2aae518db91502aad480f97b951df384b399aa4
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 19 17:42:24 2006 +0000

    Closing 0.7.0. tarball in a minute.

    svn path=/trunk/playground/utils/rsibreak/; revision=553015

 ChangeLog        | 76
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS             |  8 +++---
 src/rsibreak.lsm |  4 +--
 3 files changed, 83 insertions(+), 5 deletions(-)

commit 80eeb19a86c987e3bbee40dd42a8754586148b19
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 18 18:48:59 2006 +0000

    New versions. Made by Lee Olson.

    svn path=/trunk/playground/utils/rsibreak/; revision=552669

 icons/artwork-v3.tar.gz         | Bin 344512 -> 392134 bytes
 icons/hi16-action-rsibreak0.png | Bin 826 -> 847 bytes
 icons/hi16-action-rsibreak1.png | Bin 832 -> 844 bytes
 icons/hi16-action-rsibreak2.png | Bin 825 -> 833 bytes
 icons/hi16-action-rsibreak3.png | Bin 840 -> 861 bytes
 icons/hi16-action-rsibreak4.png | Bin 780 -> 793 bytes
 icons/hi16-action-rsibreakx.png | Bin 887 -> 901 bytes
 icons/hi32-action-rsibreak0.png | Bin 2037 -> 2066 bytes
 icons/hi32-action-rsibreak1.png | Bin 2062 -> 2084 bytes
 icons/hi32-action-rsibreak2.png | Bin 2091 -> 2134 bytes
 icons/hi32-action-rsibreak3.png | Bin 2168 -> 2191 bytes
 icons/hi32-action-rsibreak4.png | Bin 1931 -> 1914 bytes
 icons/hi32-action-rsibreakx.png | Bin 2511 -> 2526 bytes
 13 files changed, 0 insertions(+), 0 deletions(-)

commit 686a360eb74edaa61b3ac728f6a0c02fe5e1e6c1
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 18 14:11:42 2006 +0000

    Fix enable state of the items.

    svn path=/trunk/playground/utils/rsibreak/; revision=552610

 src/setupgeneral.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 6de1d2ce5070ac329341cdf52e8f2d045f1612a0
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 18 12:19:17 2006 +0000

    New icons. Changed the installation path of the icons to an app
    specific one, instead of globally. Not sure how that behaves on
    upgrades though.

    svn path=/trunk/playground/utils/rsibreak/; revision=552587

 icons/Makefile.am                  |   4 +++-
 icons/artwork-v3.tar.gz            | Bin 0 -> 344512 bytes
 icons/hi128-action-rsibreak3.png   | Bin 14467 -> 0 bytes
 icons/hi128-app-rsibreak.png       | Bin 0 -> 15138 bytes
 icons/hi16-action-rsibreak0.png    | Bin 763 -> 826 bytes
 icons/hi16-action-rsibreak1.png    | Bin 774 -> 832 bytes
 icons/hi16-action-rsibreak2.png    | Bin 791 -> 825 bytes
 icons/hi16-action-rsibreak3.png    | Bin 795 -> 840 bytes
 icons/hi16-action-rsibreak4.png    | Bin 780 -> 780 bytes
 icons/hi16-action-rsibreakx.png    | Bin 803 -> 887 bytes
 icons/hi16-app-rsibreak.png        | Bin 795 -> 847 bytes
 icons/hi32-action-dcop.png         | Bin 0 -> 2073 bytes
 icons/hi32-action-duringbreaks.png | Bin 0 -> 512 bytes
 icons/hi32-action-rsibreak0.png    | Bin 1881 -> 2037 bytes
 icons/hi32-action-rsibreak1.png    | Bin 1889 -> 2062 bytes
 icons/hi32-action-rsibreak2.png    | Bin 2034 -> 2091 bytes
 icons/hi32-action-rsibreak3.png    | Bin 1954 -> 2168 bytes
 icons/hi32-action-rsibreak4.png    | Bin 1998 -> 1931 bytes
 icons/hi32-action-rsibreakx.png    | Bin 1983 -> 2511 bytes
 icons/hi32-action-timings.png      | Bin 0 -> 2138 bytes
 icons/hi64-action-rsibreak3.png    | Bin 5636 -> 0 bytes
 release_rsibreak.rb                |   5 +++--
 src/setup.cpp                      |   6 +++---
 23 files changed, 9 insertions(+), 6 deletions(-)

commit a86e622998936ab63a2ceee86015ac5b2424d053
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Jun 17 23:03:21 2006 +0000

    SVN_SILENT: Remove some bugs and add allee's suggestion to have a
    look at mrtg or ganglia for plotter widgets.


    svn path=/trunk/playground/utils/rsibreak/; revision=552487

 TODO | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit a1d53db2abd85ee468458c0f042502e163a624dc
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Jun 17 12:13:41 2006 +0000

    Reset bit array items properly.


    svn path=/trunk/playground/utils/rsibreak/; revision=552309

 src/rsistatitem.cpp | 1 +
 1 file changed, 1 insertion(+)

commit 49291571ae9a662d9b1a3c793365e5f28b8a79c3
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Jun 15 21:40:37 2006 +0000

    SVN_SILENT


    svn path=/trunk/playground/utils/rsibreak/; revision=551886

 src/setupdcop.cpp | 1 +
 src/setupdcop.h   | 7 +++++++
 2 files changed, 8 insertions(+)

commit 71d94ff26a43a0bd37fc03976e3059088bea3a57
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Jun 15 21:17:37 2006 +0000

    Clear contents before you drop something on the command fields.


    svn path=/trunk/playground/utils/rsibreak/; revision=551878

 src/setupdcop.cpp | 20 +++++++++++++++-----
 src/setupdcop.h   | 13 +++++++++++++
 2 files changed, 28 insertions(+), 5 deletions(-)

commit 913bd0be7177ac6ebbe529271e185f5ba31e69a4
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Jun 15 21:01:51 2006 +0000

    o Button added which starts KDCOP (useful for Drag 'n Dropping
    DCOP calls)
    o Don't construct popup menu with every right click (it leaked memory
    as well)
    o Add icons to popup


    svn path=/trunk/playground/utils/rsibreak/; revision=551872

 src/setupdcop.cpp | 91
 ++++++++++++++++++++++++++++++++++---------------------
 src/setupdcop.h   |  2 ++
 2 files changed, 59 insertions(+), 34 deletions(-)

commit 918c6677db2a13f10d9652c3a53bb4eb82069f47
Author: Tom Albers <toma@kde.org>
Date:   Thu Jun 15 20:44:41 2006 +0000

    SVN_SILENT: Boring stuff

    svn path=/trunk/playground/utils/rsibreak/; revision=551868

 ChangeLog     | 587
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS          |   3 +
 makechangelog |   2 +-
 3 files changed, 591 insertions(+), 1 deletion(-)

commit 7476834cc76fb9e2e426a6262e8419035a10885a
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Jun 15 20:31:50 2006 +0000

    Update NEWS


    svn path=/trunk/playground/utils/rsibreak/; revision=551866

 NEWS | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 23fccca803f40a1dbe3a5399e1967ac825c2c377
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Jun 15 16:13:50 2006 +0000

    o Allow the user to type "dcop " at the start of the command, like
    she's used to in the command line.
    o Don't allow the user to call functions on rsibreak itself.


    svn path=/trunk/playground/utils/rsibreak/; revision=551800

 src/rsiglobals.cpp | 26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)

commit 08e5d1e4bb46226e8eaed926e67072a723687bd5
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Jun 15 15:51:52 2006 +0000

    Looking through my usability glasses (maybe I need a new opticien,
    who knows), I concluded to move the idle less option somewhat
    upwards. The other options are affected by it (disabled/enabled),
    so it makes more sense to show them after the idle less option.


    svn path=/trunk/playground/utils/rsibreak/; revision=551789

 src/setupgeneral.cpp | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit ade339a8ae56bcc6270920a7fd70fd499a3053ab
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 13 17:02:29 2006 +0000

    Two little bugfixes, first is that formatTime() should not be called
    with true for isDuration, because it is not. And the calculation
    of the width in the stats was done without taking the seconds into
    account, thereby off by three characters.

    svn path=/trunk/playground/utils/rsibreak/; revision=551093

 src/rsistats.cpp      | 2 +-
 src/rsistatwidget.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f94b3cd5989566439f848e7afff1ec25108b3875
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 13 16:41:50 2006 +0000

    Little bug in the new timer, did not increase stats for breaks which
    the user did not skip. Does that happen?

    svn path=/trunk/playground/utils/rsibreak/; revision=551089

 src/rsitimer.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f14f58a44d593d4fec444818facb28abc6628616
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 13 09:37:11 2006 +0000

    Move the clearing of the background of the widget from minimize()
    to maximize(). This prevents that when you skip the break the next
    break reuses the previous screenshot, so it will eventually become
    totally black after a few escaped breaks.

    svn path=/trunk/playground/utils/rsibreak/; revision=550959

 src/rsiwidget.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a95fa3f6e49289351e26194f1b2a906c047bec4d
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 13 08:24:27 2006 +0000

    Xinerama fix, only show countdown / gray out the active screen,
    otherwise the counter will end up in the middle.

    svn path=/trunk/playground/utils/rsibreak/; revision=550938

 src/rsiwidget.cpp | 2 +-
 src/setupdcop.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ac837dc38642c9ca8379b138beb10291fef001f4
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 12 20:43:35 2006 +0000

    SVN_SILENT: dont popup, greying it causes artifects.

    svn path=/trunk/playground/utils/rsibreak/; revision=550806

 src/rsitimer.cpp | 2 --
 1 file changed, 2 deletions(-)

commit 61cd12cf3910ff25839f63398ebf1cbe4aa16b72
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 12 19:09:02 2006 +0000

    More work on the noIdleTimer:
    - Set docker icon properly
    - implement m_tinyBreakRequested && m_bigBreakRequested
    - fix the artifect on the lower right corner during gray out
    - issue the right dcop commands (hang in m_nextrbreak instead of
    the static currentbreak)
    Thats it for now.



    svn path=/trunk/playground/utils/rsibreak/; revision=550788

 src/rsitimer.cpp | 46 ++++++++++++++++++++++++++++++++++------------
 1 file changed, 34 insertions(+), 12 deletions(-)

commit b29266919b9069ca446238ee1f825c496f8f4664
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 12 16:54:48 2006 +0000

    Fixes a crash in the shortcut to minimize a break and setup the
    right timer properly.

    svn path=/trunk/playground/utils/rsibreak/; revision=550759

 src/rsiwidget.cpp | 47 ++++++++++++++++++++++++++++-------------------
 1 file changed, 28 insertions(+), 19 deletions(-)

commit 66720688cbbc21cce1041ea9ecaab8a32018e905
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 11 22:20:43 2006 +0000

    svn_silent:stats

    svn path=/trunk/playground/utils/rsibreak/; revision=550480

 src/rsitimer.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit 9cc0e4a87b74eccda3dfa2aa97e4740c59b92f2e
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 11 22:02:21 2006 +0000

    Make the noIdle timer work, add some stats and add execution of dcop
    commands. Seems to work quite well.
    BUG: 122954

    svn path=/trunk/playground/utils/rsibreak/; revision=550476

 src/rsitimer.cpp | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

commit c3d236d24c47f985996190231406797b5b888aff
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 11 21:05:07 2006 +0000

    Add the config option for the noIdleTimer.

    svn path=/trunk/playground/utils/rsibreak/; revision=550468

 src/rsitimer.cpp     |  3 ++
 src/rsiwidget.cpp    | 87
 ++++++++++++++++++++++++++++++++++------------------
 src/rsiwidget.h      |  1 +
 src/setupgeneral.cpp | 18 +++++++++++
 src/setupgeneral.h   |  1 +
 5 files changed, 81 insertions(+), 29 deletions(-)

commit 44cc495138fb8bcaa9c74d036103c25f59fa7672
Author: Tom Albers <toma@kde.org>
Date:   Sun Jun 11 00:08:44 2006 +0000

    add Tina as contributor, bump version, fix warning, update TODO

    svn path=/trunk/playground/utils/rsibreak/; revision=550092

 AUTHORS           | 1 +
 TODO              | 5 +----
 src/main.cpp      | 7 +++++--
 src/rsiwidget.cpp | 3 +--
 src/setup.cpp     | 2 +-
 5 files changed, 9 insertions(+), 9 deletions(-)

commit f2a5b18189c5c267968974f3215382882240da0f
Author: Tom Albers <toma@kde.org>
Date:   Sat Jun 10 23:51:33 2006 +0000

    - Remove debugging as far as I dont need it
    - Changed the 'Use images' checkbox to a checkbox in the groupbox
    and moved the recursive setting beack below the path.

    CCBUG: 128780
    (transparant counter is also fixed now, there is a little glitch
    just when the show starts, but we have to live with that)


    svn path=/trunk/playground/utils/rsibreak/; revision=550088

 src/rsiglobals.cpp     |  1 -
 src/rsistatitem.cpp    |  6 ------
 src/rsistats.cpp       | 24 ----------------------
 src/rsistatwidget.cpp  |  4 ----
 src/rsitimer.cpp       | 55
 +++++++++++---------------------------------------
 src/rsitooltip.cpp     |  2 --
 src/rsiwidget.cpp      | 18 -----------------
 src/setup.cpp          |  3 ---
 src/setupdcop.cpp      |  1 +
 src/setupgeneral.cpp   |  5 -----
 src/setupmaximized.cpp | 55
 +++++++++++++++++---------------------------------
 src/setuptiming.cpp    |  5 -----
 12 files changed, 32 insertions(+), 147 deletions(-)

commit 7a51ecbeb0d6b60def8e119a74b139e2ee144b07
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Jun 10 23:15:41 2006 +0000

    SVN_SILENT: Boring stuff


    svn path=/trunk/playground/utils/rsibreak/; revision=550085

 src/rsiwidget.cpp |  1 +
 src/rsiwidget.h   | 12 ++++++++++++
 2 files changed, 13 insertions(+)

commit 31c5fe4f750407e97d8e8d95abe2b29080db0084
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Jun 10 23:12:24 2006 +0000

    Improvements for transparent label


    svn path=/trunk/playground/utils/rsibreak/; revision=550084

 src/rsiwidget.cpp | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit e87de69388b72425a4334d305ba99e605d6d401c
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Jun 10 22:17:44 2006 +0000

    SVN_SILENT: fix compile && fix connect()


    svn path=/trunk/playground/utils/rsibreak/; revision=550073

 src/rsitimer.cpp  | 2 +-
 src/rsiwidget.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 37091bda64d99fc569f2e747b854537918e6f497
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Jun 10 21:40:48 2006 +0000

    o Warn in relax popup when the next break will be a big break (big
    breaks always came quite suddenly for me)
    o Attempt to make a transparent label in the full screen widget. Works
    only with the grey out effect, not with image mode.


    svn path=/trunk/playground/utils/rsibreak/; revision=550065

 src/rsidock.cpp       |  2 +-
 src/rsidock.h         |  2 +-
 src/rsirelaxpopup.cpp | 13 ++++++++----
 src/rsirelaxpopup.h   |  5 ++++-
 src/rsitimer.cpp      | 58
 +++++++++++++++++++++++++++------------------------
 src/rsitimer.h        |  6 +++++-
 src/rsiwidget.cpp     | 48 +++++++++++++++++++++++++++++++++++++-----
 src/rsiwidget.h       | 20 ++++++++++++++++--
 8 files changed, 112 insertions(+), 42 deletions(-)

commit eda5a4b2867c8d8dbfc29d7353c2db1d6e4e4e2f
Author: Tom Albers <toma@kde.org>
Date:   Sat Jun 10 20:54:18 2006 +0000

    Only enable what's needed

    svn path=/trunk/playground/utils/rsibreak/; revision=550057

 src/setupdcop.cpp | 76
 +++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 49 insertions(+), 27 deletions(-)

commit 22b0c8eab4efec13c6e3171f111e48c869db1391
Author: Tom Albers <toma@kde.org>
Date:   Sat Jun 10 14:30:27 2006 +0000

    svn_silent: Clean up the dock

    svn path=/trunk/playground/utils/rsibreak/; revision=549976

 src/rsidock.cpp | 22 ----------------------
 1 file changed, 22 deletions(-)

commit 418bc74cb741376395865f0a22fd37559040e181
Author: Tom Albers <toma@kde.org>
Date:   Sat Jun 10 14:22:38 2006 +0000

    Make the execution of dcop commands depend on the type of the break
    - adjust config
    - adjust execution routines
    - adjust callers

    Removed the dcop commands columns from the listview
    Removed some kddebug, it is time to remove all of them where possible
    Dont suspend rsibreak when about dialog is shown


    svn path=/trunk/playground/utils/rsibreak/; revision=549973

 src/rsidock.cpp    |  9 ++----
 src/rsiglobals.cpp | 33 +++++++++++---------
 src/rsiglobals.h   |  9 ++++--
 src/rsitimer.cpp   | 14 ++++-----
 src/rsiwidget.cpp  |  3 --
 src/setupdcop.cpp  | 90
 +++++++++++++++++++++++++++++-------------------------
 src/setupdcop.h    |  1 +
 7 files changed, 84 insertions(+), 75 deletions(-)

commit eb02e1be667473eed3ac407845b0a2506e610d12
Author: Tom Albers <toma@kde.org>
Date:   Fri Jun 9 22:37:30 2006 +0000

    Make the gray out configurable. Make it the default
    setting. Counterbox will be fixed later.
    BUG: 128780

    svn path=/trunk/playground/utils/rsibreak/; revision=549814

 src/rsiwidget.cpp      | 21 ++++++++++++++-------
 src/rsiwidget.h        |  1 +
 src/setupmaximized.cpp | 36 ++++++++++++++++++++++++++++--------
 src/setupmaximized.h   |  1 +
 4 files changed, 44 insertions(+), 15 deletions(-)

commit 7a7e0ee07eb242855ffaeac363f4e612db9c000f
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Jun 9 22:15:30 2006 +0000

    Two new statistics: percentage of activity during the last hour and
    the last 6 hours.


    svn path=/trunk/playground/utils/rsibreak/; revision=549805

 src/rsiglobals.h      |  4 +++-
 src/rsistats.cpp      | 19 ++++++++++++++++++-
 src/rsistatwidget.cpp |  2 ++
 3 files changed, 23 insertions(+), 2 deletions(-)

commit 5c07fb351482bfbab00b6580cee79f1caeae06b4
Author: Tom Albers <toma@kde.org>
Date:   Fri Jun 9 22:01:08 2006 +0000

    reorganise the resizing.

    svn path=/trunk/playground/utils/rsibreak/; revision=549801

 src/rsiwidget.cpp | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

commit c0ac7ef74cd054a3c527f498a5ed66164b617f61
Author: Tom Albers <toma@kde.org>
Date:   Fri Jun 9 12:11:04 2006 +0000

    Remove not working karm dcop calls and rearrange maximize() in
    rsiwidget so it steals focus again.
    CCBUG: 128780

    svn path=/trunk/playground/utils/rsibreak/; revision=549642

 src/rsiwidget.cpp | 36 +++++++++++++++++++-----------------
 src/setupdcop.cpp | 14 ++++----------
 2 files changed, 23 insertions(+), 27 deletions(-)

commit 4504b3fbdda32a30bf27d220a2a0a98350a165c5
Author: Tom Albers <toma@kde.org>
Date:   Thu Jun 8 22:26:04 2006 +0000

    Make sure that the second break has the fade effect as well, dont
    load another image when there is only one image and dont rename
    slots just before commits, thats asking for it.

    svn path=/trunk/playground/utils/rsibreak/; revision=549518

 src/rsiwidget.cpp | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit f56d78da773a71f5d9808d76c71b5323745c2058
Author: Tom Albers <toma@kde.org>
Date:   Thu Jun 8 22:10:26 2006 +0000

    Ok, this commit will change rsiwidget in a few ways. When there is
    no image found in the folder, it will gray out as in the kde logout
    sequence. Next to that, some artifacts seem to have been solved by
    these changes....

    Todo:
    - place the counter in a box, maybe use the rsipopup for it
    - make this behaviour configurable, next to the images.
    - make this behaviour the default setting.

    Please check for regressions and other issues.

    CCBUG: 128780
    I can not support transparant images as part of your image collection,
    but the aim is the title of the bugreport ;-)


    svn path=/trunk/playground/utils/rsibreak/; revision=549515

 src/rsiwidget.cpp | 73
 ++++++++++++++++++++++++++++++++++++++++---------------
 src/rsiwidget.h   |  5 ++--
 2 files changed, 57 insertions(+), 21 deletions(-)

commit db09642802138f71299698f2fded01fbc6a7516a
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 6 19:33:06 2006 +0000

    Fix jumping of the passivepopup and resizing when the label changes.

    svn path=/trunk/playground/utils/rsibreak/; revision=548887

 src/rsirelaxpopup.cpp | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

commit 4f52cfbf9a6a0fec20c85525ca8f4bf51e9a6690
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 6 17:55:07 2006 +0000

    Libxss is required for compiling. I don't see a reason to check it
    at runtime.

    svn path=/trunk/playground/utils/rsibreak/; revision=548870

 src/rsitimer.cpp | 9 ---------
 src/rsitimer.h   | 1 -
 2 files changed, 10 deletions(-)

commit 5bdcf350bdaa67e90866f743f222e955a93f60f6
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 6 17:43:30 2006 +0000

    - Dont query the dpms settings in the constructor, but after 6 minutes
    idle time, improves startup speed (yes, it is not impressive), and if
    the user changes the setting during the session, it will be picked up.
    - Remove the have_libxss from the rsitimer_dpms, the functionality
    does not depend on that lib. If it is not needed it will not be
    queried. So this is cleaner.

    svn path=/trunk/playground/utils/rsibreak/; revision=548869

 src/rsitimer.cpp      | 31 ++++++++++++++-----------------
 src/rsitimer_dpms.cpp | 12 ++----------
 2 files changed, 16 insertions(+), 27 deletions(-)

commit d87e581d47689db142eb384f1fa559d19649b7c9
Author: Tom Albers <toma@kde.org>
Date:   Tue Jun 6 15:27:47 2006 +0000

    Maximum idle time was again limited (my lunch break was definitly
    greater than 20 minutes). This time it seems the 'standby' state of
    DPMS was the maximum. Fixed this by expanding the workaround to also
    ignore the standby and suspend interval second.

    Why o why does X emit activity when blanking the screen....


    svn path=/trunk/playground/utils/rsibreak/; revision=548826

 src/rsitimer.cpp      | 20 ++++++++++++++------
 src/rsitimer.h        |  2 ++
 src/rsitimer_dpms.cpp | 13 ++++++++++---
 src/rsitimer_dpms.h   |  2 +-
 4 files changed, 27 insertions(+), 10 deletions(-)

commit 1f76a08e2c6af9c9813e59b237690bade83d3ca7
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 5 15:24:55 2006 +0000

    Since smootscale is time consuming, limit the loading of images to
    a bare minimum. Before this commit a new image was loaded when the
    config was entered (minimize() to make sure there was no active break)
    and when leaving the dialog another image was loaded (minimize()
    to reset timers). After this commit, only an image is loaded when
    needed. Hence the dialogs appear faster and when dialog is closed,
    rsibreak is immediatly picking up its task.

    svn path=/trunk/playground/utils/rsibreak/; revision=548441

 src/rsitimer.cpp  | 27 +++++++++++++++++++--------
 src/rsitimer.h    | 23 +++++++++++++++++++----
 src/rsiwidget.cpp | 11 ++++++-----
 src/rsiwidget.h   |  2 +-
 4 files changed, 45 insertions(+), 18 deletions(-)

commit 5abcdd9feb6d9b123f0e181aa661efd5d7d2ce24
Author: Tom Albers <toma@kde.org>
Date:   Mon Jun 5 14:44:26 2006 +0000

    Playing with callgrind, i don't really understand it, but smoothscale
    seems to delay startup enormously.

    svn path=/trunk/playground/utils/rsibreak/; revision=548426

 src/rsiwidget.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 974bd2f179adfdd6ad9647a9e7763709805651fc
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Jun 3 13:41:34 2006 +0000

    SVN_SILENT: startsWith doesn't like characters.


    svn path=/trunk/playground/utils/rsibreak/; revision=547810

 src/setupmaximized.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e382aef002b4f0fc95c55ab885994e40b616b31
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Jun 2 10:44:27 2006 +0000

    SVN_SILENT: krazy complained


    svn path=/trunk/playground/utils/rsibreak/; revision=547489

 src/setupmaximized.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 16e030005d3bd598b5d2f5e823e3d021e85d0554
Author: Tom Albers <toma@kde.org>
Date:   Wed May 31 22:14:49 2006 +0000

    More work on usability report:
    - merge popup tab with maximized tab
    - reorganise all options in setupmaximized
    - renamed maximize tab to 'During Break'
    - remove popup tab

    Completes Issue 2.2 usability review.

    CCMAIL: t.trillitzsch@gmx.de, clearbeast@gmail.com


    svn path=/trunk/playground/utils/rsibreak/; revision=547133

 src/Makefile.am        |   4 +-
 src/setup.cpp          |  11 ++--
 src/setupmaximized.cpp | 124
 +++++++++++++++++++++++++++++++++++----------
 src/setupmaximized.h   |   1 +
 src/setuppopup.cpp     | 133
 -------------------------------------------------
 src/setuppopup.h       |  66 ------------------------
 6 files changed, 103 insertions(+), 236 deletions(-)

commit 5216bbe91c090e5e44694d7828408c95bc2532fa
Author: Tom Albers <toma@kde.org>
Date:   Wed May 31 21:19:44 2006 +0000

    Usability work on the setuppopup page.
    - brought the checkbox closer to the label
    - reduced the text of the label
    - a bit more space between the options

    Finished issue 2.1 from the report.
    CCMAIL: t.trillitzsch@gmx.de

    svn path=/trunk/playground/utils/rsibreak/; revision=547115

 src/setuppopup.cpp | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

commit c15f66223e912c15c07ac544e92f7743e21c9074
Author: Tom Albers <toma@kde.org>
Date:   Wed May 31 20:52:08 2006 +0000

    SVN_SILENT done

    svn path=/trunk/playground/utils/rsibreak/; revision=547104

 TODO | 2 --
 1 file changed, 2 deletions(-)

commit 8e400c7ab6b54013582ce7512d2f3396a4ee0515
Author: Tom Albers <toma@kde.org>
Date:   Mon May 29 18:47:08 2006 +0000

    Point 1.1 usability report.

    timing:
    - resize kintnuminput to minimum possible
    - align the associated labels to the right

    dcop:
    - make label break automatically according to the width, this was
    causing the wide display.

    popup:
    - make label break automatically according to the width, this was
    causing the small text in the wide display.

    CCMAIL: t.trillitzsch@gmx.de


    svn path=/trunk/playground/utils/rsibreak/; revision=546323

 src/setupdcop.cpp   |  3 ++-
 src/setuppopup.cpp  | 18 ++++++++++--------
 src/setuptiming.cpp | 21 ++++++++++++++++-----
 3 files changed, 28 insertions(+), 14 deletions(-)

commit 4f5f6def26be6c20215fb81dd63cd08065b305f0
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon May 22 19:31:28 2006 +0000

    Actually call the DCOP commands in the timer (on the right places
    I hope).
    Executed both on tiny breaks and big breaks (for now)


    svn path=/trunk/playground/utils/rsibreak/; revision=543783

 src/rsitimer.cpp  | 7 ++++---
 src/setupdcop.cpp | 1 -
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 0939042e32780e89d2f6eafe24abb41b23306d03
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon May 22 18:23:42 2006 +0000

    SVN_SILENT: Put some marks in the code where to execute DCOP commands.


    svn path=/trunk/playground/utils/rsibreak/; revision=543761

 src/rsitimer.cpp | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 289889753c3911fcd9017ef71a4746cadcfdcbe3
Author: Tom Albers <toma@kde.org>
Date:   Sun May 21 20:15:31 2006 +0000

    Ok, missing pieces: start using it && implement add and delete. We
    can now start to test it.

    svn path=/trunk/playground/utils/rsibreak/; revision=543355

 src/rsiglobals.cpp | 31 +++++++++++++++++++
 src/rsiglobals.h   | 10 ++++++
 src/rsiwidget.cpp  |  4 ++-
 src/setup.cpp      |  2 +-
 src/setupdcop.cpp  | 89
 ++++++++++++++++++++++++++++++++++++++++++++----------
 src/setupdcop.h    |  5 ++-
 6 files changed, 122 insertions(+), 19 deletions(-)

commit b4a6771b8644e1bb3db8d99b0a7c65c3e044bbc3
Author: Tom Albers <toma@kde.org>
Date:   Sun May 21 13:53:22 2006 +0000

    continued work on dcop calls. Implemented load and save
    functions. Only load example data when list is empty. Move execution
    to rsiglobals to share it with rsitimer later on. Todo: add new rule,
    delete new rule and make adjust rsitimer to make it work.

    svn path=/trunk/playground/utils/rsibreak/; revision=543170

 src/rsiglobals.cpp | 23 +++++++++++++
 src/rsiglobals.h   |  6 ++++
 src/setup.cpp      |  1 +
 src/setupdcop.cpp  | 99
 +++++++++++++++++++++++++++++++++---------------------
 4 files changed, 90 insertions(+), 39 deletions(-)

commit 9d0dc1fdb5b7f442e2904fa9c5c93c759dc425fd
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat May 20 16:11:20 2006 +0000

    Mind the "()" when you're not passing data.


    svn path=/trunk/playground/utils/rsibreak/; revision=542919

 src/setupdcop.cpp | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit d787a76e12cfea80a11efd6ad09ee21a1879785d
Author: Tom Albers <toma@kde.org>
Date:   Sat May 20 15:14:07 2006 +0000

    Another step towards executing dcop calls at start and ending of a
    break. Still wip...
    Bram, any can you look at slotTestStart(), i've no clue what i'm
    doing wrong there.

    svn path=/trunk/playground/utils/rsibreak/; revision=542910

 src/setupdcop.cpp | 115
 ++++++++++++++++++++++++++++++++++++++++++++----------
 src/setupdcop.h   |   6 +++
 2 files changed, 101 insertions(+), 20 deletions(-)

commit f31074ff28927e32dffc736f2367ff512c1a8787
Author: Tom Albers <toma@kde.org>
Date:   Fri May 19 23:22:59 2006 +0000

    First steps to be able to execute dcop commands on start and ending
    of a break. Work in progress...


    svn path=/trunk/playground/utils/rsibreak/; revision=542678

 src/Makefile.am   |   4 +-
 src/setup.cpp     |   8 ++-
 src/setupdcop.cpp | 171
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/setupdcop.h   |  63 ++++++++++++++++++++
 4 files changed, 243 insertions(+), 3 deletions(-)

commit 9a035bb8bfbed5260eb2434b66f4d03b9cc43a98
Author: Tom Albers <toma@kde.org>
Date:   Fri May 19 14:18:54 2006 +0000

    Usability recomendation from Tina. Show where the icon sits in the
    tray. Shameless copy from various places.
    CCMAIL: t.trillitzsch@gmx.de

    svn path=/trunk/playground/utils/rsibreak/; revision=542517

 src/rsiwidget.cpp | 61
 +++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 55 insertions(+), 6 deletions(-)

commit 003b02728bc053074b0cd0cb571aae324c058865
Author: Tom Albers <toma@kde.org>
Date:   Sat May 13 17:29:48 2006 +0000

    Small typo. Patch from the FreeBSD people via Alex Dupre.

    svn path=/trunk/playground/utils/rsibreak/; revision=540509

 configure.in.bot | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03eb07d710c7feb3a043fb27b1e19cd98b7ee6cd
Author: Tom Albers <toma@kde.org>
Date:   Sat May 13 17:20:47 2006 +0000

    Compiling with -jN with N>1 was broken. Gentoo bug 132875.
    Patch from Diego 'Flameeyes' Pettenò <flameeyes@gentoo.org>.

    svn path=/trunk/playground/utils/rsibreak/; revision=540507

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 29b8d41d87271b44d5d32de65b35cab43b604c9a
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri May 5 21:45:59 2006 +0000

    Always create timeout timer for tooltip, not only when entering
    the docker icon. Sometimes the timer seems to be uninitialized when
    pressing the mouse button on it.
    Should fix Tom's crash report.


    svn path=/trunk/playground/utils/rsibreak/; revision=537810

 src/rsidock.cpp | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit e6f36965e898d5cf57ef3d7852bdbad9489d6be6
Author: Tom Albers <toma@kde.org>
Date:   Fri May 5 10:39:13 2006 +0000

    At least keep 20 sec popup free when starting.


    svn path=/trunk/playground/utils/rsibreak/; revision=537617

 src/rsitimer.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 6f68262af025ee0b2538652d01cab5819cd6c32b
Author: Tom Albers <toma@kde.org>
Date:   Fri May 5 10:30:48 2006 +0000

    But m_tiny_left is not resetted, so is 0, so enters loop. Revert
    last fix and try another approach.

    svn path=/trunk/playground/utils/rsibreak/; revision=537612

 src/rsitimer.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit fa74c1fe35390ecb12e35955d99e706aac3d104c
Author: Tom Albers <toma@kde.org>
Date:   Fri May 5 08:38:52 2006 +0000

    Finally fixed this bug ( I hope ). Right after a break of 10 seconds,
    it can happen that m_patience is still > 0, because that is set
    to 15 seconds. That causes the break to not be resetted and a full
    screen widget appears. Ideally the m_patience should be reset to 0,
    but as the order in the code does this later on, so now prevent
    entering the loop.

    svn path=/trunk/playground/utils/rsibreak/; revision=537586

 src/rsitimer.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 012f85390ea754f984ed47bb0cd0acd877affb02
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Apr 29 21:45:50 2006 +0000

    Reset timers properly after a forced (DCOP invoked) big break,
    while the next break was actually a tiny break.


    svn path=/trunk/playground/utils/rsibreak/; revision=535617

 src/rsitimer.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit 0c0ba4addd5190f0b1c272debc996f5be1f2be37
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Apr 28 14:57:19 2006 +0000

    Revert attaching the timer to the "Reset when idle" option.


    svn path=/trunk/playground/utils/rsibreak/; revision=535101

 src/rsiwidget.cpp | 78
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 38 insertions(+), 40 deletions(-)

commit c80f7231e70f663d955f99224f448ae471d150c2
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Apr 28 09:31:26 2006 +0000

    o New timer accessible now, under the option "Reset timers when idle"
    in the setup dialog. This is only evaluated when starting RSIBreak,
    which means you have to restart RSIBreak to load the new timer code
    if you change the idle detection setting. Will be improved sometime.
    o mDcopIface -> m_dcopIface


    svn path=/trunk/playground/utils/rsibreak/; revision=534971

 src/rsiwidget.cpp | 90
 ++++++++++++++++++++++++++++---------------------------
 src/rsiwidget.h   |  4 +--
 2 files changed, 48 insertions(+), 46 deletions(-)

commit d92e14cf0dce52cdf87461dbc9eaaea00782a1f8
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Tue Apr 25 19:09:32 2006 +0000

    SVN_SILENT: Fix typo in copyright

    This will increase the krazyness, but will be fixed on a short term
    on the krazy side.


    svn path=/trunk/playground/utils/rsibreak/; revision=533870

 src/setup.cpp          | 2 +-
 src/setup.h            | 2 +-
 src/setupgeneral.cpp   | 2 +-
 src/setupgeneral.h     | 2 +-
 src/setupmaximized.cpp | 2 +-
 src/setupmaximized.h   | 2 +-
 src/setuppopup.cpp     | 2 +-
 src/setuppopup.h       | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit 82e4cef01f08dbe3c7855e216ff771e49066bc3c
Author: Tom Albers <toma@kde.org>
Date:   Mon Apr 24 17:59:26 2006 +0000

    New icons from Lee Olson
    - put into a separate icons folder
    - removed old ones
    - adjusted buildsystems
    - moved tarballs with the raw material
    - adjusted release script
    - updated NEWS.


    svn path=/trunk/playground/utils/rsibreak/; revision=533401

 CMakeLists.txt                   |   1 +
 Makefile.am                      |   2 +-
 NEWS                             |   2 ++
 icons/CMakeLists.txt             |   3 +++
 icons/Makefile.am                |   1 +
 icons/artwork-v1.tar.gz          | Bin 0 -> 58053 bytes
 icons/artwork-v2.tar.gz          | Bin 0 -> 192730 bytes
 icons/hi128-action-rsibreak3.png | Bin 0 -> 14467 bytes
 icons/hi16-action-rsibreak0.png  | Bin 0 -> 763 bytes
 icons/hi16-action-rsibreak1.png  | Bin 0 -> 774 bytes
 icons/hi16-action-rsibreak2.png  | Bin 0 -> 791 bytes
 icons/hi16-action-rsibreak3.png  | Bin 0 -> 795 bytes
 icons/hi16-action-rsibreak4.png  | Bin 0 -> 780 bytes
 icons/hi16-action-rsibreakx.png  | Bin 0 -> 803 bytes
 icons/hi16-app-rsibreak.png      | Bin 0 -> 795 bytes
 icons/hi32-action-rsibreak0.png  | Bin 0 -> 1881 bytes
 icons/hi32-action-rsibreak1.png  | Bin 0 -> 1889 bytes
 icons/hi32-action-rsibreak2.png  | Bin 0 -> 2034 bytes
 icons/hi32-action-rsibreak3.png  | Bin 0 -> 1954 bytes
 icons/hi32-action-rsibreak4.png  | Bin 0 -> 1998 bytes
 icons/hi32-action-rsibreakx.png  | Bin 0 -> 1983 bytes
 icons/hi32-app-rsibreak.png      | Bin 0 -> 1954 bytes
 icons/hi64-action-rsibreak3.png  | Bin 0 -> 5636 bytes
 release_rsibreak.rb              |   2 +-
 src/CMakeLists.txt               |   1 -
 src/Makefile.am                  |   2 --
 src/hi16-action-rsibreak0.png    | Bin 788 -> 0 bytes
 src/hi16-action-rsibreak1.png    | Bin 824 -> 0 bytes
 src/hi16-action-rsibreak2.png    | Bin 805 -> 0 bytes
 src/hi16-action-rsibreak3.png    | Bin 826 -> 0 bytes
 src/hi16-action-rsibreak4.png    | Bin 842 -> 0 bytes
 src/hi16-action-rsibreakx.png    | Bin 967 -> 0 bytes
 src/hi16-app-rsibreak.png        | Bin 826 -> 0 bytes
 src/hi32-action-rsibreak0.png    | Bin 2095 -> 0 bytes
 src/hi32-action-rsibreak1.png    | Bin 2189 -> 0 bytes
 src/hi32-action-rsibreak2.png    | Bin 2179 -> 0 bytes
 src/hi32-action-rsibreak3.png    | Bin 2204 -> 0 bytes
 src/hi32-action-rsibreak4.png    | Bin 2346 -> 0 bytes
 src/hi32-action-rsibreakx.png    | Bin 2721 -> 0 bytes
 src/hi32-app-rsibreak.png        | Bin 2204 -> 0 bytes
 src/original_artwork.tar.gz      | Bin 58053 -> 0 bytes
 41 files changed, 9 insertions(+), 5 deletions(-)

commit 9444f78721ade4b80186e99f6b65e0ea90ce712b
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Mon Apr 24 16:42:39 2006 +0000

    SVN_SILENT: More unobfuscation.


    svn path=/trunk/playground/utils/rsibreak/; revision=533380

 src/setup.h          | 2 +-
 src/setupgeneral.h   | 6 +++---
 src/setupmaximized.h | 2 +-
 src/setuppopup.h     | 2 +-
 src/setuptiming.h    | 2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)

commit d8b1475acd053eafb23b7aeb7a1c2903a78bce77
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sun Apr 23 21:31:34 2006 +0000

    First attempt for a timer without idle detection (wish 122954).
    It's not finished, nor accessible and thus completely untested, but at
    least it compiles. It relies for a great part on the existing timer $
    Will work on this later on.

    CCBUG:122954


    svn path=/trunk/playground/utils/rsibreak/; revision=533164

 src/rsitimer.cpp | 70
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/rsitimer.h   | 20 ++++++++++++++--
 2 files changed, 88 insertions(+), 2 deletions(-)

commit 00630d6b208f67e1c2e78c2e3f0b275fa73ff06e
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sun Apr 23 18:11:38 2006 +0000

    SVN_SILENT: Update NEWS


    svn path=/trunk/playground/utils/rsibreak/; revision=533120

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit f49f091ee871a5c13edca87f733074c94a71180f
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sun Apr 23 18:10:39 2006 +0000

    What's this for my new statistic.


    svn path=/trunk/playground/utils/rsibreak/; revision=533119

 src/rsistats.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 1cdad62ca98c53609ee506010a4d5b4895bf4144
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sun Apr 23 17:58:56 2006 +0000

    o New class of RSIStatItems introduced: items which keeps track
    of the user's usage. A global array keeps track of every second of
    usage or idleness in the last 24h. The new class is able to record
    parts of this array to calculate the percentage of usage in the last
    minute, hour or day (whatever interval <24h). At the moment only
    the activity of the last minute is added, as proof of concept. It
    should be possible to query more kinds of intervals.
    o The statistic mapping uses pointers instead of direct instances
    of statistic items.
    o One more krazy report fixed.

    FEATURE


    svn path=/trunk/playground/utils/rsibreak/; revision=533116

 src/rsiglobals.cpp    |   6 ++
 src/rsiglobals.h      |  18 +++++
 src/rsistatitem.cpp   |  65 ++++++++++++++++++
 src/rsistatitem.h     |  65 +++++++++++++++++-
 src/rsistats.cpp      | 185
 +++++++++++++++++++++++++++-----------------------
 src/rsistats.h        |   2 +-
 src/rsistatwidget.cpp |   1 +
 7 files changed, 255 insertions(+), 87 deletions(-)

commit 7e41abb298eeb20d5fca1c42bb0e11ddee08e21f
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sun Apr 23 09:33:31 2006 +0000

    More krazy reports fixed: changed the copyright headers.


    svn path=/trunk/playground/utils/rsibreak/; revision=532908

 src/setup.cpp          |  4 ++--
 src/setup.h            | 12 ++++++------
 src/setupgeneral.cpp   | 20 ++++++++++----------
 src/setupmaximized.cpp |  2 +-
 src/setupmaximized.h   |  4 ++--
 src/setuppopup.cpp     |  4 ++--
 src/setuppopup.h       |  2 +-
 src/setuptiming.cpp    |  2 +-
 src/setuptiming.h      |  4 ++--
 9 files changed, 27 insertions(+), 27 deletions(-)

commit 2889be1657ba3574e2b5407ff9a2e787852f573a
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sat Apr 22 22:47:19 2006 +0000

    Make krazy shut up a bit.


    svn path=/trunk/playground/utils/rsibreak/; revision=532835

 src/rsiwidget.cpp      |  2 +-
 src/setupmaximized.cpp |  6 +++---
 src/setuptiming.cpp    | 46
 +++++++++++++++++++++++-----------------------
 3 files changed, 27 insertions(+), 27 deletions(-)

commit df9586139449ac7d35be257ed3199dcaf70a6f7d
Author: Tom Albers <toma@kde.org>
Date:   Fri Apr 21 17:50:48 2006 +0000

    syntax error before "mins"

    svn path=/trunk/playground/utils/rsibreak/; revision=532336

 src/rsiglobals.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 92eb7a2f3eade1def4685760a58b7e63fc52d5fd
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Apr 21 09:00:19 2006 +0000

    SVN_SILENT: Update news


    svn path=/trunk/playground/utils/rsibreak/; revision=532117

 NEWS | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 2b0939be9f6f9d9736a5160caa5286854a9b8b3b
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Apr 21 08:49:10 2006 +0000

    SVN_SILENT: Add copyrighty


    svn path=/trunk/playground/utils/rsibreak/; revision=532116

 src/dcopiface.cpp | 1 +
 src/dcopiface.h   | 1 +
 2 files changed, 2 insertions(+)

commit 4fcff4c0eb57d9a31918777ae45d0e928ec54578
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Thu Apr 20 22:12:43 2006 +0000

    Two new DCOP calls:
    o Force tiny break
    o Force big break


    svn path=/trunk/playground/utils/rsibreak/; revision=532048

 src/dcopiface.cpp | 18 ++++++++++++++----
 src/dcopiface.h   | 30 +++++++++++++++++++++++-------
 src/rsitimer.cpp  | 47 ++++++++++++++++++++++++++++++++++++++++++-----
 src/rsitimer.h    |  8 ++++++++
 src/rsiwidget.cpp |  4 ++++
 5 files changed, 91 insertions(+), 16 deletions(-)

commit 50dfb4481f4c4e2786ad96710d4e0208aeef27f7
Author: Tom Albers <toma@kde.org>
Date:   Thu Apr 20 19:32:12 2006 +0000

    ambiguous overload for `bool & ? const QString & : const char[4]'

    svn path=/trunk/playground/utils/rsibreak/; revision=531995

 src/rsitimer.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 924ce4f76c48e3249cd24b733bcc02c250e0bf4d
Author: Script Kiddy <scripty@kde.org>
Date:   Tue Apr 18 14:57:26 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/playground/utils/rsibreak/; revision=531151

 src/rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit 4010c97ceb01d771184bcb5f247c23dc0048952e
Author: Script Kiddy <scripty@kde.org>
Date:   Mon Apr 17 15:01:24 2006 +0000

    SVN_SILENT made messages (.desktop file)

    svn path=/trunk/playground/utils/rsibreak/; revision=530766

 src/rsibreak.desktop | 1 +
 1 file changed, 1 insertion(+)

commit 3038f90eb2d278b286bfae2178eaff53ff52ed73
Author: Tom Albers <toma@kde.org>
Date:   Wed Apr 12 19:02:28 2006 +0000

    SVN_SILENT compile

    svn path=/trunk/playground/utils/rsibreak/; revision=529212

 src/CMakeLists.txt | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 44aebad7beeaeefdef454e65c542312a6f3905e1
Author: Tom Albers <toma@kde.org>
Date:   Wed Apr 12 18:32:43 2006 +0000

    Finally found the correct way

    svn path=/trunk/playground/utils/rsibreak/; revision=529202

 src/CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 612e478a95d52f5e53add7091419bc28a7d8b225
Author: Tom Albers <toma@kde.org>
Date:   Tue Apr 11 19:12:07 2006 +0000

    CMake build files, has some errors, will polish them as I learn
    CMake better.

    svn path=/trunk/playground/utils/rsibreak/; revision=528781

 CMakeLists.txt     | 14 +++++++++++
 config.h.cmake     |  6 +++++
 src/CMakeLists.txt | 69
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 89 insertions(+)

commit b51c5716658d0ec64a3e3c16eb5b3d98b69f30e8
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Tue Apr 11 18:47:36 2006 +0000

    Extended the what's this explanations a bit.


    svn path=/trunk/playground/utils/rsibreak/; revision=528761

 src/rsistats.cpp | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 43860c3b089daa38ea157940d0a9ac9c3642a506
Author: Tom Albers <toma@kde.org>
Date:   Mon Apr 10 18:53:22 2006 +0000

    prep 0.6.0

    svn path=/trunk/playground/utils/rsibreak/; revision=528324

 ChangeLog           | 92
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS                |  7 +---
 TODO                |  1 +
 release_rsibreak.rb |  2 +-
 src/main.cpp        |  2 +-
 5 files changed, 96 insertions(+), 8 deletions(-)

commit 0ae86a97bc4979c32dd004c3b52e0eb0421e031a
Author: Tom Albers <toma@kde.org>
Date:   Sun Apr 9 21:58:14 2006 +0000

    Fix corner case. User locks and unlocks during one break, the buttons
    dont work anymore, because the eventfilter is not used because those
    have been released because the lock() dcop call does not work in
    that case. *sigh*

    svn path=/trunk/playground/utils/rsibreak/; revision=528030

 src/rsiwidget.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit a0ca8fa6911baac5ccfbb998a476055352a4b766
Author: Tom Albers <toma@kde.org>
Date:   Sun Apr 9 21:38:26 2006 +0000

    When no image is found, the background is black during a break. Change
    the font color to white in that case.

    svn path=/trunk/playground/utils/rsibreak/; revision=528013

 src/rsiwidget.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit 471dbc0e8c90f02e53cbf1a1b332827334da7de6
Author: Tom Albers <toma@kde.org>
Date:   Sun Apr 9 21:27:31 2006 +0000

    slotLock did not seem to work when the mouse and keyboard are
    grabbed. Release them! Thanks to
    Nicola Ruggero for reporting.
    CCMAIL: nixprog.adsl@tiscali.it

    svn path=/trunk/playground/utils/rsibreak/; revision=528008

 src/rsitimer.cpp  | 2 +-
 src/rsiwidget.cpp | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 97127de9b5d963c57736d48c19b9b33009cc9e5a
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Sun Apr 9 14:04:16 2006 +0000

    New (better?) calculation for Pause score.


    svn path=/trunk/playground/utils/rsibreak/; revision=527831

 src/rsistats.cpp | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit a2685156e9080d42e732568b17179dff1b8f273e
Author: Tom Albers <toma@kde.org>
Date:   Sat Apr 8 23:54:50 2006 +0000

    SVN_SILENT without libxss int off is not declared, move debug to
    the right place

    svn path=/trunk/playground/utils/rsibreak/; revision=527641

 src/rsitimer.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit dcb1f773061f95939bd25d03d5a726744b6af81c
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Apr 7 21:39:11 2006 +0000

    Possible compile fix


    svn path=/trunk/playground/utils/rsibreak/; revision=527367

 src/rsiwidget.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6c34f219f9639dac2299282d73245a6dff9a4a5d
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Apr 7 21:33:05 2006 +0000

    SVN_SILENT


    svn path=/trunk/playground/utils/rsibreak/; revision=527363

 TODO | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 731dc544c2374d709fb310fc34ab9d32bd224992
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Apr 7 09:40:53 2006 +0000

    Not meant to be committed.


    svn path=/trunk/playground/utils/rsibreak/; revision=527204

 src/rsirelaxpopup.cpp | 21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

commit 669e8d9c78cd6cc4e8ec7242e6bdc4ea8633fc66
Author: Bram Schoenmakers <bramschoenmakers@kde.nl>
Date:   Fri Apr 7 09:40:24 2006 +0000

    Show empty strings instead of 00:00:00 in statistics.


    svn path=/trunk/playground/utils/rsibreak/; revision=527203

 src/rsirelaxpopup.cpp | 21 +++++++++++++--------
